#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 788
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 200
#define ALIAS_COUNT 2
#define TOKEN_COUNT 95
#define EXTERNAL_TOKEN_COUNT 25
#define FIELD_COUNT 31
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 69

enum ts_symbol_identifiers {
  anon_sym_LT_BANG = 1,
  aux_sym_doctype_token1 = 2,
  anon_sym_GT = 3,
  sym__doctype = 4,
  anon_sym_LT = 5,
  anon_sym_SLASH_GT = 6,
  anon_sym_LT_SLASH = 7,
  sym_attribute_name = 8,
  sym_entity = 9,
  anon_sym_SQUOTE = 10,
  anon_sym_DQUOTE = 11,
  sym_text = 12,
  anon_sym_LBRACE = 13,
  anon_sym_RBRACE = 14,
  anon_sym_SEMI = 15,
  anon_sym_LPAREN = 16,
  anon_sym_RPAREN = 17,
  anon_sym_prefetch = 18,
  anon_sym_when = 19,
  anon_sym_on = 20,
  anon_sym_after = 21,
  anon_sym_minimum = 22,
  anon_sym_of = 23,
  anon_sym_track = 24,
  anon_sym_let = 25,
  anon_sym_COMMA = 26,
  anon_sym_as = 27,
  anon_sym_EQ = 28,
  anon_sym_plural = 29,
  anon_sym_select = 30,
  sym_icu_category = 31,
  anon_sym_STAR = 32,
  anon_sym_COLON = 33,
  anon_sym_then = 34,
  anon_sym_else = 35,
  anon_sym_context = 36,
  anon_sym_LBRACK = 37,
  anon_sym_RBRACK = 38,
  anon_sym_LBRACK_LPAREN = 39,
  anon_sym_RPAREN_RBRACK = 40,
  anon_sym_LBRACK_AT = 41,
  aux_sym__attribute_node_token1 = 42,
  aux_sym__normal_attribute_token1 = 43,
  aux_sym__normal_attribute_token2 = 44,
  anon_sym_BANG = 45,
  anon_sym_QMARK = 46,
  anon_sym_QMARK_QMARK = 47,
  anon_sym_PIPE_PIPE = 48,
  anon_sym_AMP_AMP = 49,
  anon_sym_PIPE = 50,
  sym_identifier = 51,
  sym__escape_sequence = 52,
  aux_sym_string_token1 = 53,
  sym_number_fragment = 54,
  anon_sym_ms = 55,
  anon_sym_s = 56,
  anon_sym_DOT = 57,
  anon_sym_QMARK_DOT = 58,
  anon_sym_BANG_DOT = 59,
  sym__closing_bracket = 60,
  anon_sym_PLUS = 61,
  anon_sym_DASH = 62,
  anon_sym_SLASH = 63,
  anon_sym_PERCENT = 64,
  anon_sym_EQ_EQ = 65,
  anon_sym_EQ_EQ_EQ = 66,
  anon_sym_BANG_EQ = 67,
  anon_sym_BANG_EQ_EQ = 68,
  anon_sym_LT_EQ = 69,
  anon_sym_GT_EQ = 70,
  sym__start_tag_name = 71,
  sym__script_start_tag_name = 72,
  sym__style_start_tag_name = 73,
  sym__end_tag_name = 74,
  sym_erroneous_end_tag_name = 75,
  sym__implicit_end_tag = 76,
  sym_raw_text = 77,
  sym_comment = 78,
  sym__interpolation_start = 79,
  sym__interpolation_end = 80,
  sym_if_start = 81,
  sym_else_start = 82,
  sym_for_start = 83,
  sym_switch_start = 84,
  sym_case_start = 85,
  sym_default_start = 86,
  sym_defer_start = 87,
  sym_let_start = 88,
  sym_empty_start = 89,
  sym_placeholder_start = 90,
  sym_loading_start = 91,
  sym_error_start = 92,
  sym_else_if_start = 93,
  sym_at_sign = 94,
  sym_document = 95,
  sym_doctype = 96,
  sym__node = 97,
  sym_element = 98,
  sym_script_element = 99,
  sym_style_element = 100,
  sym_start_tag = 101,
  sym_script_start_tag = 102,
  sym_style_start_tag = 103,
  sym_self_closing_tag = 104,
  sym_end_tag = 105,
  sym_erroneous_end_tag = 106,
  sym_attribute = 107,
  sym_statement_block = 108,
  sym__any_statement = 109,
  sym__alternative_statement = 110,
  sym_let_statement = 111,
  sym_switch_statement = 112,
  sym_switch_body = 113,
  sym_case_statement = 114,
  sym_default_statement = 115,
  sym_defer_statement = 116,
  sym_placeholder_statement = 117,
  sym_loading_statement = 118,
  sym_error_statement = 119,
  sym_defer_trigger = 120,
  sym_placeholder_minimum = 121,
  sym_loading_condition = 122,
  sym_defer_trigger_condition = 123,
  sym_timed_expression = 124,
  sym_for_statement = 125,
  sym_empty_statement = 126,
  sym_for_declaration = 127,
  sym_for_references = 128,
  sym_for_reference = 129,
  sym_if_statement = 130,
  sym_else_if_statement = 131,
  sym_else_statement = 132,
  sym_if_condition = 133,
  sym_if_reference = 134,
  sym__any_expression = 135,
  sym_assignment_expression = 136,
  sym_icu_expression = 137,
  sym_icu_clause = 138,
  sym_icu_case = 139,
  sym_interpolation = 140,
  sym_structural_directive = 141,
  sym_structural_expression = 142,
  sym_structural_declaration = 143,
  sym_structural_assignment = 144,
  sym__alias = 145,
  sym__then_template_expression = 146,
  sym__else_template_expression = 147,
  sym__context_expression = 148,
  sym__structural_let_expression = 149,
  sym_property_binding = 150,
  sym_event_binding = 151,
  sym_two_way_binding = 152,
  sym_animation_binding = 153,
  sym__binding_assignment = 154,
  sym_binding_name = 155,
  sym__normal_attribute = 156,
  sym_expression = 157,
  sym_unary_expression = 158,
  sym_binary_expression = 159,
  sym_ternary_expression = 160,
  sym_nullish_coalescing_expression = 161,
  sym_conditional_expression = 162,
  sym_pipe_sequence = 163,
  sym_pipe_call = 164,
  sym_pipe_arguments = 165,
  sym__primitive = 166,
  sym_object = 167,
  sym_pair = 168,
  sym_array = 169,
  sym_string = 170,
  sym_number = 171,
  sym_group = 172,
  sym_call_expression = 173,
  sym_arguments = 174,
  sym_member_expression = 175,
  sym_bracket_expression = 176,
  sym_static_member_expression = 177,
  sym__single_quote = 178,
  sym__double_quote = 179,
  sym__binary_op = 180,
  aux_sym_document_repeat1 = 181,
  aux_sym_start_tag_repeat1 = 182,
  aux_sym_switch_body_repeat1 = 183,
  aux_sym_defer_trigger_repeat1 = 184,
  aux_sym_for_references_repeat1 = 185,
  aux_sym_for_reference_repeat1 = 186,
  aux_sym_if_statement_repeat1 = 187,
  aux_sym_icu_expression_repeat1 = 188,
  aux_sym_structural_declaration_repeat1 = 189,
  aux_sym__binding_assignment_repeat1 = 190,
  aux_sym__attribute_node_repeat1 = 191,
  aux_sym__normal_attribute_repeat1 = 192,
  aux_sym__normal_attribute_repeat2 = 193,
  aux_sym_pipe_sequence_repeat1 = 194,
  aux_sym_pipe_arguments_repeat1 = 195,
  aux_sym_object_repeat1 = 196,
  aux_sym_array_repeat1 = 197,
  aux_sym_string_repeat1 = 198,
  aux_sym_arguments_repeat1 = 199,
  alias_sym_conditional_operator = 200,
  alias_sym_unary_operator = 201,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_LT_BANG] = "<!",
  [aux_sym_doctype_token1] = "doctype_token1",
  [anon_sym_GT] = ">",
  [sym__doctype] = "doctype",
  [anon_sym_LT] = "<",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_LT_SLASH] = "</",
  [sym_attribute_name] = "attribute_name",
  [sym_entity] = "entity",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_DQUOTE] = "\"",
  [sym_text] = "text",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_SEMI] = ";",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_prefetch] = "prefetch_keyword",
  [anon_sym_when] = "special_keyword",
  [anon_sym_on] = "special_keyword",
  [anon_sym_after] = "special_keyword",
  [anon_sym_minimum] = "special_keyword",
  [anon_sym_of] = "of",
  [anon_sym_track] = "special_keyword",
  [anon_sym_let] = "special_keyword",
  [anon_sym_COMMA] = ",",
  [anon_sym_as] = "special_keyword",
  [anon_sym_EQ] = "=",
  [anon_sym_plural] = "plural",
  [anon_sym_select] = "select",
  [sym_icu_category] = "icu_category",
  [anon_sym_STAR] = "*",
  [anon_sym_COLON] = ":",
  [anon_sym_then] = "special_keyword",
  [anon_sym_else] = "special_keyword",
  [anon_sym_context] = "special_keyword",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACK_LPAREN] = "[(",
  [anon_sym_RPAREN_RBRACK] = ")]",
  [anon_sym_LBRACK_AT] = "[@",
  [aux_sym__attribute_node_token1] = "_attribute_node_token1",
  [aux_sym__normal_attribute_token1] = "string_content",
  [aux_sym__normal_attribute_token2] = "string_content",
  [anon_sym_BANG] = "!",
  [anon_sym_QMARK] = "ternary_operator",
  [anon_sym_QMARK_QMARK] = "coalescing_operator",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "pipe_operator",
  [sym_identifier] = "identifier",
  [sym__escape_sequence] = "_escape_sequence",
  [aux_sym_string_token1] = "string_token1",
  [sym_number_fragment] = "number_fragment",
  [anon_sym_ms] = "unit",
  [anon_sym_s] = "unit",
  [anon_sym_DOT] = ".",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_BANG_DOT] = "!.",
  [sym__closing_bracket] = "_closing_bracket",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [sym__start_tag_name] = "tag_name",
  [sym__script_start_tag_name] = "tag_name",
  [sym__style_start_tag_name] = "tag_name",
  [sym__end_tag_name] = "tag_name",
  [sym_erroneous_end_tag_name] = "erroneous_end_tag_name",
  [sym__implicit_end_tag] = "_implicit_end_tag",
  [sym_raw_text] = "raw_text",
  [sym_comment] = "comment",
  [sym__interpolation_start] = "{{",
  [sym__interpolation_end] = "}}",
  [sym_if_start] = "control_keyword",
  [sym_else_start] = "control_keyword",
  [sym_for_start] = "control_keyword",
  [sym_switch_start] = "control_keyword",
  [sym_case_start] = "control_keyword",
  [sym_default_start] = "control_keyword",
  [sym_defer_start] = "control_keyword",
  [sym_let_start] = "control_keyword",
  [sym_empty_start] = "control_keyword",
  [sym_placeholder_start] = "control_keyword",
  [sym_loading_start] = "control_keyword",
  [sym_error_start] = "control_keyword",
  [sym_else_if_start] = "control_keyword",
  [sym_at_sign] = "at_sign",
  [sym_document] = "document",
  [sym_doctype] = "doctype",
  [sym__node] = "_node",
  [sym_element] = "element",
  [sym_script_element] = "script_element",
  [sym_style_element] = "style_element",
  [sym_start_tag] = "start_tag",
  [sym_script_start_tag] = "start_tag",
  [sym_style_start_tag] = "start_tag",
  [sym_self_closing_tag] = "self_closing_tag",
  [sym_end_tag] = "end_tag",
  [sym_erroneous_end_tag] = "erroneous_end_tag",
  [sym_attribute] = "attribute",
  [sym_statement_block] = "statement_block",
  [sym__any_statement] = "_any_statement",
  [sym__alternative_statement] = "_alternative_statement",
  [sym_let_statement] = "let_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_body] = "switch_body",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_placeholder_statement] = "placeholder_statement",
  [sym_loading_statement] = "loading_statement",
  [sym_error_statement] = "error_statement",
  [sym_defer_trigger] = "defer_trigger",
  [sym_placeholder_minimum] = "placeholder_minimum",
  [sym_loading_condition] = "loading_condition",
  [sym_defer_trigger_condition] = "defer_trigger_condition",
  [sym_timed_expression] = "timed_expression",
  [sym_for_statement] = "for_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_for_declaration] = "for_declaration",
  [sym_for_references] = "for_references",
  [sym_for_reference] = "for_reference",
  [sym_if_statement] = "if_statement",
  [sym_else_if_statement] = "else_if_statement",
  [sym_else_statement] = "else_statement",
  [sym_if_condition] = "if_condition",
  [sym_if_reference] = "if_reference",
  [sym__any_expression] = "_any_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_icu_expression] = "icu_expression",
  [sym_icu_clause] = "icu_clause",
  [sym_icu_case] = "icu_case",
  [sym_interpolation] = "interpolation",
  [sym_structural_directive] = "structural_directive",
  [sym_structural_expression] = "structural_expression",
  [sym_structural_declaration] = "structural_declaration",
  [sym_structural_assignment] = "structural_assignment",
  [sym__alias] = "_alias",
  [sym__then_template_expression] = "_then_template_expression",
  [sym__else_template_expression] = "_else_template_expression",
  [sym__context_expression] = "_context_expression",
  [sym__structural_let_expression] = "_structural_let_expression",
  [sym_property_binding] = "property_binding",
  [sym_event_binding] = "event_binding",
  [sym_two_way_binding] = "two_way_binding",
  [sym_animation_binding] = "animation_binding",
  [sym__binding_assignment] = "_binding_assignment",
  [sym_binding_name] = "binding_name",
  [sym__normal_attribute] = "_normal_attribute",
  [sym_expression] = "expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_ternary_expression] = "ternary_expression",
  [sym_nullish_coalescing_expression] = "nullish_coalescing_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_pipe_sequence] = "pipe_sequence",
  [sym_pipe_call] = "pipe_call",
  [sym_pipe_arguments] = "pipe_arguments",
  [sym__primitive] = "_primitive",
  [sym_object] = "object",
  [sym_pair] = "pair",
  [sym_array] = "array",
  [sym_string] = "string",
  [sym_number] = "number",
  [sym_group] = "group",
  [sym_call_expression] = "call_expression",
  [sym_arguments] = "arguments",
  [sym_member_expression] = "member_expression",
  [sym_bracket_expression] = "bracket_expression",
  [sym_static_member_expression] = "static_member_expression",
  [sym__single_quote] = "_single_quote",
  [sym__double_quote] = "_double_quote",
  [sym__binary_op] = "_binary_op",
  [aux_sym_document_repeat1] = "document_repeat1",
  [aux_sym_start_tag_repeat1] = "start_tag_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_defer_trigger_repeat1] = "defer_trigger_repeat1",
  [aux_sym_for_references_repeat1] = "for_references_repeat1",
  [aux_sym_for_reference_repeat1] = "for_reference_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_icu_expression_repeat1] = "icu_expression_repeat1",
  [aux_sym_structural_declaration_repeat1] = "structural_declaration_repeat1",
  [aux_sym__binding_assignment_repeat1] = "_binding_assignment_repeat1",
  [aux_sym__attribute_node_repeat1] = "_attribute_node_repeat1",
  [aux_sym__normal_attribute_repeat1] = "_normal_attribute_repeat1",
  [aux_sym__normal_attribute_repeat2] = "_normal_attribute_repeat2",
  [aux_sym_pipe_sequence_repeat1] = "pipe_sequence_repeat1",
  [aux_sym_pipe_arguments_repeat1] = "pipe_arguments_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [alias_sym_conditional_operator] = "conditional_operator",
  [alias_sym_unary_operator] = "unary_operator",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_LT_BANG] = anon_sym_LT_BANG,
  [aux_sym_doctype_token1] = aux_sym_doctype_token1,
  [anon_sym_GT] = anon_sym_GT,
  [sym__doctype] = sym__doctype,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [sym_attribute_name] = sym_attribute_name,
  [sym_entity] = sym_entity,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym_text] = sym_text,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_prefetch] = anon_sym_prefetch,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_on] = anon_sym_when,
  [anon_sym_after] = anon_sym_when,
  [anon_sym_minimum] = anon_sym_when,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_track] = anon_sym_when,
  [anon_sym_let] = anon_sym_when,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_as] = anon_sym_when,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_plural] = anon_sym_plural,
  [anon_sym_select] = anon_sym_select,
  [sym_icu_category] = sym_icu_category,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_then] = anon_sym_when,
  [anon_sym_else] = anon_sym_when,
  [anon_sym_context] = anon_sym_when,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LBRACK_LPAREN] = anon_sym_LBRACK_LPAREN,
  [anon_sym_RPAREN_RBRACK] = anon_sym_RPAREN_RBRACK,
  [anon_sym_LBRACK_AT] = anon_sym_LBRACK_AT,
  [aux_sym__attribute_node_token1] = aux_sym__attribute_node_token1,
  [aux_sym__normal_attribute_token1] = aux_sym__normal_attribute_token1,
  [aux_sym__normal_attribute_token2] = aux_sym__normal_attribute_token1,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [sym_identifier] = sym_identifier,
  [sym__escape_sequence] = sym__escape_sequence,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [sym_number_fragment] = sym_number_fragment,
  [anon_sym_ms] = anon_sym_ms,
  [anon_sym_s] = anon_sym_ms,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_BANG_DOT] = anon_sym_BANG_DOT,
  [sym__closing_bracket] = sym__closing_bracket,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [sym__start_tag_name] = sym__start_tag_name,
  [sym__script_start_tag_name] = sym__start_tag_name,
  [sym__style_start_tag_name] = sym__start_tag_name,
  [sym__end_tag_name] = sym__start_tag_name,
  [sym_erroneous_end_tag_name] = sym_erroneous_end_tag_name,
  [sym__implicit_end_tag] = sym__implicit_end_tag,
  [sym_raw_text] = sym_raw_text,
  [sym_comment] = sym_comment,
  [sym__interpolation_start] = sym__interpolation_start,
  [sym__interpolation_end] = sym__interpolation_end,
  [sym_if_start] = sym_if_start,
  [sym_else_start] = sym_if_start,
  [sym_for_start] = sym_if_start,
  [sym_switch_start] = sym_if_start,
  [sym_case_start] = sym_if_start,
  [sym_default_start] = sym_if_start,
  [sym_defer_start] = sym_if_start,
  [sym_let_start] = sym_if_start,
  [sym_empty_start] = sym_if_start,
  [sym_placeholder_start] = sym_if_start,
  [sym_loading_start] = sym_if_start,
  [sym_error_start] = sym_if_start,
  [sym_else_if_start] = sym_if_start,
  [sym_at_sign] = sym_at_sign,
  [sym_document] = sym_document,
  [sym_doctype] = sym_doctype,
  [sym__node] = sym__node,
  [sym_element] = sym_element,
  [sym_script_element] = sym_script_element,
  [sym_style_element] = sym_style_element,
  [sym_start_tag] = sym_start_tag,
  [sym_script_start_tag] = sym_start_tag,
  [sym_style_start_tag] = sym_start_tag,
  [sym_self_closing_tag] = sym_self_closing_tag,
  [sym_end_tag] = sym_end_tag,
  [sym_erroneous_end_tag] = sym_erroneous_end_tag,
  [sym_attribute] = sym_attribute,
  [sym_statement_block] = sym_statement_block,
  [sym__any_statement] = sym__any_statement,
  [sym__alternative_statement] = sym__alternative_statement,
  [sym_let_statement] = sym_let_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_defer_statement] = sym_defer_statement,
  [sym_placeholder_statement] = sym_placeholder_statement,
  [sym_loading_statement] = sym_loading_statement,
  [sym_error_statement] = sym_error_statement,
  [sym_defer_trigger] = sym_defer_trigger,
  [sym_placeholder_minimum] = sym_placeholder_minimum,
  [sym_loading_condition] = sym_loading_condition,
  [sym_defer_trigger_condition] = sym_defer_trigger_condition,
  [sym_timed_expression] = sym_timed_expression,
  [sym_for_statement] = sym_for_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_for_declaration] = sym_for_declaration,
  [sym_for_references] = sym_for_references,
  [sym_for_reference] = sym_for_reference,
  [sym_if_statement] = sym_if_statement,
  [sym_else_if_statement] = sym_else_if_statement,
  [sym_else_statement] = sym_else_statement,
  [sym_if_condition] = sym_if_condition,
  [sym_if_reference] = sym_if_reference,
  [sym__any_expression] = sym__any_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_icu_expression] = sym_icu_expression,
  [sym_icu_clause] = sym_icu_clause,
  [sym_icu_case] = sym_icu_case,
  [sym_interpolation] = sym_interpolation,
  [sym_structural_directive] = sym_structural_directive,
  [sym_structural_expression] = sym_structural_expression,
  [sym_structural_declaration] = sym_structural_declaration,
  [sym_structural_assignment] = sym_structural_assignment,
  [sym__alias] = sym__alias,
  [sym__then_template_expression] = sym__then_template_expression,
  [sym__else_template_expression] = sym__else_template_expression,
  [sym__context_expression] = sym__context_expression,
  [sym__structural_let_expression] = sym__structural_let_expression,
  [sym_property_binding] = sym_property_binding,
  [sym_event_binding] = sym_event_binding,
  [sym_two_way_binding] = sym_two_way_binding,
  [sym_animation_binding] = sym_animation_binding,
  [sym__binding_assignment] = sym__binding_assignment,
  [sym_binding_name] = sym_binding_name,
  [sym__normal_attribute] = sym__normal_attribute,
  [sym_expression] = sym_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_nullish_coalescing_expression] = sym_nullish_coalescing_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_pipe_sequence] = sym_pipe_sequence,
  [sym_pipe_call] = sym_pipe_call,
  [sym_pipe_arguments] = sym_pipe_arguments,
  [sym__primitive] = sym__primitive,
  [sym_object] = sym_object,
  [sym_pair] = sym_pair,
  [sym_array] = sym_array,
  [sym_string] = sym_string,
  [sym_number] = sym_number,
  [sym_group] = sym_group,
  [sym_call_expression] = sym_call_expression,
  [sym_arguments] = sym_arguments,
  [sym_member_expression] = sym_member_expression,
  [sym_bracket_expression] = sym_bracket_expression,
  [sym_static_member_expression] = sym_static_member_expression,
  [sym__single_quote] = sym__single_quote,
  [sym__double_quote] = sym__double_quote,
  [sym__binary_op] = sym__binary_op,
  [aux_sym_document_repeat1] = aux_sym_document_repeat1,
  [aux_sym_start_tag_repeat1] = aux_sym_start_tag_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_defer_trigger_repeat1] = aux_sym_defer_trigger_repeat1,
  [aux_sym_for_references_repeat1] = aux_sym_for_references_repeat1,
  [aux_sym_for_reference_repeat1] = aux_sym_for_reference_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_icu_expression_repeat1] = aux_sym_icu_expression_repeat1,
  [aux_sym_structural_declaration_repeat1] = aux_sym_structural_declaration_repeat1,
  [aux_sym__binding_assignment_repeat1] = aux_sym__binding_assignment_repeat1,
  [aux_sym__attribute_node_repeat1] = aux_sym__attribute_node_repeat1,
  [aux_sym__normal_attribute_repeat1] = aux_sym__normal_attribute_repeat1,
  [aux_sym__normal_attribute_repeat2] = aux_sym__normal_attribute_repeat2,
  [aux_sym_pipe_sequence_repeat1] = aux_sym_pipe_sequence_repeat1,
  [aux_sym_pipe_arguments_repeat1] = aux_sym_pipe_arguments_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [alias_sym_conditional_operator] = alias_sym_conditional_operator,
  [alias_sym_unary_operator] = alias_sym_unary_operator,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LT_BANG] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_doctype_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym__doctype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym_attribute_name] = {
    .visible = true,
    .named = true,
  },
  [sym_entity] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_prefetch] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_on] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_after] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_minimum] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_track] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_plural] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [sym_icu_category] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_context] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__attribute_node_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__normal_attribute_token1] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__normal_attribute_token2] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_number_fragment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_ms] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_s] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym__closing_bracket] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [sym__start_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__script_start_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__style_start_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__end_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym_erroneous_end_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__implicit_end_tag] = {
    .visible = false,
    .named = true,
  },
  [sym_raw_text] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__interpolation_start] = {
    .visible = true,
    .named = false,
  },
  [sym__interpolation_end] = {
    .visible = true,
    .named = false,
  },
  [sym_if_start] = {
    .visible = true,
    .named = true,
  },
  [sym_else_start] = {
    .visible = true,
    .named = true,
  },
  [sym_for_start] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_start] = {
    .visible = true,
    .named = true,
  },
  [sym_case_start] = {
    .visible = true,
    .named = true,
  },
  [sym_default_start] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_start] = {
    .visible = true,
    .named = true,
  },
  [sym_let_start] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_start] = {
    .visible = true,
    .named = true,
  },
  [sym_placeholder_start] = {
    .visible = true,
    .named = true,
  },
  [sym_loading_start] = {
    .visible = true,
    .named = true,
  },
  [sym_error_start] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_start] = {
    .visible = true,
    .named = true,
  },
  [sym_at_sign] = {
    .visible = true,
    .named = true,
  },
  [sym_document] = {
    .visible = true,
    .named = true,
  },
  [sym_doctype] = {
    .visible = true,
    .named = true,
  },
  [sym__node] = {
    .visible = false,
    .named = true,
  },
  [sym_element] = {
    .visible = true,
    .named = true,
  },
  [sym_script_element] = {
    .visible = true,
    .named = true,
  },
  [sym_style_element] = {
    .visible = true,
    .named = true,
  },
  [sym_start_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_script_start_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_style_start_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_self_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_end_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_erroneous_end_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym__any_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__alternative_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_let_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_placeholder_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_loading_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_error_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_trigger] = {
    .visible = true,
    .named = true,
  },
  [sym_placeholder_minimum] = {
    .visible = true,
    .named = true,
  },
  [sym_loading_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_trigger_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_timed_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_for_references] = {
    .visible = true,
    .named = true,
  },
  [sym_for_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_if_reference] = {
    .visible = true,
    .named = true,
  },
  [sym__any_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_icu_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_icu_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_icu_case] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__alias] = {
    .visible = false,
    .named = true,
  },
  [sym__then_template_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__else_template_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__context_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__structural_let_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_property_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_event_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_two_way_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_animation_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__binding_assignment] = {
    .visible = false,
    .named = true,
  },
  [sym_binding_name] = {
    .visible = true,
    .named = true,
  },
  [sym__normal_attribute] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullish_coalescing_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_call] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__primitive] = {
    .visible = false,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_group] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bracket_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_static_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__single_quote] = {
    .visible = false,
    .named = true,
  },
  [sym__double_quote] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_op] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_document_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_start_tag_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_defer_trigger_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_references_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_reference_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_icu_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_structural_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__binding_assignment_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__attribute_node_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__normal_attribute_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__normal_attribute_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pipe_sequence_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pipe_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_conditional_operator] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_alternative_condition = 3,
  field_argument = 4,
  field_arguments = 5,
  field_body = 6,
  field_call = 7,
  field_condition = 8,
  field_consequence = 9,
  field_declaration = 10,
  field_default = 11,
  field_empty = 12,
  field_error = 13,
  field_function = 14,
  field_key = 15,
  field_left = 16,
  field_loading = 17,
  field_minimum = 18,
  field_name = 19,
  field_named = 20,
  field_object = 21,
  field_operator = 22,
  field_pipes = 23,
  field_placeholder = 24,
  field_property = 25,
  field_reference = 26,
  field_references = 27,
  field_right = 28,
  field_track = 29,
  field_trigger = 30,
  field_value = 31,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_alternative_condition] = "alternative_condition",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_call] = "call",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_declaration] = "declaration",
  [field_default] = "default",
  [field_empty] = "empty",
  [field_error] = "error",
  [field_function] = "function",
  [field_key] = "key",
  [field_left] = "left",
  [field_loading] = "loading",
  [field_minimum] = "minimum",
  [field_name] = "name",
  [field_named] = "named",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_pipes] = "pipes",
  [field_placeholder] = "placeholder",
  [field_property] = "property",
  [field_reference] = "reference",
  [field_references] = "references",
  [field_right] = "right",
  [field_track] = "track",
  [field_trigger] = "trigger",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 6},
  [2] = {.index = 6, .length = 1},
  [3] = {.index = 7, .length = 1},
  [4] = {.index = 8, .length = 1},
  [5] = {.index = 9, .length = 1},
  [6] = {.index = 10, .length = 1},
  [7] = {.index = 11, .length = 1},
  [8] = {.index = 12, .length = 1},
  [9] = {.index = 13, .length = 12},
  [10] = {.index = 25, .length = 1},
  [11] = {.index = 26, .length = 2},
  [12] = {.index = 28, .length = 1},
  [13] = {.index = 29, .length = 1},
  [14] = {.index = 30, .length = 6},
  [15] = {.index = 36, .length = 1},
  [16] = {.index = 37, .length = 2},
  [17] = {.index = 39, .length = 3},
  [18] = {.index = 42, .length = 2},
  [19] = {.index = 44, .length = 1},
  [20] = {.index = 45, .length = 2},
  [21] = {.index = 47, .length = 2},
  [22] = {.index = 49, .length = 1},
  [23] = {.index = 50, .length = 1},
  [24] = {.index = 51, .length = 2},
  [25] = {.index = 53, .length = 1},
  [26] = {.index = 54, .length = 1},
  [27] = {.index = 55, .length = 2},
  [28] = {.index = 57, .length = 2},
  [29] = {.index = 59, .length = 2},
  [30] = {.index = 61, .length = 2},
  [31] = {.index = 63, .length = 1},
  [32] = {.index = 64, .length = 2},
  [33] = {.index = 66, .length = 2},
  [34] = {.index = 68, .length = 1},
  [35] = {.index = 69, .length = 2},
  [36] = {.index = 71, .length = 2},
  [37] = {.index = 73, .length = 3},
  [38] = {.index = 76, .length = 2},
  [39] = {.index = 78, .length = 1},
  [40] = {.index = 79, .length = 8},
  [41] = {.index = 87, .length = 3},
  [42] = {.index = 90, .length = 1},
  [43] = {.index = 91, .length = 2},
  [44] = {.index = 93, .length = 3},
  [45] = {.index = 96, .length = 2},
  [46] = {.index = 98, .length = 1},
  [47] = {.index = 99, .length = 2},
  [48] = {.index = 101, .length = 9},
  [49] = {.index = 110, .length = 2},
  [50] = {.index = 112, .length = 2},
  [51] = {.index = 114, .length = 2},
  [52] = {.index = 116, .length = 3},
  [53] = {.index = 119, .length = 2},
  [54] = {.index = 121, .length = 1},
  [55] = {.index = 122, .length = 1},
  [56] = {.index = 123, .length = 2},
  [57] = {.index = 125, .length = 1},
  [58] = {.index = 126, .length = 2},
  [59] = {.index = 128, .length = 2},
  [60] = {.index = 130, .length = 3},
  [61] = {.index = 133, .length = 6},
  [62] = {.index = 139, .length = 3},
  [63] = {.index = 142, .length = 1},
  [64] = {.index = 143, .length = 3},
  [65] = {.index = 146, .length = 4},
  [66] = {.index = 150, .length = 2},
  [67] = {.index = 152, .length = 1},
  [68] = {.index = 153, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_alternative, 0, .inherited = true},
    {field_alternative_condition, 0, .inherited = true},
    {field_empty, 0, .inherited = true},
    {field_error, 0, .inherited = true},
    {field_loading, 0, .inherited = true},
    {field_placeholder, 0, .inherited = true},
  [6] =
    {field_placeholder, 0},
  [7] =
    {field_loading, 0},
  [8] =
    {field_error, 0},
  [9] =
    {field_empty, 0},
  [10] =
    {field_alternative_condition, 0},
  [11] =
    {field_alternative, 0},
  [12] =
    {field_body, 1},
  [13] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
    {field_alternative_condition, 0, .inherited = true},
    {field_alternative_condition, 1, .inherited = true},
    {field_empty, 0, .inherited = true},
    {field_empty, 1, .inherited = true},
    {field_error, 0, .inherited = true},
    {field_error, 1, .inherited = true},
    {field_loading, 0, .inherited = true},
    {field_loading, 1, .inherited = true},
    {field_placeholder, 0, .inherited = true},
    {field_placeholder, 1, .inherited = true},
  [25] =
    {field_key, 0},
  [26] =
    {field_operator, 0},
    {field_value, 1},
  [28] =
    {field_pipes, 1},
  [29] =
    {field_body, 2},
  [30] =
    {field_alternative, 1, .inherited = true},
    {field_alternative_condition, 1, .inherited = true},
    {field_empty, 1, .inherited = true},
    {field_error, 1, .inherited = true},
    {field_loading, 1, .inherited = true},
    {field_placeholder, 1, .inherited = true},
  [36] =
    {field_function, 0},
  [37] =
    {field_condition, 0},
    {field_default, 2},
  [39] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [42] =
    {field_left, 0},
    {field_right, 2},
  [44] =
    {field_name, 0},
  [45] =
    {field_object, 0},
    {field_property, 2},
  [47] =
    {field_call, 2},
    {field_object, 0},
  [49] =
    {field_trigger, 1},
  [50] =
    {field_condition, 1},
  [51] =
    {field_name, 0},
    {field_value, 2},
  [53] =
    {field_value, 1},
  [54] =
    {field_minimum, 1},
  [55] =
    {field_key, 0},
    {field_value, 2},
  [57] =
    {field_arguments, 2},
    {field_function, 0},
  [59] =
    {field_arguments, 1},
    {field_name, 0},
  [61] =
    {field_condition, 2},
    {field_consequence, 4},
  [63] =
    {field_reference, 1},
  [64] =
    {field_body, 4},
    {field_declaration, 2},
  [66] =
    {field_body, 4},
    {field_value, 2},
  [68] =
    {field_trigger, 2},
  [69] =
    {field_condition, 1},
    {field_condition, 2, .inherited = true},
  [71] =
    {field_condition, 0, .inherited = true},
    {field_condition, 1, .inherited = true},
  [73] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [76] =
    {field_object, 0},
    {field_property, 3},
  [78] =
    {field_argument, 1},
  [79] =
    {field_alternative, 5, .inherited = true},
    {field_alternative_condition, 5, .inherited = true},
    {field_condition, 2},
    {field_consequence, 4},
    {field_empty, 5, .inherited = true},
    {field_error, 5, .inherited = true},
    {field_loading, 5, .inherited = true},
    {field_placeholder, 5, .inherited = true},
  [87] =
    {field_condition, 2},
    {field_consequence, 5},
    {field_reference, 3},
  [90] =
    {field_alias, 1},
  [91] =
    {field_reference, 1},
    {field_reference, 2, .inherited = true},
  [93] =
    {field_body, 5},
    {field_declaration, 2},
    {field_references, 3},
  [96] =
    {field_condition, 1},
    {field_condition, 3},
  [98] =
    {field_trigger, 3},
  [99] =
    {field_argument, 1},
    {field_argument, 2, .inherited = true},
  [101] =
    {field_alternative, 6, .inherited = true},
    {field_alternative_condition, 6, .inherited = true},
    {field_condition, 2},
    {field_consequence, 5},
    {field_empty, 6, .inherited = true},
    {field_error, 6, .inherited = true},
    {field_loading, 6, .inherited = true},
    {field_placeholder, 6, .inherited = true},
    {field_reference, 3},
  [110] =
    {field_alias, 1},
    {field_alias, 2, .inherited = true},
  [112] =
    {field_reference, 0, .inherited = true},
    {field_reference, 1, .inherited = true},
  [114] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [116] =
    {field_name, 0},
    {field_track, 5},
    {field_value, 2},
  [119] =
    {field_alias, 0, .inherited = true},
    {field_alias, 1, .inherited = true},
  [121] =
    {field_alias, 1, .inherited = true},
  [122] =
    {field_named, 1, .inherited = true},
  [123] =
    {field_alias, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [125] =
    {field_name, 1},
  [126] =
    {field_alias, 1, .inherited = true},
    {field_name, 0},
  [128] =
    {field_alias, 1, .inherited = true},
    {field_named, 2, .inherited = true},
  [130] =
    {field_alias, 1, .inherited = true},
    {field_alias, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [133] =
    {field_alternative, 2, .inherited = true},
    {field_alternative_condition, 2, .inherited = true},
    {field_empty, 2, .inherited = true},
    {field_error, 2, .inherited = true},
    {field_loading, 2, .inherited = true},
    {field_placeholder, 2, .inherited = true},
  [139] =
    {field_name, 0},
    {field_operator, 1},
    {field_value, 2},
  [142] =
    {field_name, 2},
  [143] =
    {field_name, 1},
    {field_operator, 2},
    {field_value, 3},
  [146] =
    {field_alias, 3, .inherited = true},
    {field_name, 0},
    {field_operator, 1},
    {field_value, 2},
  [150] =
    {field_alias, 3, .inherited = true},
    {field_name, 2},
  [152] =
    {field_named, 1},
  [153] =
    {field_alias, 4, .inherited = true},
    {field_name, 1},
    {field_operator, 2},
    {field_value, 3},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [11] = {
    [0] = alias_sym_unary_operator,
  },
  [18] = {
    [1] = alias_sym_conditional_operator,
  },
  [37] = {
    [3] = anon_sym_QMARK,
  },
  [52] = {
    [1] = anon_sym_when,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 2,
  [5] = 3,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 7,
  [11] = 7,
  [12] = 12,
  [13] = 6,
  [14] = 9,
  [15] = 9,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 18,
  [21] = 21,
  [22] = 19,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 29,
  [32] = 32,
  [33] = 29,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 29,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 48,
  [54] = 52,
  [55] = 47,
  [56] = 46,
  [57] = 50,
  [58] = 58,
  [59] = 59,
  [60] = 51,
  [61] = 49,
  [62] = 58,
  [63] = 63,
  [64] = 19,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 17,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 73,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 18,
  [82] = 65,
  [83] = 79,
  [84] = 80,
  [85] = 78,
  [86] = 68,
  [87] = 69,
  [88] = 88,
  [89] = 71,
  [90] = 88,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 18,
  [97] = 97,
  [98] = 95,
  [99] = 99,
  [100] = 94,
  [101] = 95,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 99,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 92,
  [112] = 102,
  [113] = 19,
  [114] = 114,
  [115] = 18,
  [116] = 116,
  [117] = 97,
  [118] = 118,
  [119] = 95,
  [120] = 120,
  [121] = 121,
  [122] = 92,
  [123] = 94,
  [124] = 92,
  [125] = 94,
  [126] = 97,
  [127] = 94,
  [128] = 97,
  [129] = 23,
  [130] = 97,
  [131] = 95,
  [132] = 132,
  [133] = 67,
  [134] = 19,
  [135] = 135,
  [136] = 97,
  [137] = 91,
  [138] = 138,
  [139] = 97,
  [140] = 94,
  [141] = 141,
  [142] = 94,
  [143] = 143,
  [144] = 95,
  [145] = 94,
  [146] = 99,
  [147] = 97,
  [148] = 92,
  [149] = 103,
  [150] = 99,
  [151] = 151,
  [152] = 152,
  [153] = 21,
  [154] = 43,
  [155] = 36,
  [156] = 44,
  [157] = 70,
  [158] = 38,
  [159] = 42,
  [160] = 29,
  [161] = 25,
  [162] = 27,
  [163] = 37,
  [164] = 39,
  [165] = 41,
  [166] = 29,
  [167] = 35,
  [168] = 75,
  [169] = 34,
  [170] = 40,
  [171] = 171,
  [172] = 63,
  [173] = 66,
  [174] = 174,
  [175] = 18,
  [176] = 32,
  [177] = 26,
  [178] = 171,
  [179] = 30,
  [180] = 24,
  [181] = 28,
  [182] = 174,
  [183] = 183,
  [184] = 184,
  [185] = 183,
  [186] = 186,
  [187] = 187,
  [188] = 183,
  [189] = 183,
  [190] = 184,
  [191] = 29,
  [192] = 186,
  [193] = 183,
  [194] = 183,
  [195] = 187,
  [196] = 183,
  [197] = 183,
  [198] = 184,
  [199] = 199,
  [200] = 199,
  [201] = 201,
  [202] = 199,
  [203] = 201,
  [204] = 199,
  [205] = 201,
  [206] = 201,
  [207] = 199,
  [208] = 201,
  [209] = 80,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 77,
  [215] = 215,
  [216] = 216,
  [217] = 80,
  [218] = 69,
  [219] = 79,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 213,
  [227] = 67,
  [228] = 228,
  [229] = 229,
  [230] = 66,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 63,
  [236] = 236,
  [237] = 237,
  [238] = 213,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 79,
  [245] = 69,
  [246] = 246,
  [247] = 213,
  [248] = 248,
  [249] = 213,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 213,
  [255] = 255,
  [256] = 70,
  [257] = 257,
  [258] = 258,
  [259] = 75,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 91,
  [264] = 264,
  [265] = 265,
  [266] = 80,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 138,
  [274] = 257,
  [275] = 220,
  [276] = 212,
  [277] = 231,
  [278] = 241,
  [279] = 243,
  [280] = 229,
  [281] = 261,
  [282] = 232,
  [283] = 267,
  [284] = 268,
  [285] = 271,
  [286] = 269,
  [287] = 211,
  [288] = 252,
  [289] = 251,
  [290] = 255,
  [291] = 242,
  [292] = 248,
  [293] = 151,
  [294] = 272,
  [295] = 246,
  [296] = 240,
  [297] = 239,
  [298] = 270,
  [299] = 237,
  [300] = 264,
  [301] = 234,
  [302] = 225,
  [303] = 223,
  [304] = 304,
  [305] = 222,
  [306] = 258,
  [307] = 135,
  [308] = 221,
  [309] = 141,
  [310] = 105,
  [311] = 228,
  [312] = 215,
  [313] = 91,
  [314] = 314,
  [315] = 104,
  [316] = 79,
  [317] = 216,
  [318] = 224,
  [319] = 233,
  [320] = 93,
  [321] = 236,
  [322] = 250,
  [323] = 253,
  [324] = 260,
  [325] = 109,
  [326] = 132,
  [327] = 265,
  [328] = 67,
  [329] = 107,
  [330] = 67,
  [331] = 262,
  [332] = 332,
  [333] = 63,
  [334] = 66,
  [335] = 335,
  [336] = 18,
  [337] = 70,
  [338] = 338,
  [339] = 66,
  [340] = 340,
  [341] = 341,
  [342] = 338,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 75,
  [347] = 63,
  [348] = 343,
  [349] = 341,
  [350] = 338,
  [351] = 332,
  [352] = 91,
  [353] = 338,
  [354] = 354,
  [355] = 70,
  [356] = 338,
  [357] = 67,
  [358] = 338,
  [359] = 345,
  [360] = 360,
  [361] = 75,
  [362] = 344,
  [363] = 363,
  [364] = 363,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 369,
  [371] = 371,
  [372] = 371,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 368,
  [377] = 377,
  [378] = 69,
  [379] = 77,
  [380] = 80,
  [381] = 69,
  [382] = 80,
  [383] = 79,
  [384] = 67,
  [385] = 18,
  [386] = 18,
  [387] = 91,
  [388] = 107,
  [389] = 389,
  [390] = 109,
  [391] = 389,
  [392] = 151,
  [393] = 104,
  [394] = 80,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 109,
  [399] = 397,
  [400] = 396,
  [401] = 107,
  [402] = 109,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 404,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 69,
  [411] = 411,
  [412] = 412,
  [413] = 77,
  [414] = 69,
  [415] = 415,
  [416] = 403,
  [417] = 417,
  [418] = 405,
  [419] = 419,
  [420] = 420,
  [421] = 79,
  [422] = 80,
  [423] = 69,
  [424] = 80,
  [425] = 77,
  [426] = 426,
  [427] = 79,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 426,
  [432] = 432,
  [433] = 433,
  [434] = 408,
  [435] = 411,
  [436] = 417,
  [437] = 437,
  [438] = 432,
  [439] = 439,
  [440] = 439,
  [441] = 441,
  [442] = 437,
  [443] = 419,
  [444] = 420,
  [445] = 445,
  [446] = 107,
  [447] = 109,
  [448] = 433,
  [449] = 409,
  [450] = 67,
  [451] = 451,
  [452] = 428,
  [453] = 412,
  [454] = 91,
  [455] = 445,
  [456] = 67,
  [457] = 23,
  [458] = 458,
  [459] = 415,
  [460] = 91,
  [461] = 429,
  [462] = 462,
  [463] = 407,
  [464] = 464,
  [465] = 37,
  [466] = 458,
  [467] = 467,
  [468] = 30,
  [469] = 42,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 467,
  [475] = 473,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 479,
  [481] = 151,
  [482] = 478,
  [483] = 483,
  [484] = 104,
  [485] = 485,
  [486] = 486,
  [487] = 151,
  [488] = 104,
  [489] = 477,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 485,
  [495] = 490,
  [496] = 492,
  [497] = 497,
  [498] = 486,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 503,
  [513] = 513,
  [514] = 514,
  [515] = 514,
  [516] = 516,
  [517] = 220,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 500,
  [525] = 502,
  [526] = 501,
  [527] = 506,
  [528] = 528,
  [529] = 508,
  [530] = 530,
  [531] = 220,
  [532] = 532,
  [533] = 533,
  [534] = 504,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 109,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 537,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 557,
  [560] = 557,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 216,
  [565] = 565,
  [566] = 566,
  [567] = 540,
  [568] = 542,
  [569] = 569,
  [570] = 538,
  [571] = 571,
  [572] = 212,
  [573] = 555,
  [574] = 574,
  [575] = 575,
  [576] = 551,
  [577] = 545,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 550,
  [582] = 557,
  [583] = 549,
  [584] = 547,
  [585] = 585,
  [586] = 554,
  [587] = 546,
  [588] = 535,
  [589] = 585,
  [590] = 557,
  [591] = 591,
  [592] = 592,
  [593] = 557,
  [594] = 594,
  [595] = 557,
  [596] = 555,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 557,
  [602] = 545,
  [603] = 555,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 109,
  [609] = 609,
  [610] = 610,
  [611] = 575,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 623,
  [625] = 622,
  [626] = 626,
  [627] = 627,
  [628] = 621,
  [629] = 619,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 618,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 617,
  [640] = 630,
  [641] = 641,
  [642] = 630,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 630,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 657,
  [658] = 631,
  [659] = 659,
  [660] = 630,
  [661] = 661,
  [662] = 662,
  [663] = 663,
  [664] = 630,
  [665] = 641,
  [666] = 656,
  [667] = 667,
  [668] = 616,
  [669] = 635,
  [670] = 644,
  [671] = 671,
  [672] = 672,
  [673] = 626,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 646,
  [678] = 678,
  [679] = 650,
  [680] = 652,
  [681] = 655,
  [682] = 630,
  [683] = 645,
  [684] = 657,
  [685] = 659,
  [686] = 647,
  [687] = 641,
  [688] = 633,
  [689] = 630,
  [690] = 649,
  [691] = 691,
  [692] = 627,
  [693] = 648,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 695,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 699,
  [719] = 700,
  [720] = 720,
  [721] = 710,
  [722] = 722,
  [723] = 723,
  [724] = 712,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 708,
  [729] = 729,
  [730] = 714,
  [731] = 731,
  [732] = 731,
  [733] = 733,
  [734] = 709,
  [735] = 706,
  [736] = 736,
  [737] = 705,
  [738] = 738,
  [739] = 739,
  [740] = 723,
  [741] = 741,
  [742] = 742,
  [743] = 726,
  [744] = 744,
  [745] = 745,
  [746] = 702,
  [747] = 747,
  [748] = 738,
  [749] = 749,
  [750] = 727,
  [751] = 751,
  [752] = 720,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 707,
  [758] = 739,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 711,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 704,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 747,
  [774] = 774,
  [775] = 717,
  [776] = 755,
  [777] = 703,
  [778] = 709,
  [779] = 779,
  [780] = 742,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 754,
  [786] = 753,
  [787] = 787,
};

static TSCharacterRange sym_attribute_name_character_set_1[] = {
  {0, 0x08}, {0x0e, 0x1f}, {'!', '!'}, {'#', '&'}, {'+', '-'}, {'/', ';'}, {'?', 'Z'}, {'\\', '\\'},
  {'^', 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(90);
      ADVANCE_MAP(
        '!', 216,
        '"', 151,
        '%', 259,
        '&', 8,
        '\'', 150,
        '(', 156,
        ')', 157,
        '*', 175,
        '+', 255,
        ',', 167,
        '-', 256,
        '.', 252,
        '/', 258,
        ':', 176,
        ';', 155,
        '<', 98,
        '=', 170,
        '>', 95,
        '?', 217,
        '[', 184,
        '\\', 66,
        ']', 185,
        'a', 33,
        'c', 53,
        'e', 42,
        'l', 27,
        'm', 40,
        'o', 34,
        'p', 44,
        's', 251,
        't', 37,
        'w', 38,
        '{', 153,
        '|', 221,
        '}', 154,
        'D', 75,
        'd', 75,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(88);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '!', 216,
        '"', 151,
        '%', 259,
        '&', 10,
        '(', 156,
        ')', 157,
        '*', 175,
        '+', 255,
        ',', 167,
        '-', 256,
        '.', 252,
        '/', 257,
        ':', 176,
        ';', 155,
        '<', 99,
        '=', 170,
        '>', 95,
        '?', 217,
        '[', 183,
        ']', 185,
        'a', 57,
        'm', 58,
        's', 250,
        '|', 221,
        '}', 154,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 215,
        '"', 151,
        '\'', 150,
        '(', 156,
        ')', 16,
        '-', 82,
        '.', 252,
        '?', 15,
        '[', 183,
        'l', 222,
        '{', 153,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(247);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(236);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 214,
        '"', 151,
        '\'', 150,
        '(', 156,
        ')', 157,
        ',', 167,
        '-', 82,
        ';', 155,
        '[', 183,
        ']', 185,
        '{', 153,
        '}', 154,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(247);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(236);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '"', 151,
        '(', 156,
        '*', 175,
        '/', 191,
        '>', 94,
        '[', 184,
        '\\', 190,
        '\'', 189,
        ')', 189,
        '.', 189,
        '<', 189,
        '=', 189,
        ']', 189,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(189);
      if (lookahead != 0) ADVANCE(193);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '"', 151,
        '(', 156,
        '*', 175,
        '>', 94,
        '[', 184,
        '\\', 190,
        '\'', 189,
        ')', 189,
        '.', 189,
        '<', 189,
        '=', 189,
        ']', 189,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(189);
      if (lookahead != 0) ADVANCE(193);
      END_STATE();
    case 6:
      if (lookahead == '"') ADVANCE(151);
      if (lookahead == '\\') ADVANCE(194);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(197);
      if (lookahead != 0 &&
          lookahead != '{') ADVANCE(203);
      END_STATE();
    case 7:
      if (lookahead == '"') ADVANCE(151);
      if (lookahead == '\\') ADVANCE(192);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(189);
      if (lookahead != 0) ADVANCE(189);
      END_STATE();
    case 8:
      if (lookahead == '#') ADVANCE(78);
      if (lookahead == '&') ADVANCE(220);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(149);
      END_STATE();
    case 9:
      if (lookahead == '#') ADVANCE(78);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(149);
      END_STATE();
    case 10:
      if (lookahead == '&') ADVANCE(220);
      END_STATE();
    case 11:
      if (lookahead == '\'') ADVANCE(150);
      if (lookahead == '\\') ADVANCE(204);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(207);
      if (lookahead != 0 &&
          lookahead != '{') ADVANCE(213);
      END_STATE();
    case 12:
      if (lookahead == '\'') ADVANCE(150);
      if (lookahead == '\\') ADVANCE(246);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(245);
      if (lookahead != 0) ADVANCE(245);
      END_STATE();
    case 13:
      if (lookahead == '(') ADVANCE(156);
      if (lookahead == '*') ADVANCE(175);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '=') ADVANCE(169);
      if (lookahead == '>') ADVANCE(94);
      if (lookahead == '[') ADVANCE(184);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(13);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || '*' < lookahead) &&
          lookahead != '.' &&
          lookahead != '/' &&
          (lookahead < '<' || '>' < lookahead) &&
          lookahead != ']') ADVANCE(109);
      END_STATE();
    case 14:
      if (lookahead == '(') ADVANCE(156);
      if (lookahead == '*') ADVANCE(175);
      if (lookahead == '=') ADVANCE(169);
      if (lookahead == '>') ADVANCE(94);
      if (lookahead == '[') ADVANCE(184);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || '*' < lookahead) &&
          lookahead != '.' &&
          (lookahead < '<' || '>' < lookahead) &&
          lookahead != ']') ADVANCE(109);
      END_STATE();
    case 15:
      if (lookahead == '.') ADVANCE(253);
      END_STATE();
    case 16:
      if (lookahead == ']') ADVANCE(187);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(19);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(45);
      END_STATE();
    case 19:
      if (lookahead == 'c') ADVANCE(41);
      END_STATE();
    case 20:
      if (lookahead == 'c') ADVANCE(230);
      if (lookahead == 'e') ADVANCE(227);
      if (lookahead == 'l') ADVANCE(222);
      if (lookahead == 't') ADVANCE(226);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(236);
      END_STATE();
    case 21:
      if (lookahead == 'c') ADVANCE(36);
      END_STATE();
    case 22:
      if (lookahead == 'c') ADVANCE(61);
      END_STATE();
    case 23:
      if (lookahead == 'e') ADVANCE(35);
      END_STATE();
    case 24:
      if (lookahead == 'e') ADVANCE(179);
      END_STATE();
    case 25:
      if (lookahead == 'e') ADVANCE(69);
      END_STATE();
    case 26:
      if (lookahead == 'e') ADVANCE(46);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(60);
      END_STATE();
    case 28:
      if (lookahead == 'e') ADVANCE(55);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(22);
      END_STATE();
    case 30:
      if (lookahead == 'e') ADVANCE(63);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(50);
      END_STATE();
    case 32:
      if (lookahead == 'e') ADVANCE(51);
      END_STATE();
    case 33:
      if (lookahead == 'f') ADVANCE(64);
      if (lookahead == 's') ADVANCE(168);
      END_STATE();
    case 34:
      if (lookahead == 'f') ADVANCE(163);
      if (lookahead == 'n') ADVANCE(160);
      END_STATE();
    case 35:
      if (lookahead == 'f') ADVANCE(30);
      END_STATE();
    case 36:
      if (lookahead == 'h') ADVANCE(158);
      END_STATE();
    case 37:
      if (lookahead == 'h') ADVANCE(31);
      if (lookahead == 'r') ADVANCE(17);
      END_STATE();
    case 38:
      if (lookahead == 'h') ADVANCE(32);
      END_STATE();
    case 39:
      if (lookahead == 'i') ADVANCE(48);
      END_STATE();
    case 40:
      if (lookahead == 'i') ADVANCE(49);
      if (lookahead == 's') ADVANCE(249);
      END_STATE();
    case 41:
      if (lookahead == 'k') ADVANCE(164);
      END_STATE();
    case 42:
      if (lookahead == 'l') ADVANCE(59);
      END_STATE();
    case 43:
      if (lookahead == 'l') ADVANCE(67);
      END_STATE();
    case 44:
      if (lookahead == 'l') ADVANCE(67);
      if (lookahead == 'r') ADVANCE(23);
      END_STATE();
    case 45:
      if (lookahead == 'l') ADVANCE(171);
      END_STATE();
    case 46:
      if (lookahead == 'l') ADVANCE(29);
      END_STATE();
    case 47:
      if (lookahead == 'm') ADVANCE(162);
      END_STATE();
    case 48:
      if (lookahead == 'm') ADVANCE(68);
      END_STATE();
    case 49:
      if (lookahead == 'n') ADVANCE(39);
      END_STATE();
    case 50:
      if (lookahead == 'n') ADVANCE(177);
      END_STATE();
    case 51:
      if (lookahead == 'n') ADVANCE(159);
      END_STATE();
    case 52:
      if (lookahead == 'n') ADVANCE(65);
      END_STATE();
    case 53:
      if (lookahead == 'o') ADVANCE(52);
      END_STATE();
    case 54:
      if (lookahead == 'p') ADVANCE(43);
      if (lookahead == 's') ADVANCE(26);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      END_STATE();
    case 55:
      if (lookahead == 'r') ADVANCE(161);
      END_STATE();
    case 56:
      if (lookahead == 'r') ADVANCE(18);
      END_STATE();
    case 57:
      if (lookahead == 's') ADVANCE(168);
      END_STATE();
    case 58:
      if (lookahead == 's') ADVANCE(249);
      END_STATE();
    case 59:
      if (lookahead == 's') ADVANCE(24);
      END_STATE();
    case 60:
      if (lookahead == 't') ADVANCE(165);
      END_STATE();
    case 61:
      if (lookahead == 't') ADVANCE(172);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(181);
      END_STATE();
    case 63:
      if (lookahead == 't') ADVANCE(21);
      END_STATE();
    case 64:
      if (lookahead == 't') ADVANCE(28);
      END_STATE();
    case 65:
      if (lookahead == 't') ADVANCE(25);
      END_STATE();
    case 66:
      if (lookahead == 'u') ADVANCE(70);
      if (lookahead == 'x') ADVANCE(87);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(239);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(242);
      if (lookahead != 0) ADVANCE(237);
      END_STATE();
    case 67:
      if (lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 68:
      if (lookahead == 'u') ADVANCE(47);
      END_STATE();
    case 69:
      if (lookahead == 'x') ADVANCE(62);
      END_STATE();
    case 70:
      if (lookahead == '{') ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(83);
      END_STATE();
    case 71:
      if (lookahead == '}') ADVANCE(154);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(173);
      if (lookahead != 0 &&
          lookahead != '{') ADVANCE(174);
      END_STATE();
    case 72:
      if (lookahead == '}') ADVANCE(237);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(72);
      END_STATE();
    case 73:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(77);
      END_STATE();
    case 74:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(96);
      END_STATE();
    case 75:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(73);
      END_STATE();
    case 76:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(74);
      END_STATE();
    case 77:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(79);
      END_STATE();
    case 78:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(85);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      END_STATE();
    case 79:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(76);
      END_STATE();
    case 80:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '@' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(152);
      END_STATE();
    case 81:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(92);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(93);
      END_STATE();
    case 82:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(247);
      END_STATE();
    case 83:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(87);
      END_STATE();
    case 84:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(237);
      END_STATE();
    case 85:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(120);
      END_STATE();
    case 86:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(72);
      END_STATE();
    case 87:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(84);
      END_STATE();
    case 88:
      if (eof) ADVANCE(90);
      ADVANCE_MAP(
        '!', 216,
        '"', 151,
        '%', 259,
        '&', 8,
        '\'', 150,
        '(', 156,
        ')', 157,
        '*', 175,
        '+', 255,
        ',', 167,
        '-', 256,
        '.', 252,
        '/', 258,
        ':', 176,
        ';', 155,
        '<', 98,
        '=', 170,
        '>', 95,
        '?', 217,
        '[', 184,
        ']', 185,
        'a', 33,
        'c', 53,
        'e', 42,
        'l', 27,
        'm', 40,
        'o', 34,
        'p', 44,
        's', 251,
        't', 37,
        'w', 38,
        '{', 153,
        '|', 221,
        '}', 154,
        'D', 75,
        'd', 75,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(88);
      END_STATE();
    case 89:
      if (eof) ADVANCE(90);
      if (lookahead == '&') ADVANCE(9);
      if (lookahead == '<') ADVANCE(97);
      if (lookahead == '>') ADVANCE(94);
      if (lookahead == '{') ADVANCE(153);
      if (lookahead == '}') ADVANCE(154);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(89);
      if (lookahead != 0 &&
          lookahead != '@') ADVANCE(152);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_LT_BANG);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(aux_sym_doctype_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(92);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(93);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(aux_sym_doctype_token1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(93);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(265);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym__doctype);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(91);
      if (lookahead == '/') ADVANCE(101);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(91);
      if (lookahead == '/') ADVANCE(101);
      if (lookahead == '=') ADVANCE(264);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(264);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_attribute_name);
      if (lookahead == '>') ADVANCE(100);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(109);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_attribute_name);
      if (lookahead == '{') ADVANCE(107);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(105);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(109);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_attribute_name);
      if (lookahead == '}') ADVANCE(244);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(109);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(108);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(109);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(244);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(109);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(109);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(106);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(109);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_attribute_name);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(109);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_entity);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(112);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(114);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(116);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(117);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(118);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(119);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(121);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(122);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(123);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(124);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(125);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(127);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(128);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(130);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(131);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(132);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(133);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(134);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(135);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(136);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(137);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(138);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(139);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(140);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(141);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(142);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(143);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(144);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(145);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(146);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(147);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(148);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_text);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '@' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(152);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_prefetch);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_on);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_after);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_minimum);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_track);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(236);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(260);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_plural);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_icu_category);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(173);
      if (lookahead != 0 &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(174);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_icu_category);
      if (lookahead != 0 &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(174);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_then);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(236);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(236);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_context);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_context);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(236);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '(') ADVANCE(186);
      if (lookahead == '@') ADVANCE(188);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_LBRACK_LPAREN);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_RPAREN_RBRACK);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(aux_sym__attribute_node_token1);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(aux_sym__attribute_node_token1);
      if (lookahead == '\r') ADVANCE(239);
      if (lookahead == '?') ADVANCE(238);
      if (lookahead == 'u') ADVANCE(103);
      if (lookahead == 'x') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(243);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == '"' ||
          ('\'' <= lookahead && lookahead <= '*') ||
          lookahead == '.' ||
          ('<' <= lookahead && lookahead <= '>') ||
          lookahead == '[' ||
          lookahead == ']') ADVANCE(237);
      if (lookahead != 0) ADVANCE(244);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(aux_sym__attribute_node_token1);
      if (lookahead == '>') ADVANCE(100);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(109);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(aux_sym__attribute_node_token1);
      if (lookahead == 'u') ADVANCE(70);
      if (lookahead == 'x') ADVANCE(87);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(239);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(242);
      if (lookahead != 0) ADVANCE(237);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(aux_sym__attribute_node_token1);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(109);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(aux_sym__normal_attribute_token1);
      if (lookahead == 'u') ADVANCE(195);
      if (lookahead == 'x') ADVANCE(202);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(196);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(237);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(199);
      if (lookahead != 0) ADVANCE(203);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(aux_sym__normal_attribute_token1);
      if (lookahead == '{') ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(201);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(203);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(aux_sym__normal_attribute_token1);
      if (lookahead == '\n' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(203);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(203);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(aux_sym__normal_attribute_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(197);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(203);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(aux_sym__normal_attribute_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(203);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(203);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(aux_sym__normal_attribute_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(198);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(203);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(aux_sym__normal_attribute_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(203);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(203);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(aux_sym__normal_attribute_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(202);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(203);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(aux_sym__normal_attribute_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(200);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(203);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(aux_sym__normal_attribute_token1);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(203);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(aux_sym__normal_attribute_token2);
      if (lookahead == 'u') ADVANCE(205);
      if (lookahead == 'x') ADVANCE(212);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(206);
      if (lookahead == '\'' ||
          lookahead == '{') ADVANCE(237);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(209);
      if (lookahead != 0) ADVANCE(213);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(aux_sym__normal_attribute_token2);
      if (lookahead == '{') ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(211);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(213);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(aux_sym__normal_attribute_token2);
      if (lookahead == '\n' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(213);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '{') ADVANCE(213);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(aux_sym__normal_attribute_token2);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(207);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '{') ADVANCE(213);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(aux_sym__normal_attribute_token2);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(213);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '{') ADVANCE(213);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(aux_sym__normal_attribute_token2);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(208);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '{') ADVANCE(213);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(aux_sym__normal_attribute_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(213);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '{') ADVANCE(213);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(aux_sym__normal_attribute_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(212);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '{') ADVANCE(213);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(aux_sym__normal_attribute_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(210);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '{') ADVANCE(213);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(aux_sym__normal_attribute_token2);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '{') ADVANCE(213);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '.') ADVANCE(254);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '.') ADVANCE(254);
      if (lookahead == '=') ADVANCE(262);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(253);
      if (lookahead == '?') ADVANCE(218);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(219);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(232);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(236);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(180);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(236);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(235);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(236);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(228);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(236);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h') ADVANCE(225);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(236);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(231);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(236);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(178);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(236);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(234);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(236);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(229);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(236);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(223);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(236);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(166);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(236);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(182);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(236);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(224);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(236);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(233);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(236);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(236);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym__escape_sequence);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (lookahead == '\n') ADVANCE(237);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(244);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(109);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(237);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(237);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(244);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(109);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(240);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(241);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(109);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym__escape_sequence);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(109);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == 'u') ADVANCE(70);
      if (lookahead == 'x') ADVANCE(87);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(239);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(242);
      if (lookahead != 0) ADVANCE(237);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_number_fragment);
      if (lookahead == '.') ADVANCE(248);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(247);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_number_fragment);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_ms);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_s);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_s);
      if (lookahead == 'e') ADVANCE(46);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_BANG_DOT);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '>') ADVANCE(100);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(261);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(263);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 89, .external_lex_state = 2},
  [2] = {.lex_state = 89, .external_lex_state = 3},
  [3] = {.lex_state = 89, .external_lex_state = 3},
  [4] = {.lex_state = 89, .external_lex_state = 3},
  [5] = {.lex_state = 89, .external_lex_state = 3},
  [6] = {.lex_state = 89, .external_lex_state = 2},
  [7] = {.lex_state = 89, .external_lex_state = 2},
  [8] = {.lex_state = 89, .external_lex_state = 2},
  [9] = {.lex_state = 89, .external_lex_state = 2},
  [10] = {.lex_state = 89, .external_lex_state = 2},
  [11] = {.lex_state = 89, .external_lex_state = 2},
  [12] = {.lex_state = 89, .external_lex_state = 2},
  [13] = {.lex_state = 89, .external_lex_state = 3},
  [14] = {.lex_state = 89, .external_lex_state = 2},
  [15] = {.lex_state = 89, .external_lex_state = 2},
  [16] = {.lex_state = 89, .external_lex_state = 2},
  [17] = {.lex_state = 1, .external_lex_state = 4},
  [18] = {.lex_state = 1, .external_lex_state = 4},
  [19] = {.lex_state = 1, .external_lex_state = 4},
  [20] = {.lex_state = 1, .external_lex_state = 4},
  [21] = {.lex_state = 1, .external_lex_state = 4},
  [22] = {.lex_state = 1, .external_lex_state = 4},
  [23] = {.lex_state = 1, .external_lex_state = 4},
  [24] = {.lex_state = 1, .external_lex_state = 4},
  [25] = {.lex_state = 1, .external_lex_state = 4},
  [26] = {.lex_state = 1, .external_lex_state = 4},
  [27] = {.lex_state = 1, .external_lex_state = 4},
  [28] = {.lex_state = 1, .external_lex_state = 4},
  [29] = {.lex_state = 1, .external_lex_state = 4},
  [30] = {.lex_state = 1, .external_lex_state = 4},
  [31] = {.lex_state = 1, .external_lex_state = 4},
  [32] = {.lex_state = 1, .external_lex_state = 4},
  [33] = {.lex_state = 1, .external_lex_state = 4},
  [34] = {.lex_state = 1, .external_lex_state = 4},
  [35] = {.lex_state = 1, .external_lex_state = 4},
  [36] = {.lex_state = 1, .external_lex_state = 4},
  [37] = {.lex_state = 1, .external_lex_state = 4},
  [38] = {.lex_state = 1, .external_lex_state = 4},
  [39] = {.lex_state = 1, .external_lex_state = 4},
  [40] = {.lex_state = 1, .external_lex_state = 4},
  [41] = {.lex_state = 1, .external_lex_state = 4},
  [42] = {.lex_state = 1, .external_lex_state = 4},
  [43] = {.lex_state = 1, .external_lex_state = 4},
  [44] = {.lex_state = 1, .external_lex_state = 4},
  [45] = {.lex_state = 1, .external_lex_state = 4},
  [46] = {.lex_state = 89, .external_lex_state = 2},
  [47] = {.lex_state = 89, .external_lex_state = 2},
  [48] = {.lex_state = 2, .external_lex_state = 4},
  [49] = {.lex_state = 89, .external_lex_state = 2},
  [50] = {.lex_state = 89, .external_lex_state = 2},
  [51] = {.lex_state = 89, .external_lex_state = 2},
  [52] = {.lex_state = 3, .external_lex_state = 4},
  [53] = {.lex_state = 2, .external_lex_state = 4},
  [54] = {.lex_state = 3, .external_lex_state = 4},
  [55] = {.lex_state = 89, .external_lex_state = 3},
  [56] = {.lex_state = 89, .external_lex_state = 3},
  [57] = {.lex_state = 89, .external_lex_state = 3},
  [58] = {.lex_state = 3, .external_lex_state = 4},
  [59] = {.lex_state = 3, .external_lex_state = 4},
  [60] = {.lex_state = 89, .external_lex_state = 3},
  [61] = {.lex_state = 89, .external_lex_state = 3},
  [62] = {.lex_state = 3, .external_lex_state = 4},
  [63] = {.lex_state = 1, .external_lex_state = 4},
  [64] = {.lex_state = 1, .external_lex_state = 5},
  [65] = {.lex_state = 3, .external_lex_state = 4},
  [66] = {.lex_state = 1, .external_lex_state = 4},
  [67] = {.lex_state = 1, .external_lex_state = 4},
  [68] = {.lex_state = 3, .external_lex_state = 4},
  [69] = {.lex_state = 1, .external_lex_state = 4},
  [70] = {.lex_state = 1, .external_lex_state = 4},
  [71] = {.lex_state = 3, .external_lex_state = 4},
  [72] = {.lex_state = 1, .external_lex_state = 5},
  [73] = {.lex_state = 3, .external_lex_state = 4},
  [74] = {.lex_state = 1, .external_lex_state = 4},
  [75] = {.lex_state = 1, .external_lex_state = 4},
  [76] = {.lex_state = 3, .external_lex_state = 4},
  [77] = {.lex_state = 1, .external_lex_state = 4},
  [78] = {.lex_state = 3, .external_lex_state = 4},
  [79] = {.lex_state = 1, .external_lex_state = 4},
  [80] = {.lex_state = 1, .external_lex_state = 4},
  [81] = {.lex_state = 1, .external_lex_state = 5},
  [82] = {.lex_state = 3, .external_lex_state = 4},
  [83] = {.lex_state = 1, .external_lex_state = 4},
  [84] = {.lex_state = 1, .external_lex_state = 4},
  [85] = {.lex_state = 3, .external_lex_state = 4},
  [86] = {.lex_state = 3, .external_lex_state = 4},
  [87] = {.lex_state = 1, .external_lex_state = 4},
  [88] = {.lex_state = 3, .external_lex_state = 4},
  [89] = {.lex_state = 3, .external_lex_state = 4},
  [90] = {.lex_state = 3, .external_lex_state = 4},
  [91] = {.lex_state = 1, .external_lex_state = 4},
  [92] = {.lex_state = 3, .external_lex_state = 4},
  [93] = {.lex_state = 1, .external_lex_state = 4},
  [94] = {.lex_state = 3, .external_lex_state = 4},
  [95] = {.lex_state = 3, .external_lex_state = 4},
  [96] = {.lex_state = 1, .external_lex_state = 5},
  [97] = {.lex_state = 3, .external_lex_state = 4},
  [98] = {.lex_state = 3, .external_lex_state = 4},
  [99] = {.lex_state = 3, .external_lex_state = 4},
  [100] = {.lex_state = 3, .external_lex_state = 4},
  [101] = {.lex_state = 3, .external_lex_state = 4},
  [102] = {.lex_state = 3, .external_lex_state = 4},
  [103] = {.lex_state = 3, .external_lex_state = 4},
  [104] = {.lex_state = 1, .external_lex_state = 4},
  [105] = {.lex_state = 1, .external_lex_state = 4},
  [106] = {.lex_state = 3, .external_lex_state = 4},
  [107] = {.lex_state = 1, .external_lex_state = 4},
  [108] = {.lex_state = 3, .external_lex_state = 4},
  [109] = {.lex_state = 1, .external_lex_state = 4},
  [110] = {.lex_state = 3, .external_lex_state = 4},
  [111] = {.lex_state = 3, .external_lex_state = 4},
  [112] = {.lex_state = 3, .external_lex_state = 4},
  [113] = {.lex_state = 1, .external_lex_state = 4},
  [114] = {.lex_state = 3, .external_lex_state = 4},
  [115] = {.lex_state = 1, .external_lex_state = 4},
  [116] = {.lex_state = 3, .external_lex_state = 4},
  [117] = {.lex_state = 3, .external_lex_state = 4},
  [118] = {.lex_state = 3, .external_lex_state = 4},
  [119] = {.lex_state = 3, .external_lex_state = 4},
  [120] = {.lex_state = 3, .external_lex_state = 4},
  [121] = {.lex_state = 3, .external_lex_state = 4},
  [122] = {.lex_state = 3, .external_lex_state = 4},
  [123] = {.lex_state = 3, .external_lex_state = 4},
  [124] = {.lex_state = 3, .external_lex_state = 4},
  [125] = {.lex_state = 3, .external_lex_state = 4},
  [126] = {.lex_state = 3, .external_lex_state = 4},
  [127] = {.lex_state = 3, .external_lex_state = 4},
  [128] = {.lex_state = 3, .external_lex_state = 4},
  [129] = {.lex_state = 1, .external_lex_state = 5},
  [130] = {.lex_state = 3, .external_lex_state = 4},
  [131] = {.lex_state = 3, .external_lex_state = 4},
  [132] = {.lex_state = 1, .external_lex_state = 4},
  [133] = {.lex_state = 1, .external_lex_state = 4},
  [134] = {.lex_state = 1, .external_lex_state = 5},
  [135] = {.lex_state = 1, .external_lex_state = 4},
  [136] = {.lex_state = 3, .external_lex_state = 4},
  [137] = {.lex_state = 1, .external_lex_state = 4},
  [138] = {.lex_state = 1, .external_lex_state = 4},
  [139] = {.lex_state = 3, .external_lex_state = 4},
  [140] = {.lex_state = 3, .external_lex_state = 4},
  [141] = {.lex_state = 1, .external_lex_state = 4},
  [142] = {.lex_state = 3, .external_lex_state = 4},
  [143] = {.lex_state = 3, .external_lex_state = 4},
  [144] = {.lex_state = 3, .external_lex_state = 4},
  [145] = {.lex_state = 3, .external_lex_state = 4},
  [146] = {.lex_state = 3, .external_lex_state = 4},
  [147] = {.lex_state = 3, .external_lex_state = 4},
  [148] = {.lex_state = 3, .external_lex_state = 4},
  [149] = {.lex_state = 3, .external_lex_state = 4},
  [150] = {.lex_state = 3, .external_lex_state = 4},
  [151] = {.lex_state = 1, .external_lex_state = 4},
  [152] = {.lex_state = 3, .external_lex_state = 4},
  [153] = {.lex_state = 1, .external_lex_state = 5},
  [154] = {.lex_state = 1, .external_lex_state = 5},
  [155] = {.lex_state = 1, .external_lex_state = 5},
  [156] = {.lex_state = 1, .external_lex_state = 5},
  [157] = {.lex_state = 1, .external_lex_state = 4},
  [158] = {.lex_state = 1, .external_lex_state = 5},
  [159] = {.lex_state = 1, .external_lex_state = 5},
  [160] = {.lex_state = 1, .external_lex_state = 5},
  [161] = {.lex_state = 1, .external_lex_state = 5},
  [162] = {.lex_state = 1, .external_lex_state = 5},
  [163] = {.lex_state = 1, .external_lex_state = 5},
  [164] = {.lex_state = 1, .external_lex_state = 5},
  [165] = {.lex_state = 1, .external_lex_state = 5},
  [166] = {.lex_state = 1, .external_lex_state = 5},
  [167] = {.lex_state = 1, .external_lex_state = 5},
  [168] = {.lex_state = 1, .external_lex_state = 4},
  [169] = {.lex_state = 1, .external_lex_state = 5},
  [170] = {.lex_state = 1, .external_lex_state = 5},
  [171] = {.lex_state = 1, .external_lex_state = 4},
  [172] = {.lex_state = 1, .external_lex_state = 4},
  [173] = {.lex_state = 1, .external_lex_state = 4},
  [174] = {.lex_state = 1, .external_lex_state = 4},
  [175] = {.lex_state = 1, .external_lex_state = 4},
  [176] = {.lex_state = 1, .external_lex_state = 5},
  [177] = {.lex_state = 1, .external_lex_state = 5},
  [178] = {.lex_state = 1, .external_lex_state = 4},
  [179] = {.lex_state = 1, .external_lex_state = 5},
  [180] = {.lex_state = 1, .external_lex_state = 5},
  [181] = {.lex_state = 1, .external_lex_state = 5},
  [182] = {.lex_state = 1, .external_lex_state = 4},
  [183] = {.lex_state = 1, .external_lex_state = 4},
  [184] = {.lex_state = 3, .external_lex_state = 4},
  [185] = {.lex_state = 1, .external_lex_state = 4},
  [186] = {.lex_state = 1, .external_lex_state = 4},
  [187] = {.lex_state = 1, .external_lex_state = 4},
  [188] = {.lex_state = 1, .external_lex_state = 4},
  [189] = {.lex_state = 1, .external_lex_state = 4},
  [190] = {.lex_state = 3, .external_lex_state = 4},
  [191] = {.lex_state = 1, .external_lex_state = 5},
  [192] = {.lex_state = 1, .external_lex_state = 4},
  [193] = {.lex_state = 1, .external_lex_state = 4},
  [194] = {.lex_state = 1, .external_lex_state = 4},
  [195] = {.lex_state = 1, .external_lex_state = 4},
  [196] = {.lex_state = 1, .external_lex_state = 4},
  [197] = {.lex_state = 1, .external_lex_state = 4},
  [198] = {.lex_state = 3, .external_lex_state = 4},
  [199] = {.lex_state = 3, .external_lex_state = 4},
  [200] = {.lex_state = 3, .external_lex_state = 4},
  [201] = {.lex_state = 3, .external_lex_state = 4},
  [202] = {.lex_state = 3, .external_lex_state = 4},
  [203] = {.lex_state = 3, .external_lex_state = 4},
  [204] = {.lex_state = 3, .external_lex_state = 4},
  [205] = {.lex_state = 3, .external_lex_state = 4},
  [206] = {.lex_state = 3, .external_lex_state = 4},
  [207] = {.lex_state = 3, .external_lex_state = 4},
  [208] = {.lex_state = 3, .external_lex_state = 4},
  [209] = {.lex_state = 1, .external_lex_state = 4},
  [210] = {.lex_state = 3, .external_lex_state = 4},
  [211] = {.lex_state = 89, .external_lex_state = 2},
  [212] = {.lex_state = 89, .external_lex_state = 2},
  [213] = {.lex_state = 3, .external_lex_state = 4},
  [214] = {.lex_state = 1, .external_lex_state = 5},
  [215] = {.lex_state = 89, .external_lex_state = 2},
  [216] = {.lex_state = 89, .external_lex_state = 2},
  [217] = {.lex_state = 1, .external_lex_state = 5},
  [218] = {.lex_state = 1, .external_lex_state = 5},
  [219] = {.lex_state = 1, .external_lex_state = 5},
  [220] = {.lex_state = 89, .external_lex_state = 2},
  [221] = {.lex_state = 89, .external_lex_state = 2},
  [222] = {.lex_state = 89, .external_lex_state = 2},
  [223] = {.lex_state = 89, .external_lex_state = 2},
  [224] = {.lex_state = 89, .external_lex_state = 2},
  [225] = {.lex_state = 89, .external_lex_state = 2},
  [226] = {.lex_state = 3, .external_lex_state = 4},
  [227] = {.lex_state = 1, .external_lex_state = 5},
  [228] = {.lex_state = 89, .external_lex_state = 2},
  [229] = {.lex_state = 89, .external_lex_state = 2},
  [230] = {.lex_state = 1, .external_lex_state = 5},
  [231] = {.lex_state = 89, .external_lex_state = 2},
  [232] = {.lex_state = 89, .external_lex_state = 2},
  [233] = {.lex_state = 89, .external_lex_state = 2},
  [234] = {.lex_state = 89, .external_lex_state = 2},
  [235] = {.lex_state = 1, .external_lex_state = 5},
  [236] = {.lex_state = 89, .external_lex_state = 2},
  [237] = {.lex_state = 89, .external_lex_state = 2},
  [238] = {.lex_state = 3, .external_lex_state = 4},
  [239] = {.lex_state = 89, .external_lex_state = 2},
  [240] = {.lex_state = 89, .external_lex_state = 2},
  [241] = {.lex_state = 89, .external_lex_state = 2},
  [242] = {.lex_state = 89, .external_lex_state = 2},
  [243] = {.lex_state = 89, .external_lex_state = 2},
  [244] = {.lex_state = 1, .external_lex_state = 5},
  [245] = {.lex_state = 1, .external_lex_state = 5},
  [246] = {.lex_state = 89, .external_lex_state = 2},
  [247] = {.lex_state = 3, .external_lex_state = 4},
  [248] = {.lex_state = 89, .external_lex_state = 2},
  [249] = {.lex_state = 3, .external_lex_state = 4},
  [250] = {.lex_state = 89, .external_lex_state = 2},
  [251] = {.lex_state = 89, .external_lex_state = 2},
  [252] = {.lex_state = 89, .external_lex_state = 2},
  [253] = {.lex_state = 89, .external_lex_state = 2},
  [254] = {.lex_state = 3, .external_lex_state = 4},
  [255] = {.lex_state = 89, .external_lex_state = 2},
  [256] = {.lex_state = 1, .external_lex_state = 5},
  [257] = {.lex_state = 89, .external_lex_state = 2},
  [258] = {.lex_state = 89, .external_lex_state = 2},
  [259] = {.lex_state = 1, .external_lex_state = 5},
  [260] = {.lex_state = 89, .external_lex_state = 2},
  [261] = {.lex_state = 89, .external_lex_state = 2},
  [262] = {.lex_state = 89, .external_lex_state = 2},
  [263] = {.lex_state = 1, .external_lex_state = 5},
  [264] = {.lex_state = 89, .external_lex_state = 2},
  [265] = {.lex_state = 89, .external_lex_state = 2},
  [266] = {.lex_state = 1, .external_lex_state = 5},
  [267] = {.lex_state = 89, .external_lex_state = 2},
  [268] = {.lex_state = 89, .external_lex_state = 2},
  [269] = {.lex_state = 89, .external_lex_state = 2},
  [270] = {.lex_state = 89, .external_lex_state = 2},
  [271] = {.lex_state = 89, .external_lex_state = 2},
  [272] = {.lex_state = 89, .external_lex_state = 2},
  [273] = {.lex_state = 1, .external_lex_state = 5},
  [274] = {.lex_state = 89, .external_lex_state = 3},
  [275] = {.lex_state = 89, .external_lex_state = 3},
  [276] = {.lex_state = 89, .external_lex_state = 3},
  [277] = {.lex_state = 89, .external_lex_state = 3},
  [278] = {.lex_state = 89, .external_lex_state = 3},
  [279] = {.lex_state = 89, .external_lex_state = 3},
  [280] = {.lex_state = 89, .external_lex_state = 3},
  [281] = {.lex_state = 89, .external_lex_state = 3},
  [282] = {.lex_state = 89, .external_lex_state = 3},
  [283] = {.lex_state = 89, .external_lex_state = 3},
  [284] = {.lex_state = 89, .external_lex_state = 3},
  [285] = {.lex_state = 89, .external_lex_state = 3},
  [286] = {.lex_state = 89, .external_lex_state = 3},
  [287] = {.lex_state = 89, .external_lex_state = 3},
  [288] = {.lex_state = 89, .external_lex_state = 3},
  [289] = {.lex_state = 89, .external_lex_state = 3},
  [290] = {.lex_state = 89, .external_lex_state = 3},
  [291] = {.lex_state = 89, .external_lex_state = 3},
  [292] = {.lex_state = 89, .external_lex_state = 3},
  [293] = {.lex_state = 1, .external_lex_state = 5},
  [294] = {.lex_state = 89, .external_lex_state = 3},
  [295] = {.lex_state = 89, .external_lex_state = 3},
  [296] = {.lex_state = 89, .external_lex_state = 3},
  [297] = {.lex_state = 89, .external_lex_state = 3},
  [298] = {.lex_state = 89, .external_lex_state = 3},
  [299] = {.lex_state = 89, .external_lex_state = 3},
  [300] = {.lex_state = 89, .external_lex_state = 3},
  [301] = {.lex_state = 89, .external_lex_state = 3},
  [302] = {.lex_state = 89, .external_lex_state = 3},
  [303] = {.lex_state = 89, .external_lex_state = 3},
  [304] = {.lex_state = 89, .external_lex_state = 3},
  [305] = {.lex_state = 89, .external_lex_state = 3},
  [306] = {.lex_state = 89, .external_lex_state = 3},
  [307] = {.lex_state = 1, .external_lex_state = 5},
  [308] = {.lex_state = 89, .external_lex_state = 3},
  [309] = {.lex_state = 1, .external_lex_state = 5},
  [310] = {.lex_state = 1, .external_lex_state = 5},
  [311] = {.lex_state = 89, .external_lex_state = 3},
  [312] = {.lex_state = 89, .external_lex_state = 3},
  [313] = {.lex_state = 1, .external_lex_state = 5},
  [314] = {.lex_state = 89, .external_lex_state = 3},
  [315] = {.lex_state = 1, .external_lex_state = 5},
  [316] = {.lex_state = 1, .external_lex_state = 4},
  [317] = {.lex_state = 89, .external_lex_state = 3},
  [318] = {.lex_state = 89, .external_lex_state = 3},
  [319] = {.lex_state = 89, .external_lex_state = 3},
  [320] = {.lex_state = 1, .external_lex_state = 5},
  [321] = {.lex_state = 89, .external_lex_state = 3},
  [322] = {.lex_state = 89, .external_lex_state = 3},
  [323] = {.lex_state = 89, .external_lex_state = 3},
  [324] = {.lex_state = 89, .external_lex_state = 3},
  [325] = {.lex_state = 1, .external_lex_state = 5},
  [326] = {.lex_state = 1, .external_lex_state = 5},
  [327] = {.lex_state = 89, .external_lex_state = 3},
  [328] = {.lex_state = 1, .external_lex_state = 5},
  [329] = {.lex_state = 1, .external_lex_state = 5},
  [330] = {.lex_state = 1, .external_lex_state = 4},
  [331] = {.lex_state = 89, .external_lex_state = 3},
  [332] = {.lex_state = 3, .external_lex_state = 4},
  [333] = {.lex_state = 1, .external_lex_state = 4},
  [334] = {.lex_state = 1, .external_lex_state = 4},
  [335] = {.lex_state = 1, .external_lex_state = 4},
  [336] = {.lex_state = 1, .external_lex_state = 4},
  [337] = {.lex_state = 1, .external_lex_state = 4},
  [338] = {.lex_state = 3, .external_lex_state = 4},
  [339] = {.lex_state = 1, .external_lex_state = 5},
  [340] = {.lex_state = 3, .external_lex_state = 4},
  [341] = {.lex_state = 3, .external_lex_state = 4},
  [342] = {.lex_state = 3, .external_lex_state = 4},
  [343] = {.lex_state = 3, .external_lex_state = 4},
  [344] = {.lex_state = 3, .external_lex_state = 4},
  [345] = {.lex_state = 3, .external_lex_state = 4},
  [346] = {.lex_state = 1, .external_lex_state = 4},
  [347] = {.lex_state = 1, .external_lex_state = 5},
  [348] = {.lex_state = 3, .external_lex_state = 4},
  [349] = {.lex_state = 3, .external_lex_state = 4},
  [350] = {.lex_state = 3, .external_lex_state = 4},
  [351] = {.lex_state = 3, .external_lex_state = 4},
  [352] = {.lex_state = 1, .external_lex_state = 4},
  [353] = {.lex_state = 3, .external_lex_state = 4},
  [354] = {.lex_state = 3, .external_lex_state = 4},
  [355] = {.lex_state = 1, .external_lex_state = 5},
  [356] = {.lex_state = 3, .external_lex_state = 4},
  [357] = {.lex_state = 1, .external_lex_state = 4},
  [358] = {.lex_state = 3, .external_lex_state = 4},
  [359] = {.lex_state = 3, .external_lex_state = 4},
  [360] = {.lex_state = 3, .external_lex_state = 4},
  [361] = {.lex_state = 1, .external_lex_state = 5},
  [362] = {.lex_state = 3, .external_lex_state = 4},
  [363] = {.lex_state = 3, .external_lex_state = 4},
  [364] = {.lex_state = 3, .external_lex_state = 4},
  [365] = {.lex_state = 3, .external_lex_state = 4},
  [366] = {.lex_state = 1, .external_lex_state = 4},
  [367] = {.lex_state = 3, .external_lex_state = 4},
  [368] = {.lex_state = 13, .external_lex_state = 6},
  [369] = {.lex_state = 13, .external_lex_state = 6},
  [370] = {.lex_state = 13, .external_lex_state = 6},
  [371] = {.lex_state = 13, .external_lex_state = 6},
  [372] = {.lex_state = 13, .external_lex_state = 6},
  [373] = {.lex_state = 14, .external_lex_state = 4},
  [374] = {.lex_state = 14, .external_lex_state = 4},
  [375] = {.lex_state = 14, .external_lex_state = 4},
  [376] = {.lex_state = 14, .external_lex_state = 4},
  [377] = {.lex_state = 14, .external_lex_state = 4},
  [378] = {.lex_state = 1, .external_lex_state = 4},
  [379] = {.lex_state = 1, .external_lex_state = 4},
  [380] = {.lex_state = 1, .external_lex_state = 4},
  [381] = {.lex_state = 1, .external_lex_state = 4},
  [382] = {.lex_state = 1, .external_lex_state = 4},
  [383] = {.lex_state = 1, .external_lex_state = 4},
  [384] = {.lex_state = 1, .external_lex_state = 4},
  [385] = {.lex_state = 1, .external_lex_state = 5},
  [386] = {.lex_state = 1, .external_lex_state = 4},
  [387] = {.lex_state = 1, .external_lex_state = 4},
  [388] = {.lex_state = 1, .external_lex_state = 4},
  [389] = {.lex_state = 4, .external_lex_state = 6},
  [390] = {.lex_state = 1, .external_lex_state = 4},
  [391] = {.lex_state = 5, .external_lex_state = 4},
  [392] = {.lex_state = 1, .external_lex_state = 4},
  [393] = {.lex_state = 1, .external_lex_state = 4},
  [394] = {.lex_state = 0, .external_lex_state = 4},
  [395] = {.lex_state = 0, .external_lex_state = 4},
  [396] = {.lex_state = 13, .external_lex_state = 6},
  [397] = {.lex_state = 3, .external_lex_state = 4},
  [398] = {.lex_state = 1, .external_lex_state = 4},
  [399] = {.lex_state = 3, .external_lex_state = 4},
  [400] = {.lex_state = 14, .external_lex_state = 4},
  [401] = {.lex_state = 0, .external_lex_state = 4},
  [402] = {.lex_state = 0, .external_lex_state = 4},
  [403] = {.lex_state = 13, .external_lex_state = 6},
  [404] = {.lex_state = 13, .external_lex_state = 6},
  [405] = {.lex_state = 3, .external_lex_state = 4},
  [406] = {.lex_state = 14, .external_lex_state = 4},
  [407] = {.lex_state = 13, .external_lex_state = 6},
  [408] = {.lex_state = 13, .external_lex_state = 6},
  [409] = {.lex_state = 13, .external_lex_state = 6},
  [410] = {.lex_state = 0, .external_lex_state = 5},
  [411] = {.lex_state = 13, .external_lex_state = 6},
  [412] = {.lex_state = 13, .external_lex_state = 6},
  [413] = {.lex_state = 0, .external_lex_state = 5},
  [414] = {.lex_state = 0, .external_lex_state = 5},
  [415] = {.lex_state = 1, .external_lex_state = 4},
  [416] = {.lex_state = 14, .external_lex_state = 4},
  [417] = {.lex_state = 13, .external_lex_state = 6},
  [418] = {.lex_state = 3, .external_lex_state = 4},
  [419] = {.lex_state = 13, .external_lex_state = 6},
  [420] = {.lex_state = 13, .external_lex_state = 6},
  [421] = {.lex_state = 0, .external_lex_state = 4},
  [422] = {.lex_state = 0, .external_lex_state = 5},
  [423] = {.lex_state = 0, .external_lex_state = 4},
  [424] = {.lex_state = 0, .external_lex_state = 5},
  [425] = {.lex_state = 0, .external_lex_state = 4},
  [426] = {.lex_state = 3, .external_lex_state = 4},
  [427] = {.lex_state = 0, .external_lex_state = 5},
  [428] = {.lex_state = 13, .external_lex_state = 6},
  [429] = {.lex_state = 13, .external_lex_state = 6},
  [430] = {.lex_state = 0, .external_lex_state = 4},
  [431] = {.lex_state = 3, .external_lex_state = 4},
  [432] = {.lex_state = 13, .external_lex_state = 6},
  [433] = {.lex_state = 6, .external_lex_state = 7},
  [434] = {.lex_state = 14, .external_lex_state = 4},
  [435] = {.lex_state = 14, .external_lex_state = 4},
  [436] = {.lex_state = 14, .external_lex_state = 4},
  [437] = {.lex_state = 6, .external_lex_state = 7},
  [438] = {.lex_state = 14, .external_lex_state = 4},
  [439] = {.lex_state = 11, .external_lex_state = 7},
  [440] = {.lex_state = 11, .external_lex_state = 7},
  [441] = {.lex_state = 1, .external_lex_state = 4},
  [442] = {.lex_state = 6, .external_lex_state = 7},
  [443] = {.lex_state = 14, .external_lex_state = 4},
  [444] = {.lex_state = 14, .external_lex_state = 4},
  [445] = {.lex_state = 11, .external_lex_state = 7},
  [446] = {.lex_state = 0, .external_lex_state = 5},
  [447] = {.lex_state = 0, .external_lex_state = 5},
  [448] = {.lex_state = 6, .external_lex_state = 7},
  [449] = {.lex_state = 14, .external_lex_state = 4},
  [450] = {.lex_state = 0, .external_lex_state = 4},
  [451] = {.lex_state = 1, .external_lex_state = 4},
  [452] = {.lex_state = 14, .external_lex_state = 4},
  [453] = {.lex_state = 14, .external_lex_state = 4},
  [454] = {.lex_state = 0, .external_lex_state = 4},
  [455] = {.lex_state = 11, .external_lex_state = 7},
  [456] = {.lex_state = 0, .external_lex_state = 5},
  [457] = {.lex_state = 2, .external_lex_state = 4},
  [458] = {.lex_state = 1, .external_lex_state = 4},
  [459] = {.lex_state = 2, .external_lex_state = 4},
  [460] = {.lex_state = 0, .external_lex_state = 5},
  [461] = {.lex_state = 14, .external_lex_state = 4},
  [462] = {.lex_state = 3, .external_lex_state = 4},
  [463] = {.lex_state = 14, .external_lex_state = 4},
  [464] = {.lex_state = 6, .external_lex_state = 7},
  [465] = {.lex_state = 2, .external_lex_state = 4},
  [466] = {.lex_state = 2, .external_lex_state = 4},
  [467] = {.lex_state = 0, .external_lex_state = 4},
  [468] = {.lex_state = 2, .external_lex_state = 4},
  [469] = {.lex_state = 2, .external_lex_state = 4},
  [470] = {.lex_state = 0, .external_lex_state = 4},
  [471] = {.lex_state = 11, .external_lex_state = 7},
  [472] = {.lex_state = 89, .external_lex_state = 8},
  [473] = {.lex_state = 89, .external_lex_state = 8},
  [474] = {.lex_state = 0, .external_lex_state = 4},
  [475] = {.lex_state = 89, .external_lex_state = 8},
  [476] = {.lex_state = 0, .external_lex_state = 4},
  [477] = {.lex_state = 7, .external_lex_state = 4},
  [478] = {.lex_state = 1, .external_lex_state = 4},
  [479] = {.lex_state = 0, .external_lex_state = 8},
  [480] = {.lex_state = 0, .external_lex_state = 8},
  [481] = {.lex_state = 0, .external_lex_state = 5},
  [482] = {.lex_state = 1, .external_lex_state = 4},
  [483] = {.lex_state = 0, .external_lex_state = 4},
  [484] = {.lex_state = 0, .external_lex_state = 4},
  [485] = {.lex_state = 12, .external_lex_state = 4},
  [486] = {.lex_state = 0, .external_lex_state = 4},
  [487] = {.lex_state = 0, .external_lex_state = 4},
  [488] = {.lex_state = 0, .external_lex_state = 5},
  [489] = {.lex_state = 7, .external_lex_state = 4},
  [490] = {.lex_state = 12, .external_lex_state = 4},
  [491] = {.lex_state = 20, .external_lex_state = 4},
  [492] = {.lex_state = 7, .external_lex_state = 4},
  [493] = {.lex_state = 0, .external_lex_state = 4},
  [494] = {.lex_state = 12, .external_lex_state = 4},
  [495] = {.lex_state = 12, .external_lex_state = 4},
  [496] = {.lex_state = 7, .external_lex_state = 4},
  [497] = {.lex_state = 0, .external_lex_state = 4},
  [498] = {.lex_state = 0, .external_lex_state = 4},
  [499] = {.lex_state = 0, .external_lex_state = 4},
  [500] = {.lex_state = 0, .external_lex_state = 4},
  [501] = {.lex_state = 0, .external_lex_state = 4},
  [502] = {.lex_state = 0, .external_lex_state = 4},
  [503] = {.lex_state = 71, .external_lex_state = 4},
  [504] = {.lex_state = 0, .external_lex_state = 4},
  [505] = {.lex_state = 0, .external_lex_state = 4},
  [506] = {.lex_state = 0, .external_lex_state = 4},
  [507] = {.lex_state = 0, .external_lex_state = 4},
  [508] = {.lex_state = 0, .external_lex_state = 4},
  [509] = {.lex_state = 0, .external_lex_state = 4},
  [510] = {.lex_state = 0, .external_lex_state = 4},
  [511] = {.lex_state = 1, .external_lex_state = 4},
  [512] = {.lex_state = 71, .external_lex_state = 4},
  [513] = {.lex_state = 0, .external_lex_state = 4},
  [514] = {.lex_state = 0, .external_lex_state = 4},
  [515] = {.lex_state = 0, .external_lex_state = 4},
  [516] = {.lex_state = 71, .external_lex_state = 4},
  [517] = {.lex_state = 11, .external_lex_state = 7},
  [518] = {.lex_state = 0, .external_lex_state = 4},
  [519] = {.lex_state = 0, .external_lex_state = 4},
  [520] = {.lex_state = 0, .external_lex_state = 4},
  [521] = {.lex_state = 0, .external_lex_state = 4},
  [522] = {.lex_state = 7, .external_lex_state = 4},
  [523] = {.lex_state = 12, .external_lex_state = 4},
  [524] = {.lex_state = 0, .external_lex_state = 4},
  [525] = {.lex_state = 0, .external_lex_state = 4},
  [526] = {.lex_state = 0, .external_lex_state = 4},
  [527] = {.lex_state = 0, .external_lex_state = 4},
  [528] = {.lex_state = 0, .external_lex_state = 4},
  [529] = {.lex_state = 0, .external_lex_state = 4},
  [530] = {.lex_state = 0, .external_lex_state = 4},
  [531] = {.lex_state = 6, .external_lex_state = 7},
  [532] = {.lex_state = 0, .external_lex_state = 4},
  [533] = {.lex_state = 0, .external_lex_state = 4},
  [534] = {.lex_state = 0, .external_lex_state = 4},
  [535] = {.lex_state = 0, .external_lex_state = 4},
  [536] = {.lex_state = 0, .external_lex_state = 4},
  [537] = {.lex_state = 54, .external_lex_state = 4},
  [538] = {.lex_state = 0, .external_lex_state = 4},
  [539] = {.lex_state = 1, .external_lex_state = 4},
  [540] = {.lex_state = 1, .external_lex_state = 4},
  [541] = {.lex_state = 0, .external_lex_state = 4},
  [542] = {.lex_state = 0, .external_lex_state = 4},
  [543] = {.lex_state = 0, .external_lex_state = 4},
  [544] = {.lex_state = 0, .external_lex_state = 4},
  [545] = {.lex_state = 3, .external_lex_state = 4},
  [546] = {.lex_state = 0, .external_lex_state = 4},
  [547] = {.lex_state = 0, .external_lex_state = 4},
  [548] = {.lex_state = 0, .external_lex_state = 4},
  [549] = {.lex_state = 0, .external_lex_state = 4},
  [550] = {.lex_state = 0, .external_lex_state = 9},
  [551] = {.lex_state = 0, .external_lex_state = 9},
  [552] = {.lex_state = 54, .external_lex_state = 4},
  [553] = {.lex_state = 0, .external_lex_state = 4},
  [554] = {.lex_state = 1, .external_lex_state = 4},
  [555] = {.lex_state = 0, .external_lex_state = 5},
  [556] = {.lex_state = 0, .external_lex_state = 4},
  [557] = {.lex_state = 0, .external_lex_state = 4},
  [558] = {.lex_state = 0, .external_lex_state = 4},
  [559] = {.lex_state = 0, .external_lex_state = 4},
  [560] = {.lex_state = 0, .external_lex_state = 4},
  [561] = {.lex_state = 0, .external_lex_state = 4},
  [562] = {.lex_state = 0, .external_lex_state = 4},
  [563] = {.lex_state = 0, .external_lex_state = 4},
  [564] = {.lex_state = 89, .external_lex_state = 8},
  [565] = {.lex_state = 0, .external_lex_state = 4},
  [566] = {.lex_state = 0, .external_lex_state = 4},
  [567] = {.lex_state = 1, .external_lex_state = 4},
  [568] = {.lex_state = 0, .external_lex_state = 4},
  [569] = {.lex_state = 0, .external_lex_state = 4},
  [570] = {.lex_state = 0, .external_lex_state = 4},
  [571] = {.lex_state = 0, .external_lex_state = 4},
  [572] = {.lex_state = 89, .external_lex_state = 8},
  [573] = {.lex_state = 0, .external_lex_state = 5},
  [574] = {.lex_state = 0, .external_lex_state = 4},
  [575] = {.lex_state = 71, .external_lex_state = 4},
  [576] = {.lex_state = 0, .external_lex_state = 9},
  [577] = {.lex_state = 3, .external_lex_state = 4},
  [578] = {.lex_state = 2, .external_lex_state = 4},
  [579] = {.lex_state = 89, .external_lex_state = 8},
  [580] = {.lex_state = 0, .external_lex_state = 4},
  [581] = {.lex_state = 0, .external_lex_state = 9},
  [582] = {.lex_state = 0, .external_lex_state = 4},
  [583] = {.lex_state = 0, .external_lex_state = 4},
  [584] = {.lex_state = 0, .external_lex_state = 4},
  [585] = {.lex_state = 0, .external_lex_state = 10},
  [586] = {.lex_state = 1, .external_lex_state = 4},
  [587] = {.lex_state = 0, .external_lex_state = 4},
  [588] = {.lex_state = 0, .external_lex_state = 4},
  [589] = {.lex_state = 0, .external_lex_state = 10},
  [590] = {.lex_state = 0, .external_lex_state = 4},
  [591] = {.lex_state = 89, .external_lex_state = 8},
  [592] = {.lex_state = 0, .external_lex_state = 4},
  [593] = {.lex_state = 0, .external_lex_state = 4},
  [594] = {.lex_state = 1, .external_lex_state = 4},
  [595] = {.lex_state = 0, .external_lex_state = 4},
  [596] = {.lex_state = 0, .external_lex_state = 5},
  [597] = {.lex_state = 0, .external_lex_state = 4},
  [598] = {.lex_state = 0, .external_lex_state = 4},
  [599] = {.lex_state = 0, .external_lex_state = 4},
  [600] = {.lex_state = 0, .external_lex_state = 4},
  [601] = {.lex_state = 0, .external_lex_state = 4},
  [602] = {.lex_state = 3, .external_lex_state = 4},
  [603] = {.lex_state = 0, .external_lex_state = 5},
  [604] = {.lex_state = 0, .external_lex_state = 4},
  [605] = {.lex_state = 0, .external_lex_state = 4},
  [606] = {.lex_state = 2, .external_lex_state = 4},
  [607] = {.lex_state = 0, .external_lex_state = 4},
  [608] = {.lex_state = 0, .external_lex_state = 5},
  [609] = {.lex_state = 0, .external_lex_state = 4},
  [610] = {.lex_state = 0, .external_lex_state = 4},
  [611] = {.lex_state = 71, .external_lex_state = 4},
  [612] = {.lex_state = 0, .external_lex_state = 4},
  [613] = {.lex_state = 0, .external_lex_state = 4},
  [614] = {.lex_state = 0, .external_lex_state = 9},
  [615] = {.lex_state = 0, .external_lex_state = 4},
  [616] = {.lex_state = 0, .external_lex_state = 4},
  [617] = {.lex_state = 0, .external_lex_state = 4},
  [618] = {.lex_state = 0, .external_lex_state = 4},
  [619] = {.lex_state = 0, .external_lex_state = 4},
  [620] = {.lex_state = 0, .external_lex_state = 4},
  [621] = {.lex_state = 0, .external_lex_state = 4},
  [622] = {.lex_state = 0, .external_lex_state = 4},
  [623] = {.lex_state = 0, .external_lex_state = 4},
  [624] = {.lex_state = 0, .external_lex_state = 4},
  [625] = {.lex_state = 0, .external_lex_state = 4},
  [626] = {.lex_state = 0, .external_lex_state = 4},
  [627] = {.lex_state = 0, .external_lex_state = 4},
  [628] = {.lex_state = 0, .external_lex_state = 4},
  [629] = {.lex_state = 0, .external_lex_state = 4},
  [630] = {.lex_state = 3, .external_lex_state = 4},
  [631] = {.lex_state = 3, .external_lex_state = 4},
  [632] = {.lex_state = 0, .external_lex_state = 4},
  [633] = {.lex_state = 0, .external_lex_state = 4},
  [634] = {.lex_state = 0, .external_lex_state = 4},
  [635] = {.lex_state = 0, .external_lex_state = 4},
  [636] = {.lex_state = 3, .external_lex_state = 4},
  [637] = {.lex_state = 0, .external_lex_state = 4},
  [638] = {.lex_state = 0, .external_lex_state = 4},
  [639] = {.lex_state = 0, .external_lex_state = 4},
  [640] = {.lex_state = 3, .external_lex_state = 4},
  [641] = {.lex_state = 3, .external_lex_state = 4},
  [642] = {.lex_state = 3, .external_lex_state = 4},
  [643] = {.lex_state = 71, .external_lex_state = 4},
  [644] = {.lex_state = 0, .external_lex_state = 4},
  [645] = {.lex_state = 0, .external_lex_state = 4},
  [646] = {.lex_state = 3, .external_lex_state = 4},
  [647] = {.lex_state = 0, .external_lex_state = 4},
  [648] = {.lex_state = 0, .external_lex_state = 4},
  [649] = {.lex_state = 0, .external_lex_state = 4},
  [650] = {.lex_state = 0, .external_lex_state = 4},
  [651] = {.lex_state = 3, .external_lex_state = 4},
  [652] = {.lex_state = 0, .external_lex_state = 4},
  [653] = {.lex_state = 0, .external_lex_state = 4},
  [654] = {.lex_state = 1, .external_lex_state = 4},
  [655] = {.lex_state = 0, .external_lex_state = 4},
  [656] = {.lex_state = 0, .external_lex_state = 11},
  [657] = {.lex_state = 0, .external_lex_state = 4},
  [658] = {.lex_state = 3, .external_lex_state = 4},
  [659] = {.lex_state = 0, .external_lex_state = 4},
  [660] = {.lex_state = 3, .external_lex_state = 4},
  [661] = {.lex_state = 0, .external_lex_state = 4},
  [662] = {.lex_state = 0, .external_lex_state = 9},
  [663] = {.lex_state = 0, .external_lex_state = 9},
  [664] = {.lex_state = 3, .external_lex_state = 4},
  [665] = {.lex_state = 3, .external_lex_state = 4},
  [666] = {.lex_state = 0, .external_lex_state = 11},
  [667] = {.lex_state = 0, .external_lex_state = 4},
  [668] = {.lex_state = 0, .external_lex_state = 4},
  [669] = {.lex_state = 0, .external_lex_state = 4},
  [670] = {.lex_state = 0, .external_lex_state = 4},
  [671] = {.lex_state = 3, .external_lex_state = 4},
  [672] = {.lex_state = 0, .external_lex_state = 4},
  [673] = {.lex_state = 0, .external_lex_state = 4},
  [674] = {.lex_state = 2, .external_lex_state = 4},
  [675] = {.lex_state = 0, .external_lex_state = 4},
  [676] = {.lex_state = 0, .external_lex_state = 4},
  [677] = {.lex_state = 3, .external_lex_state = 4},
  [678] = {.lex_state = 0, .external_lex_state = 9},
  [679] = {.lex_state = 0, .external_lex_state = 4},
  [680] = {.lex_state = 0, .external_lex_state = 4},
  [681] = {.lex_state = 0, .external_lex_state = 4},
  [682] = {.lex_state = 3, .external_lex_state = 4},
  [683] = {.lex_state = 0, .external_lex_state = 4},
  [684] = {.lex_state = 0, .external_lex_state = 4},
  [685] = {.lex_state = 0, .external_lex_state = 4},
  [686] = {.lex_state = 0, .external_lex_state = 4},
  [687] = {.lex_state = 3, .external_lex_state = 4},
  [688] = {.lex_state = 0, .external_lex_state = 4},
  [689] = {.lex_state = 3, .external_lex_state = 4},
  [690] = {.lex_state = 0, .external_lex_state = 4},
  [691] = {.lex_state = 0, .external_lex_state = 4},
  [692] = {.lex_state = 0, .external_lex_state = 4},
  [693] = {.lex_state = 0, .external_lex_state = 4},
  [694] = {.lex_state = 0, .external_lex_state = 4},
  [695] = {.lex_state = 0, .external_lex_state = 4},
  [696] = {.lex_state = 0, .external_lex_state = 4},
  [697] = {.lex_state = 0, .external_lex_state = 4},
  [698] = {.lex_state = 0, .external_lex_state = 4},
  [699] = {.lex_state = 0, .external_lex_state = 4},
  [700] = {.lex_state = 0, .external_lex_state = 4},
  [701] = {.lex_state = 0, .external_lex_state = 4},
  [702] = {.lex_state = 89, .external_lex_state = 4},
  [703] = {.lex_state = 0, .external_lex_state = 4},
  [704] = {.lex_state = 0, .external_lex_state = 4},
  [705] = {.lex_state = 2, .external_lex_state = 4},
  [706] = {.lex_state = 0, .external_lex_state = 4},
  [707] = {.lex_state = 89, .external_lex_state = 4},
  [708] = {.lex_state = 0, .external_lex_state = 4},
  [709] = {.lex_state = 0, .external_lex_state = 4},
  [710] = {.lex_state = 89, .external_lex_state = 4},
  [711] = {.lex_state = 0, .external_lex_state = 4},
  [712] = {.lex_state = 0, .external_lex_state = 4},
  [713] = {.lex_state = 3, .external_lex_state = 4},
  [714] = {.lex_state = 89, .external_lex_state = 4},
  [715] = {.lex_state = 3, .external_lex_state = 4},
  [716] = {.lex_state = 0, .external_lex_state = 4},
  [717] = {.lex_state = 0, .external_lex_state = 4},
  [718] = {.lex_state = 0, .external_lex_state = 4},
  [719] = {.lex_state = 0, .external_lex_state = 4},
  [720] = {.lex_state = 0, .external_lex_state = 4},
  [721] = {.lex_state = 89, .external_lex_state = 4},
  [722] = {.lex_state = 0, .external_lex_state = 4},
  [723] = {.lex_state = 1, .external_lex_state = 4},
  [724] = {.lex_state = 0, .external_lex_state = 4},
  [725] = {.lex_state = 0, .external_lex_state = 4},
  [726] = {.lex_state = 3, .external_lex_state = 4},
  [727] = {.lex_state = 0, .external_lex_state = 4},
  [728] = {.lex_state = 0, .external_lex_state = 4},
  [729] = {.lex_state = 0, .external_lex_state = 4},
  [730] = {.lex_state = 89, .external_lex_state = 4},
  [731] = {.lex_state = 0, .external_lex_state = 4},
  [732] = {.lex_state = 0, .external_lex_state = 4},
  [733] = {.lex_state = 0, .external_lex_state = 4},
  [734] = {.lex_state = 0, .external_lex_state = 4},
  [735] = {.lex_state = 0, .external_lex_state = 4},
  [736] = {.lex_state = 0, .external_lex_state = 4},
  [737] = {.lex_state = 2, .external_lex_state = 4},
  [738] = {.lex_state = 0, .external_lex_state = 12},
  [739] = {.lex_state = 81, .external_lex_state = 4},
  [740] = {.lex_state = 1, .external_lex_state = 4},
  [741] = {.lex_state = 0, .external_lex_state = 4},
  [742] = {.lex_state = 0, .external_lex_state = 4},
  [743] = {.lex_state = 3, .external_lex_state = 4},
  [744] = {.lex_state = 3, .external_lex_state = 4},
  [745] = {.lex_state = 0, .external_lex_state = 4},
  [746] = {.lex_state = 89, .external_lex_state = 4},
  [747] = {.lex_state = 0, .external_lex_state = 13},
  [748] = {.lex_state = 0, .external_lex_state = 12},
  [749] = {.lex_state = 0, .external_lex_state = 4},
  [750] = {.lex_state = 0, .external_lex_state = 4},
  [751] = {.lex_state = 3, .external_lex_state = 4},
  [752] = {.lex_state = 0, .external_lex_state = 4},
  [753] = {.lex_state = 0, .external_lex_state = 4},
  [754] = {.lex_state = 0, .external_lex_state = 4},
  [755] = {.lex_state = 0, .external_lex_state = 4},
  [756] = {.lex_state = 3, .external_lex_state = 4},
  [757] = {.lex_state = 89, .external_lex_state = 4},
  [758] = {.lex_state = 81, .external_lex_state = 4},
  [759] = {.lex_state = 0, .external_lex_state = 4},
  [760] = {.lex_state = 3, .external_lex_state = 4},
  [761] = {.lex_state = 0, .external_lex_state = 4},
  [762] = {.lex_state = 0, .external_lex_state = 4},
  [763] = {.lex_state = 0, .external_lex_state = 4},
  [764] = {.lex_state = 0, .external_lex_state = 4},
  [765] = {.lex_state = 0, .external_lex_state = 4},
  [766] = {.lex_state = 0, .external_lex_state = 4},
  [767] = {.lex_state = 0, .external_lex_state = 4},
  [768] = {.lex_state = 0, .external_lex_state = 4},
  [769] = {.lex_state = 0, .external_lex_state = 4},
  [770] = {.lex_state = 0, .external_lex_state = 4},
  [771] = {.lex_state = 0, .external_lex_state = 4},
  [772] = {.lex_state = 0, .external_lex_state = 4},
  [773] = {.lex_state = 0, .external_lex_state = 13},
  [774] = {.lex_state = 0, .external_lex_state = 4},
  [775] = {.lex_state = 0, .external_lex_state = 4},
  [776] = {.lex_state = 0, .external_lex_state = 4},
  [777] = {.lex_state = 0, .external_lex_state = 4},
  [778] = {.lex_state = 0, .external_lex_state = 4},
  [779] = {.lex_state = 3, .external_lex_state = 4},
  [780] = {.lex_state = 0, .external_lex_state = 4},
  [781] = {.lex_state = 0, .external_lex_state = 4},
  [782] = {.lex_state = 0, .external_lex_state = 4},
  [783] = {.lex_state = 0, .external_lex_state = 4},
  [784] = {.lex_state = 0, .external_lex_state = 4},
  [785] = {.lex_state = 0, .external_lex_state = 4},
  [786] = {.lex_state = 0, .external_lex_state = 4},
  [787] = {.lex_state = 0, .external_lex_state = 4},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_LT_BANG] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [sym__doctype] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_SLASH_GT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [sym_entity] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_prefetch] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_on] = ACTIONS(1),
    [anon_sym_after] = ACTIONS(1),
    [anon_sym_minimum] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_track] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_plural] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_context] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACK_LPAREN] = ACTIONS(1),
    [anon_sym_LBRACK_AT] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [sym__escape_sequence] = ACTIONS(1),
    [anon_sym_ms] = ACTIONS(1),
    [anon_sym_s] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_BANG_DOT] = ACTIONS(1),
    [sym__closing_bracket] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [sym__start_tag_name] = ACTIONS(1),
    [sym__script_start_tag_name] = ACTIONS(1),
    [sym__style_start_tag_name] = ACTIONS(1),
    [sym__end_tag_name] = ACTIONS(1),
    [sym_erroneous_end_tag_name] = ACTIONS(1),
    [sym__implicit_end_tag] = ACTIONS(1),
    [sym_raw_text] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__interpolation_start] = ACTIONS(1),
    [sym__interpolation_end] = ACTIONS(1),
    [sym_if_start] = ACTIONS(1),
    [sym_else_start] = ACTIONS(1),
    [sym_for_start] = ACTIONS(1),
    [sym_switch_start] = ACTIONS(1),
    [sym_case_start] = ACTIONS(1),
    [sym_default_start] = ACTIONS(1),
    [sym_defer_start] = ACTIONS(1),
    [sym_let_start] = ACTIONS(1),
    [sym_empty_start] = ACTIONS(1),
    [sym_placeholder_start] = ACTIONS(1),
    [sym_loading_start] = ACTIONS(1),
    [sym_error_start] = ACTIONS(1),
    [sym_else_if_start] = ACTIONS(1),
    [sym_at_sign] = ACTIONS(1),
  },
  [1] = {
    [sym_document] = STATE(772),
    [sym_doctype] = STATE(221),
    [sym__node] = STATE(221),
    [sym_element] = STATE(221),
    [sym_script_element] = STATE(221),
    [sym_style_element] = STATE(221),
    [sym_start_tag] = STATE(3),
    [sym_script_start_tag] = STATE(581),
    [sym_style_start_tag] = STATE(576),
    [sym_self_closing_tag] = STATE(222),
    [sym_erroneous_end_tag] = STATE(221),
    [sym__any_statement] = STATE(223),
    [sym__alternative_statement] = STATE(225),
    [sym_let_statement] = STATE(223),
    [sym_switch_statement] = STATE(223),
    [sym_defer_statement] = STATE(223),
    [sym_placeholder_statement] = STATE(234),
    [sym_loading_statement] = STATE(237),
    [sym_error_statement] = STATE(239),
    [sym_for_statement] = STATE(223),
    [sym_empty_statement] = STATE(240),
    [sym_if_statement] = STATE(223),
    [sym_else_if_statement] = STATE(246),
    [sym_else_statement] = STATE(248),
    [sym_icu_expression] = STATE(221),
    [sym_interpolation] = STATE(221),
    [aux_sym_document_repeat1] = STATE(12),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_LT_BANG] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(9),
    [anon_sym_LT_SLASH] = ACTIONS(11),
    [sym_entity] = ACTIONS(13),
    [sym_text] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [sym_comment] = ACTIONS(3),
    [sym__interpolation_start] = ACTIONS(17),
    [sym_if_start] = ACTIONS(19),
    [sym_else_start] = ACTIONS(21),
    [sym_for_start] = ACTIONS(23),
    [sym_switch_start] = ACTIONS(25),
    [sym_defer_start] = ACTIONS(27),
    [sym_let_start] = ACTIONS(29),
    [sym_empty_start] = ACTIONS(31),
    [sym_placeholder_start] = ACTIONS(33),
    [sym_loading_start] = ACTIONS(35),
    [sym_error_start] = ACTIONS(37),
    [sym_else_if_start] = ACTIONS(39),
    [sym_at_sign] = ACTIONS(13),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LT_BANG,
    ACTIONS(43), 1,
      anon_sym_LT,
    ACTIONS(45), 1,
      anon_sym_LT_SLASH,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      sym__implicit_end_tag,
    ACTIONS(53), 1,
      sym__interpolation_start,
    ACTIONS(55), 1,
      sym_if_start,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(59), 1,
      sym_for_start,
    ACTIONS(61), 1,
      sym_switch_start,
    ACTIONS(63), 1,
      sym_defer_start,
    ACTIONS(65), 1,
      sym_let_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    STATE(5), 1,
      sym_start_tag,
    STATE(13), 1,
      aux_sym_document_repeat1,
    STATE(292), 1,
      sym_else_statement,
    STATE(295), 1,
      sym_else_if_statement,
    STATE(296), 1,
      sym_empty_statement,
    STATE(297), 1,
      sym_error_statement,
    STATE(298), 1,
      sym_end_tag,
    STATE(299), 1,
      sym_loading_statement,
    STATE(301), 1,
      sym_placeholder_statement,
    STATE(302), 1,
      sym__alternative_statement,
    STATE(305), 1,
      sym_self_closing_tag,
    STATE(550), 1,
      sym_script_start_tag,
    STATE(551), 1,
      sym_style_start_tag,
    ACTIONS(47), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(303), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(308), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [117] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LT_BANG,
    ACTIONS(43), 1,
      anon_sym_LT,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      sym__interpolation_start,
    ACTIONS(55), 1,
      sym_if_start,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(59), 1,
      sym_for_start,
    ACTIONS(61), 1,
      sym_switch_start,
    ACTIONS(63), 1,
      sym_defer_start,
    ACTIONS(65), 1,
      sym_let_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(77), 1,
      anon_sym_LT_SLASH,
    ACTIONS(79), 1,
      sym__implicit_end_tag,
    STATE(4), 1,
      aux_sym_document_repeat1,
    STATE(5), 1,
      sym_start_tag,
    STATE(243), 1,
      sym_end_tag,
    STATE(292), 1,
      sym_else_statement,
    STATE(295), 1,
      sym_else_if_statement,
    STATE(296), 1,
      sym_empty_statement,
    STATE(297), 1,
      sym_error_statement,
    STATE(299), 1,
      sym_loading_statement,
    STATE(301), 1,
      sym_placeholder_statement,
    STATE(302), 1,
      sym__alternative_statement,
    STATE(305), 1,
      sym_self_closing_tag,
    STATE(550), 1,
      sym_script_start_tag,
    STATE(551), 1,
      sym_style_start_tag,
    ACTIONS(47), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(303), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(308), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [234] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LT_BANG,
    ACTIONS(43), 1,
      anon_sym_LT,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      sym__interpolation_start,
    ACTIONS(55), 1,
      sym_if_start,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(59), 1,
      sym_for_start,
    ACTIONS(61), 1,
      sym_switch_start,
    ACTIONS(63), 1,
      sym_defer_start,
    ACTIONS(65), 1,
      sym_let_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(77), 1,
      anon_sym_LT_SLASH,
    ACTIONS(81), 1,
      sym__implicit_end_tag,
    STATE(5), 1,
      sym_start_tag,
    STATE(13), 1,
      aux_sym_document_repeat1,
    STATE(270), 1,
      sym_end_tag,
    STATE(292), 1,
      sym_else_statement,
    STATE(295), 1,
      sym_else_if_statement,
    STATE(296), 1,
      sym_empty_statement,
    STATE(297), 1,
      sym_error_statement,
    STATE(299), 1,
      sym_loading_statement,
    STATE(301), 1,
      sym_placeholder_statement,
    STATE(302), 1,
      sym__alternative_statement,
    STATE(305), 1,
      sym_self_closing_tag,
    STATE(550), 1,
      sym_script_start_tag,
    STATE(551), 1,
      sym_style_start_tag,
    ACTIONS(47), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(303), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(308), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [351] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LT_BANG,
    ACTIONS(43), 1,
      anon_sym_LT,
    ACTIONS(45), 1,
      anon_sym_LT_SLASH,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      sym__interpolation_start,
    ACTIONS(55), 1,
      sym_if_start,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(59), 1,
      sym_for_start,
    ACTIONS(61), 1,
      sym_switch_start,
    ACTIONS(63), 1,
      sym_defer_start,
    ACTIONS(65), 1,
      sym_let_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(83), 1,
      sym__implicit_end_tag,
    STATE(2), 1,
      aux_sym_document_repeat1,
    STATE(5), 1,
      sym_start_tag,
    STATE(279), 1,
      sym_end_tag,
    STATE(292), 1,
      sym_else_statement,
    STATE(295), 1,
      sym_else_if_statement,
    STATE(296), 1,
      sym_empty_statement,
    STATE(297), 1,
      sym_error_statement,
    STATE(299), 1,
      sym_loading_statement,
    STATE(301), 1,
      sym_placeholder_statement,
    STATE(302), 1,
      sym__alternative_statement,
    STATE(305), 1,
      sym_self_closing_tag,
    STATE(550), 1,
      sym_script_start_tag,
    STATE(551), 1,
      sym_style_start_tag,
    ACTIONS(47), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(303), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(308), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [468] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_LT_BANG,
    ACTIONS(90), 1,
      anon_sym_LT,
    ACTIONS(93), 1,
      anon_sym_LT_SLASH,
    ACTIONS(99), 1,
      anon_sym_LBRACE,
    ACTIONS(102), 1,
      sym__interpolation_start,
    ACTIONS(105), 1,
      sym_if_start,
    ACTIONS(108), 1,
      sym_else_start,
    ACTIONS(111), 1,
      sym_for_start,
    ACTIONS(114), 1,
      sym_switch_start,
    ACTIONS(117), 1,
      sym_defer_start,
    ACTIONS(120), 1,
      sym_let_start,
    ACTIONS(123), 1,
      sym_empty_start,
    ACTIONS(126), 1,
      sym_placeholder_start,
    ACTIONS(129), 1,
      sym_loading_start,
    ACTIONS(132), 1,
      sym_error_start,
    ACTIONS(135), 1,
      sym_else_if_start,
    STATE(3), 1,
      sym_start_tag,
    STATE(6), 1,
      aux_sym_document_repeat1,
    STATE(222), 1,
      sym_self_closing_tag,
    STATE(225), 1,
      sym__alternative_statement,
    STATE(234), 1,
      sym_placeholder_statement,
    STATE(237), 1,
      sym_loading_statement,
    STATE(239), 1,
      sym_error_statement,
    STATE(240), 1,
      sym_empty_statement,
    STATE(246), 1,
      sym_else_if_statement,
    STATE(248), 1,
      sym_else_statement,
    STATE(576), 1,
      sym_style_start_tag,
    STATE(581), 1,
      sym_script_start_tag,
    ACTIONS(85), 2,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
    ACTIONS(96), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(223), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(221), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [583] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(138), 1,
      anon_sym_RBRACE,
    STATE(3), 1,
      sym_start_tag,
    STATE(6), 1,
      aux_sym_document_repeat1,
    STATE(222), 1,
      sym_self_closing_tag,
    STATE(225), 1,
      sym__alternative_statement,
    STATE(234), 1,
      sym_placeholder_statement,
    STATE(237), 1,
      sym_loading_statement,
    STATE(239), 1,
      sym_error_statement,
    STATE(240), 1,
      sym_empty_statement,
    STATE(246), 1,
      sym_else_if_statement,
    STATE(248), 1,
      sym_else_statement,
    STATE(576), 1,
      sym_style_start_tag,
    STATE(581), 1,
      sym_script_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(223), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(221), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [697] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(140), 1,
      anon_sym_RBRACE,
    STATE(3), 1,
      sym_start_tag,
    STATE(6), 1,
      aux_sym_document_repeat1,
    STATE(222), 1,
      sym_self_closing_tag,
    STATE(225), 1,
      sym__alternative_statement,
    STATE(234), 1,
      sym_placeholder_statement,
    STATE(237), 1,
      sym_loading_statement,
    STATE(239), 1,
      sym_error_statement,
    STATE(240), 1,
      sym_empty_statement,
    STATE(246), 1,
      sym_else_if_statement,
    STATE(248), 1,
      sym_else_statement,
    STATE(576), 1,
      sym_style_start_tag,
    STATE(581), 1,
      sym_script_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(223), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(221), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [811] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(142), 1,
      anon_sym_RBRACE,
    STATE(3), 1,
      sym_start_tag,
    STATE(11), 1,
      aux_sym_document_repeat1,
    STATE(222), 1,
      sym_self_closing_tag,
    STATE(225), 1,
      sym__alternative_statement,
    STATE(234), 1,
      sym_placeholder_statement,
    STATE(237), 1,
      sym_loading_statement,
    STATE(239), 1,
      sym_error_statement,
    STATE(240), 1,
      sym_empty_statement,
    STATE(246), 1,
      sym_else_if_statement,
    STATE(248), 1,
      sym_else_statement,
    STATE(576), 1,
      sym_style_start_tag,
    STATE(581), 1,
      sym_script_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(223), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(221), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [925] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(144), 1,
      anon_sym_RBRACE,
    STATE(3), 1,
      sym_start_tag,
    STATE(6), 1,
      aux_sym_document_repeat1,
    STATE(222), 1,
      sym_self_closing_tag,
    STATE(225), 1,
      sym__alternative_statement,
    STATE(234), 1,
      sym_placeholder_statement,
    STATE(237), 1,
      sym_loading_statement,
    STATE(239), 1,
      sym_error_statement,
    STATE(240), 1,
      sym_empty_statement,
    STATE(246), 1,
      sym_else_if_statement,
    STATE(248), 1,
      sym_else_statement,
    STATE(576), 1,
      sym_style_start_tag,
    STATE(581), 1,
      sym_script_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(223), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(221), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1039] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(146), 1,
      anon_sym_RBRACE,
    STATE(3), 1,
      sym_start_tag,
    STATE(6), 1,
      aux_sym_document_repeat1,
    STATE(222), 1,
      sym_self_closing_tag,
    STATE(225), 1,
      sym__alternative_statement,
    STATE(234), 1,
      sym_placeholder_statement,
    STATE(237), 1,
      sym_loading_statement,
    STATE(239), 1,
      sym_error_statement,
    STATE(240), 1,
      sym_empty_statement,
    STATE(246), 1,
      sym_else_if_statement,
    STATE(248), 1,
      sym_else_statement,
    STATE(576), 1,
      sym_style_start_tag,
    STATE(581), 1,
      sym_script_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(223), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(221), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1153] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(148), 1,
      ts_builtin_sym_end,
    STATE(3), 1,
      sym_start_tag,
    STATE(6), 1,
      aux_sym_document_repeat1,
    STATE(222), 1,
      sym_self_closing_tag,
    STATE(225), 1,
      sym__alternative_statement,
    STATE(234), 1,
      sym_placeholder_statement,
    STATE(237), 1,
      sym_loading_statement,
    STATE(239), 1,
      sym_error_statement,
    STATE(240), 1,
      sym_empty_statement,
    STATE(246), 1,
      sym_else_if_statement,
    STATE(248), 1,
      sym_else_statement,
    STATE(576), 1,
      sym_style_start_tag,
    STATE(581), 1,
      sym_script_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(223), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(221), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1267] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      sym__implicit_end_tag,
    ACTIONS(150), 1,
      anon_sym_LT_BANG,
    ACTIONS(153), 1,
      anon_sym_LT,
    ACTIONS(156), 1,
      anon_sym_LT_SLASH,
    ACTIONS(162), 1,
      anon_sym_LBRACE,
    ACTIONS(165), 1,
      sym__interpolation_start,
    ACTIONS(168), 1,
      sym_if_start,
    ACTIONS(171), 1,
      sym_else_start,
    ACTIONS(174), 1,
      sym_for_start,
    ACTIONS(177), 1,
      sym_switch_start,
    ACTIONS(180), 1,
      sym_defer_start,
    ACTIONS(183), 1,
      sym_let_start,
    ACTIONS(186), 1,
      sym_empty_start,
    ACTIONS(189), 1,
      sym_placeholder_start,
    ACTIONS(192), 1,
      sym_loading_start,
    ACTIONS(195), 1,
      sym_error_start,
    ACTIONS(198), 1,
      sym_else_if_start,
    STATE(5), 1,
      sym_start_tag,
    STATE(13), 1,
      aux_sym_document_repeat1,
    STATE(292), 1,
      sym_else_statement,
    STATE(295), 1,
      sym_else_if_statement,
    STATE(296), 1,
      sym_empty_statement,
    STATE(297), 1,
      sym_error_statement,
    STATE(299), 1,
      sym_loading_statement,
    STATE(301), 1,
      sym_placeholder_statement,
    STATE(302), 1,
      sym__alternative_statement,
    STATE(305), 1,
      sym_self_closing_tag,
    STATE(550), 1,
      sym_script_start_tag,
    STATE(551), 1,
      sym_style_start_tag,
    ACTIONS(159), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(303), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(308), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1381] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(201), 1,
      anon_sym_RBRACE,
    STATE(3), 1,
      sym_start_tag,
    STATE(10), 1,
      aux_sym_document_repeat1,
    STATE(222), 1,
      sym_self_closing_tag,
    STATE(225), 1,
      sym__alternative_statement,
    STATE(234), 1,
      sym_placeholder_statement,
    STATE(237), 1,
      sym_loading_statement,
    STATE(239), 1,
      sym_error_statement,
    STATE(240), 1,
      sym_empty_statement,
    STATE(246), 1,
      sym_else_if_statement,
    STATE(248), 1,
      sym_else_statement,
    STATE(576), 1,
      sym_style_start_tag,
    STATE(581), 1,
      sym_script_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(223), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(221), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1495] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(203), 1,
      anon_sym_RBRACE,
    STATE(3), 1,
      sym_start_tag,
    STATE(7), 1,
      aux_sym_document_repeat1,
    STATE(222), 1,
      sym_self_closing_tag,
    STATE(225), 1,
      sym__alternative_statement,
    STATE(234), 1,
      sym_placeholder_statement,
    STATE(237), 1,
      sym_loading_statement,
    STATE(239), 1,
      sym_error_statement,
    STATE(240), 1,
      sym_empty_statement,
    STATE(246), 1,
      sym_else_if_statement,
    STATE(248), 1,
      sym_else_statement,
    STATE(576), 1,
      sym_style_start_tag,
    STATE(581), 1,
      sym_script_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(223), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(221), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1609] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    STATE(3), 1,
      sym_start_tag,
    STATE(8), 1,
      aux_sym_document_repeat1,
    STATE(222), 1,
      sym_self_closing_tag,
    STATE(225), 1,
      sym__alternative_statement,
    STATE(234), 1,
      sym_placeholder_statement,
    STATE(237), 1,
      sym_loading_statement,
    STATE(239), 1,
      sym_error_statement,
    STATE(240), 1,
      sym_empty_statement,
    STATE(246), 1,
      sym_else_if_statement,
    STATE(248), 1,
      sym_else_statement,
    STATE(576), 1,
      sym_style_start_tag,
    STATE(581), 1,
      sym_script_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(223), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(221), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 2,
      anon_sym_ms,
      anon_sym_s,
    ACTIONS(205), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1763] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(217), 1,
      anon_sym_BANG,
    ACTIONS(221), 1,
      anon_sym_QMARK_DOT,
    STATE(67), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(132), 1,
      sym_pipe_sequence,
    ACTIONS(219), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(211), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(213), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1816] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(217), 1,
      anon_sym_BANG,
    ACTIONS(221), 1,
      anon_sym_QMARK_DOT,
    STATE(67), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(132), 1,
      sym_pipe_sequence,
    ACTIONS(219), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(223), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(211), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(213), 18,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1871] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(217), 1,
      anon_sym_BANG,
    ACTIONS(221), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(225), 1,
      anon_sym_PIPE,
    STATE(132), 1,
      sym_pipe_sequence,
    STATE(133), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(219), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(211), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(213), 19,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 1,
      anon_sym_LPAREN,
    ACTIONS(227), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(229), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1967] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(217), 1,
      anon_sym_BANG,
    ACTIONS(221), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(225), 1,
      anon_sym_PIPE,
    STATE(132), 1,
      sym_pipe_sequence,
    STATE(133), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(219), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(233), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(211), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(213), 17,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2023] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 1,
      anon_sym_LPAREN,
    ACTIONS(235), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(237), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(239), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(241), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(243), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(245), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(247), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(249), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(251), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(253), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(255), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(257), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2260] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(261), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(227), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(259), 11,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(229), 13,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(263), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(265), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(227), 1,
      anon_sym_BANG,
    ACTIONS(229), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(261), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(259), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(267), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(269), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2424] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(261), 1,
      anon_sym_QMARK,
    ACTIONS(227), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(259), 9,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(229), 15,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(271), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(273), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(277), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(279), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(281), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(285), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(289), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(293), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(295), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(297), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2740] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(217), 1,
      anon_sym_BANG,
    ACTIONS(221), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(219), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(299), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(301), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(305), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(307), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(309), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(311), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(313), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(261), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(227), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(259), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(229), 15,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2945] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(317), 1,
      anon_sym_LT,
    STATE(51), 1,
      aux_sym_if_statement_repeat1,
    STATE(234), 1,
      sym_placeholder_statement,
    STATE(237), 1,
      sym_loading_statement,
    STATE(239), 1,
      sym_error_statement,
    STATE(240), 1,
      sym_empty_statement,
    STATE(246), 1,
      sym_else_if_statement,
    STATE(248), 1,
      sym_else_statement,
    STATE(265), 1,
      sym__alternative_statement,
    ACTIONS(315), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [3010] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(321), 1,
      anon_sym_LT,
    STATE(50), 1,
      aux_sym_if_statement_repeat1,
    STATE(234), 1,
      sym_placeholder_statement,
    STATE(237), 1,
      sym_loading_statement,
    STATE(239), 1,
      sym_error_statement,
    STATE(240), 1,
      sym_empty_statement,
    STATE(246), 1,
      sym_else_if_statement,
    STATE(248), 1,
      sym_else_statement,
    STATE(265), 1,
      sym__alternative_statement,
    ACTIONS(319), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [3075] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(331), 1,
      anon_sym_let,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(337), 1,
      sym_identifier,
    ACTIONS(339), 1,
      sym_number_fragment,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(692), 2,
      sym_structural_expression,
      sym_structural_declaration,
    STATE(395), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3142] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(343), 1,
      anon_sym_LT,
    ACTIONS(345), 1,
      sym_else_start,
    ACTIONS(348), 1,
      sym_empty_start,
    ACTIONS(351), 1,
      sym_placeholder_start,
    ACTIONS(354), 1,
      sym_loading_start,
    ACTIONS(357), 1,
      sym_error_start,
    ACTIONS(360), 1,
      sym_else_if_start,
    STATE(49), 1,
      aux_sym_if_statement_repeat1,
    STATE(234), 1,
      sym_placeholder_statement,
    STATE(237), 1,
      sym_loading_statement,
    STATE(239), 1,
      sym_error_statement,
    STATE(240), 1,
      sym_empty_statement,
    STATE(246), 1,
      sym_else_if_statement,
    STATE(248), 1,
      sym_else_statement,
    STATE(265), 1,
      sym__alternative_statement,
    ACTIONS(341), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [3207] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(365), 1,
      anon_sym_LT,
    STATE(49), 1,
      aux_sym_if_statement_repeat1,
    STATE(234), 1,
      sym_placeholder_statement,
    STATE(237), 1,
      sym_loading_statement,
    STATE(239), 1,
      sym_error_statement,
    STATE(240), 1,
      sym_empty_statement,
    STATE(246), 1,
      sym_else_if_statement,
    STATE(248), 1,
      sym_else_statement,
    STATE(265), 1,
      sym__alternative_statement,
    ACTIONS(363), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [3272] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(369), 1,
      anon_sym_LT,
    STATE(49), 1,
      aux_sym_if_statement_repeat1,
    STATE(234), 1,
      sym_placeholder_statement,
    STATE(237), 1,
      sym_loading_statement,
    STATE(239), 1,
      sym_error_statement,
    STATE(240), 1,
      sym_empty_statement,
    STATE(246), 1,
      sym_else_if_statement,
    STATE(248), 1,
      sym_else_statement,
    STATE(265), 1,
      sym__alternative_statement,
    ACTIONS(367), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [3337] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(371), 1,
      anon_sym_DQUOTE,
    ACTIONS(373), 1,
      anon_sym_SEMI,
    ACTIONS(375), 1,
      sym_identifier,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(391), 1,
      sym__double_quote,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(500), 1,
      sym_assignment_expression,
    STATE(502), 1,
      aux_sym__binding_assignment_repeat1,
    STATE(474), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3406] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(331), 1,
      anon_sym_let,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(337), 1,
      sym_identifier,
    ACTIONS(339), 1,
      sym_number_fragment,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(627), 2,
      sym_structural_expression,
      sym_structural_declaration,
    STATE(395), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3473] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(373), 1,
      anon_sym_SEMI,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(377), 1,
      anon_sym_DQUOTE,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(389), 1,
      sym__double_quote,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(524), 1,
      sym_assignment_expression,
    STATE(525), 1,
      aux_sym__binding_assignment_repeat1,
    STATE(467), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3542] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(321), 1,
      anon_sym_LT,
    STATE(57), 1,
      aux_sym_if_statement_repeat1,
    STATE(292), 1,
      sym_else_statement,
    STATE(295), 1,
      sym_else_if_statement,
    STATE(296), 1,
      sym_empty_statement,
    STATE(297), 1,
      sym_error_statement,
    STATE(299), 1,
      sym_loading_statement,
    STATE(301), 1,
      sym_placeholder_statement,
    STATE(327), 1,
      sym__alternative_statement,
    ACTIONS(319), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [3606] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(317), 1,
      anon_sym_LT,
    STATE(60), 1,
      aux_sym_if_statement_repeat1,
    STATE(292), 1,
      sym_else_statement,
    STATE(295), 1,
      sym_else_if_statement,
    STATE(296), 1,
      sym_empty_statement,
    STATE(297), 1,
      sym_error_statement,
    STATE(299), 1,
      sym_loading_statement,
    STATE(301), 1,
      sym_placeholder_statement,
    STATE(327), 1,
      sym__alternative_statement,
    ACTIONS(315), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [3670] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(365), 1,
      anon_sym_LT,
    STATE(61), 1,
      aux_sym_if_statement_repeat1,
    STATE(292), 1,
      sym_else_statement,
    STATE(295), 1,
      sym_else_if_statement,
    STATE(296), 1,
      sym_empty_statement,
    STATE(297), 1,
      sym_error_statement,
    STATE(299), 1,
      sym_loading_statement,
    STATE(301), 1,
      sym_placeholder_statement,
    STATE(327), 1,
      sym__alternative_statement,
    ACTIONS(363), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [3734] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(379), 1,
      anon_sym_COMMA,
    ACTIONS(381), 1,
      anon_sym_RBRACK,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(498), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3800] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(385), 1,
      anon_sym_DQUOTE,
    ACTIONS(388), 1,
      anon_sym_SEMI,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(661), 1,
      sym_assignment_expression,
    STATE(528), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3866] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(369), 1,
      anon_sym_LT,
    STATE(61), 1,
      aux_sym_if_statement_repeat1,
    STATE(292), 1,
      sym_else_statement,
    STATE(295), 1,
      sym_else_if_statement,
    STATE(296), 1,
      sym_empty_statement,
    STATE(297), 1,
      sym_error_statement,
    STATE(299), 1,
      sym_loading_statement,
    STATE(301), 1,
      sym_placeholder_statement,
    STATE(327), 1,
      sym__alternative_statement,
    ACTIONS(367), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [3930] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(343), 1,
      anon_sym_LT,
    ACTIONS(390), 1,
      sym_else_start,
    ACTIONS(393), 1,
      sym_empty_start,
    ACTIONS(396), 1,
      sym_placeholder_start,
    ACTIONS(399), 1,
      sym_loading_start,
    ACTIONS(402), 1,
      sym_error_start,
    ACTIONS(405), 1,
      sym_else_if_start,
    STATE(61), 1,
      aux_sym_if_statement_repeat1,
    STATE(292), 1,
      sym_else_statement,
    STATE(295), 1,
      sym_else_if_statement,
    STATE(296), 1,
      sym_empty_statement,
    STATE(297), 1,
      sym_error_statement,
    STATE(299), 1,
      sym_loading_statement,
    STATE(301), 1,
      sym_placeholder_statement,
    STATE(327), 1,
      sym__alternative_statement,
    ACTIONS(341), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [3994] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_COMMA,
    ACTIONS(410), 1,
      anon_sym_RBRACK,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(486), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4060] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(353), 1,
      sym__binary_op,
    ACTIONS(418), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(412), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(414), 9,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(416), 11,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4101] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(420), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      anon_sym_BANG,
    ACTIONS(428), 1,
      anon_sym_QMARK_DOT,
    STATE(227), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(326), 1,
      sym_pipe_sequence,
    ACTIONS(424), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(426), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(211), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(213), 12,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4150] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(549), 1,
      sym_if_condition,
    STATE(533), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4213] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(353), 1,
      sym__binary_op,
    ACTIONS(418), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(430), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(412), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(414), 9,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(416), 9,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(91), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(432), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(434), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4293] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(546), 1,
      sym_if_condition,
    STATE(533), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4356] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(440), 1,
      anon_sym_COLON,
    STATE(77), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(436), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(438), 19,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4395] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(353), 1,
      sym__binary_op,
    ACTIONS(444), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(412), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(442), 9,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(416), 11,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4436] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(446), 1,
      sym_identifier,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(777), 1,
      sym_static_member_expression,
    STATE(195), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(562), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
  [4501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(448), 2,
      anon_sym_ms,
      anon_sym_s,
    ACTIONS(205), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4538] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_RBRACK,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(509), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4601] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 1,
      anon_sym_LPAREN,
    ACTIONS(452), 1,
      anon_sym_EQ,
    ACTIONS(227), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(229), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4640] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(353), 1,
      sym__binary_op,
    ACTIONS(430), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(444), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(412), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(416), 9,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(442), 9,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [4683] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(454), 1,
      anon_sym_RBRACK,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(509), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4746] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(460), 1,
      anon_sym_COLON,
    STATE(77), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(456), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(458), 19,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4785] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_RBRACK,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(509), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_COLON,
    STATE(105), 1,
      sym_pipe_arguments,
    ACTIONS(465), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(467), 19,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4887] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(440), 1,
      anon_sym_COLON,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    STATE(69), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(471), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(473), 18,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4928] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(420), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      anon_sym_BANG,
    ACTIONS(428), 1,
      anon_sym_QMARK_DOT,
    STATE(227), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(326), 1,
      sym_pipe_sequence,
    ACTIONS(426), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(211), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(213), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4975] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(583), 1,
      sym_if_condition,
    STATE(533), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(105), 1,
      sym_pipe_arguments,
    ACTIONS(465), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(467), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    STATE(87), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(471), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(473), 19,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5114] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(477), 1,
      anon_sym_RBRACK,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(509), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5177] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(587), 1,
      sym_if_condition,
    STATE(533), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5240] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(77), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(436), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(438), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5277] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(479), 1,
      sym_identifier,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(768), 1,
      sym_static_member_expression,
    STATE(186), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(562), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
  [5342] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(481), 1,
      sym_identifier,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(703), 1,
      sym_static_member_expression,
    STATE(187), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(562), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
  [5407] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(483), 1,
      sym_identifier,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(704), 1,
      sym_static_member_expression,
    STATE(192), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(562), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
  [5472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_PIPE,
    STATE(91), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(485), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(487), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5511] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(63), 1,
      sym_expression,
    STATE(66), 1,
      sym_binary_expression,
    STATE(104), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(388), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(19), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(494), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(496), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5605] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(498), 1,
      anon_sym_BANG,
    STATE(188), 1,
      sym_group,
    STATE(333), 1,
      sym_expression,
    STATE(334), 1,
      sym_binary_expression,
    STATE(484), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(557), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(113), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5667] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(63), 1,
      sym_expression,
    STATE(66), 1,
      sym_binary_expression,
    STATE(104), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(209), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(19), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5727] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(420), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      anon_sym_BANG,
    ACTIONS(428), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(500), 1,
      anon_sym_PIPE,
    STATE(326), 1,
      sym_pipe_sequence,
    STATE(328), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(426), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(211), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(213), 13,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5775] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(29), 1,
      sym_group,
    STATE(63), 1,
      sym_expression,
    STATE(66), 1,
      sym_binary_expression,
    STATE(104), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(390), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(19), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5837] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_SQUOTE,
    ACTIONS(504), 1,
      anon_sym_DQUOTE,
    ACTIONS(506), 1,
      anon_sym_LBRACE,
    ACTIONS(508), 1,
      anon_sym_LPAREN,
    ACTIONS(510), 1,
      anon_sym_LBRACK,
    ACTIONS(512), 1,
      anon_sym_BANG,
    ACTIONS(514), 1,
      sym_identifier,
    ACTIONS(516), 1,
      sym_number_fragment,
    STATE(230), 1,
      sym_binary_expression,
    STATE(235), 1,
      sym_expression,
    STATE(315), 1,
      sym_unary_expression,
    STATE(490), 1,
      sym__single_quote,
    STATE(492), 1,
      sym__double_quote,
    STATE(424), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(64), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5897] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_SQUOTE,
    ACTIONS(504), 1,
      anon_sym_DQUOTE,
    ACTIONS(506), 1,
      anon_sym_LBRACE,
    ACTIONS(508), 1,
      anon_sym_LPAREN,
    ACTIONS(510), 1,
      anon_sym_LBRACK,
    ACTIONS(514), 1,
      sym_identifier,
    ACTIONS(516), 1,
      sym_number_fragment,
    ACTIONS(518), 1,
      anon_sym_BANG,
    STATE(339), 1,
      sym_binary_expression,
    STATE(347), 1,
      sym_expression,
    STATE(488), 1,
      sym_unary_expression,
    STATE(490), 1,
      sym__single_quote,
    STATE(492), 1,
      sym__double_quote,
    STATE(555), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(134), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5957] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(498), 1,
      anon_sym_BANG,
    STATE(194), 1,
      sym_group,
    STATE(333), 1,
      sym_expression,
    STATE(334), 1,
      sym_binary_expression,
    STATE(484), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(559), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(113), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6019] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(63), 1,
      sym_expression,
    STATE(66), 1,
      sym_binary_expression,
    STATE(104), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(382), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(19), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6079] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(570), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6139] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(568), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(223), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(418), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(414), 18,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(520), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(522), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6269] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_SQUOTE,
    ACTIONS(504), 1,
      anon_sym_DQUOTE,
    ACTIONS(506), 1,
      anon_sym_LBRACE,
    ACTIONS(508), 1,
      anon_sym_LPAREN,
    ACTIONS(510), 1,
      anon_sym_LBRACK,
    ACTIONS(514), 1,
      sym_identifier,
    ACTIONS(516), 1,
      sym_number_fragment,
    ACTIONS(518), 1,
      anon_sym_BANG,
    STATE(339), 1,
      sym_binary_expression,
    STATE(347), 1,
      sym_expression,
    STATE(488), 1,
      sym_unary_expression,
    STATE(490), 1,
      sym__single_quote,
    STATE(492), 1,
      sym__double_quote,
    STATE(573), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(134), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6329] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(528), 1,
      anon_sym_QMARK,
    ACTIONS(524), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(526), 19,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6367] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(609), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(528), 1,
      anon_sym_QMARK,
    ACTIONS(261), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(259), 19,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6465] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(610), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6525] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(63), 1,
      sym_expression,
    STATE(66), 1,
      sym_binary_expression,
    STATE(104), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(107), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(19), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6585] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(538), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6645] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(217), 1,
      anon_sym_BANG,
    ACTIONS(221), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(532), 1,
      anon_sym_PIPE,
    STATE(132), 1,
      sym_pipe_sequence,
    STATE(330), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(219), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(530), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(211), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(213), 11,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6695] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(505), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6755] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(217), 1,
      anon_sym_BANG,
    ACTIONS(221), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(532), 1,
      anon_sym_PIPE,
    STATE(132), 1,
      sym_pipe_sequence,
    STATE(330), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(219), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(211), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(213), 13,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6803] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(520), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6863] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_SQUOTE,
    ACTIONS(504), 1,
      anon_sym_DQUOTE,
    ACTIONS(506), 1,
      anon_sym_LBRACE,
    ACTIONS(508), 1,
      anon_sym_LPAREN,
    ACTIONS(510), 1,
      anon_sym_LBRACK,
    ACTIONS(512), 1,
      anon_sym_BANG,
    ACTIONS(514), 1,
      sym_identifier,
    ACTIONS(516), 1,
      sym_number_fragment,
    STATE(166), 1,
      sym_group,
    STATE(230), 1,
      sym_binary_expression,
    STATE(235), 1,
      sym_expression,
    STATE(315), 1,
      sym_unary_expression,
    STATE(490), 1,
      sym__single_quote,
    STATE(492), 1,
      sym__double_quote,
    STATE(447), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(64), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6925] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(563), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6985] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(63), 1,
      sym_expression,
    STATE(66), 1,
      sym_binary_expression,
    STATE(104), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(80), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(19), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7045] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(476), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7105] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(518), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7165] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(63), 1,
      sym_expression,
    STATE(66), 1,
      sym_binary_expression,
    STATE(104), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(401), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(19), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7225] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(498), 1,
      anon_sym_BANG,
    STATE(189), 1,
      sym_group,
    STATE(333), 1,
      sym_expression,
    STATE(334), 1,
      sym_binary_expression,
    STATE(484), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(560), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(113), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7287] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_SQUOTE,
    ACTIONS(504), 1,
      anon_sym_DQUOTE,
    ACTIONS(506), 1,
      anon_sym_LBRACE,
    ACTIONS(508), 1,
      anon_sym_LPAREN,
    ACTIONS(510), 1,
      anon_sym_LBRACK,
    ACTIONS(512), 1,
      anon_sym_BANG,
    ACTIONS(514), 1,
      sym_identifier,
    ACTIONS(516), 1,
      sym_number_fragment,
    STATE(230), 1,
      sym_binary_expression,
    STATE(235), 1,
      sym_expression,
    STATE(315), 1,
      sym_unary_expression,
    STATE(490), 1,
      sym__single_quote,
    STATE(492), 1,
      sym__double_quote,
    STATE(329), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(64), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7347] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(498), 1,
      anon_sym_BANG,
    STATE(196), 1,
      sym_group,
    STATE(333), 1,
      sym_expression,
    STATE(334), 1,
      sym_binary_expression,
    STATE(484), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(582), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(113), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7409] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(45), 1,
      sym_group,
    STATE(63), 1,
      sym_expression,
    STATE(66), 1,
      sym_binary_expression,
    STATE(104), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(402), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(19), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7471] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(498), 1,
      anon_sym_BANG,
    STATE(185), 1,
      sym_group,
    STATE(333), 1,
      sym_expression,
    STATE(334), 1,
      sym_binary_expression,
    STATE(484), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(590), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(113), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7533] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_SQUOTE,
    ACTIONS(504), 1,
      anon_sym_DQUOTE,
    ACTIONS(506), 1,
      anon_sym_LBRACE,
    ACTIONS(508), 1,
      anon_sym_LPAREN,
    ACTIONS(510), 1,
      anon_sym_LBRACK,
    ACTIONS(514), 1,
      sym_identifier,
    ACTIONS(516), 1,
      sym_number_fragment,
    ACTIONS(518), 1,
      anon_sym_BANG,
    STATE(191), 1,
      sym_group,
    STATE(339), 1,
      sym_binary_expression,
    STATE(347), 1,
      sym_expression,
    STATE(488), 1,
      sym_unary_expression,
    STATE(490), 1,
      sym__single_quote,
    STATE(492), 1,
      sym__double_quote,
    STATE(608), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(134), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(534), 1,
      anon_sym_LPAREN,
    ACTIONS(235), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(237), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7631] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(33), 1,
      sym_group,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(398), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7693] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_SQUOTE,
    ACTIONS(504), 1,
      anon_sym_DQUOTE,
    ACTIONS(506), 1,
      anon_sym_LBRACE,
    ACTIONS(508), 1,
      anon_sym_LPAREN,
    ACTIONS(510), 1,
      anon_sym_LBRACK,
    ACTIONS(512), 1,
      anon_sym_BANG,
    ACTIONS(514), 1,
      sym_identifier,
    ACTIONS(516), 1,
      sym_number_fragment,
    STATE(230), 1,
      sym_binary_expression,
    STATE(235), 1,
      sym_expression,
    STATE(315), 1,
      sym_unary_expression,
    STATE(490), 1,
      sym__single_quote,
    STATE(492), 1,
      sym__double_quote,
    STATE(266), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(64), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(536), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(538), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7787] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_PIPE,
    STATE(137), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(432), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(434), 19,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7825] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(420), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      anon_sym_BANG,
    ACTIONS(428), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(500), 1,
      anon_sym_PIPE,
    STATE(326), 1,
      sym_pipe_sequence,
    STATE(328), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(426), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(540), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(211), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(213), 11,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(544), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7909] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_SQUOTE,
    ACTIONS(504), 1,
      anon_sym_DQUOTE,
    ACTIONS(506), 1,
      anon_sym_LBRACE,
    ACTIONS(508), 1,
      anon_sym_LPAREN,
    ACTIONS(510), 1,
      anon_sym_LBRACK,
    ACTIONS(512), 1,
      anon_sym_BANG,
    ACTIONS(514), 1,
      sym_identifier,
    ACTIONS(516), 1,
      sym_number_fragment,
    STATE(160), 1,
      sym_group,
    STATE(230), 1,
      sym_binary_expression,
    STATE(235), 1,
      sym_expression,
    STATE(315), 1,
      sym_unary_expression,
    STATE(490), 1,
      sym__single_quote,
    STATE(492), 1,
      sym__double_quote,
    STATE(325), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(64), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(546), 1,
      anon_sym_PIPE,
    STATE(137), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(485), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(487), 19,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(485), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(487), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8043] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(498), 1,
      anon_sym_BANG,
    STATE(33), 1,
      sym_group,
    STATE(333), 1,
      sym_expression,
    STATE(334), 1,
      sym_binary_expression,
    STATE(484), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(544), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(113), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8105] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(498), 1,
      anon_sym_BANG,
    STATE(183), 1,
      sym_group,
    STATE(333), 1,
      sym_expression,
    STATE(334), 1,
      sym_binary_expression,
    STATE(484), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(593), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(113), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(442), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8201] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(498), 1,
      anon_sym_BANG,
    STATE(197), 1,
      sym_group,
    STATE(333), 1,
      sym_expression,
    STATE(334), 1,
      sym_binary_expression,
    STATE(484), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(595), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(113), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8263] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(509), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8323] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(63), 1,
      sym_expression,
    STATE(66), 1,
      sym_binary_expression,
    STATE(104), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(394), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(19), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8383] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(498), 1,
      anon_sym_BANG,
    STATE(193), 1,
      sym_group,
    STATE(333), 1,
      sym_expression,
    STATE(334), 1,
      sym_binary_expression,
    STATE(484), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(601), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(113), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8445] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_SQUOTE,
    ACTIONS(504), 1,
      anon_sym_DQUOTE,
    ACTIONS(506), 1,
      anon_sym_LBRACE,
    ACTIONS(508), 1,
      anon_sym_LPAREN,
    ACTIONS(510), 1,
      anon_sym_LBRACK,
    ACTIONS(514), 1,
      sym_identifier,
    ACTIONS(516), 1,
      sym_number_fragment,
    ACTIONS(518), 1,
      anon_sym_BANG,
    STATE(339), 1,
      sym_binary_expression,
    STATE(347), 1,
      sym_expression,
    STATE(488), 1,
      sym_unary_expression,
    STATE(490), 1,
      sym__single_quote,
    STATE(492), 1,
      sym__double_quote,
    STATE(596), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(134), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8505] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(31), 1,
      sym_group,
    STATE(63), 1,
      sym_expression,
    STATE(66), 1,
      sym_binary_expression,
    STATE(104), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(109), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(19), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8567] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_SQUOTE,
    ACTIONS(504), 1,
      anon_sym_DQUOTE,
    ACTIONS(506), 1,
      anon_sym_LBRACE,
    ACTIONS(508), 1,
      anon_sym_LPAREN,
    ACTIONS(510), 1,
      anon_sym_LBRACK,
    ACTIONS(512), 1,
      anon_sym_BANG,
    ACTIONS(514), 1,
      sym_identifier,
    ACTIONS(516), 1,
      sym_number_fragment,
    STATE(230), 1,
      sym_binary_expression,
    STATE(235), 1,
      sym_expression,
    STATE(315), 1,
      sym_unary_expression,
    STATE(490), 1,
      sym__single_quote,
    STATE(492), 1,
      sym__double_quote,
    STATE(446), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(64), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8627] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(542), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8687] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_SQUOTE,
    ACTIONS(504), 1,
      anon_sym_DQUOTE,
    ACTIONS(506), 1,
      anon_sym_LBRACE,
    ACTIONS(508), 1,
      anon_sym_LPAREN,
    ACTIONS(510), 1,
      anon_sym_LBRACK,
    ACTIONS(514), 1,
      sym_identifier,
    ACTIONS(516), 1,
      sym_number_fragment,
    ACTIONS(518), 1,
      anon_sym_BANG,
    STATE(339), 1,
      sym_binary_expression,
    STATE(347), 1,
      sym_expression,
    STATE(488), 1,
      sym_unary_expression,
    STATE(490), 1,
      sym__single_quote,
    STATE(492), 1,
      sym__double_quote,
    STATE(603), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(134), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(223), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(444), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(442), 18,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8783] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(172), 1,
      sym_expression,
    STATE(173), 1,
      sym_binary_expression,
    STATE(393), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(511), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(534), 1,
      anon_sym_LPAREN,
    ACTIONS(227), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(229), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(307), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(309), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(279), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(281), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(311), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(313), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8978] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 1,
      anon_sym_QMARK,
    STATE(356), 1,
      sym__binary_op,
    ACTIONS(549), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(442), 8,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(551), 11,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(289), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(305), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(227), 1,
      anon_sym_BANG,
    ACTIONS(229), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(261), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(259), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(243), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(245), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(251), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(253), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(285), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(293), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9252] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(420), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      anon_sym_BANG,
    ACTIONS(428), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(426), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(299), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(301), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9293] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(261), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(227), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(259), 5,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(229), 13,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(277), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9363] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 1,
      anon_sym_QMARK,
    STATE(356), 1,
      sym__binary_op,
    ACTIONS(553), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(549), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(442), 8,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(551), 9,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(271), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(273), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(295), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(297), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 1,
      anon_sym_LPAREN,
    ACTIONS(555), 1,
      anon_sym_RBRACK,
    ACTIONS(227), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(229), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9507] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 1,
      anon_sym_QMARK,
    STATE(356), 1,
      sym__binary_op,
    ACTIONS(549), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(414), 8,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(551), 11,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9546] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 1,
      anon_sym_QMARK,
    STATE(356), 1,
      sym__binary_op,
    ACTIONS(553), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(549), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(414), 8,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(551), 9,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9587] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 1,
      anon_sym_LPAREN,
    ACTIONS(557), 1,
      anon_sym_RBRACK,
    ACTIONS(227), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(229), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9624] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(217), 1,
      anon_sym_BANG,
    ACTIONS(221), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    STATE(132), 1,
      sym_pipe_sequence,
    STATE(357), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(219), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(211), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(213), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(267), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(269), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(247), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(249), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9737] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 1,
      anon_sym_LPAREN,
    ACTIONS(561), 1,
      anon_sym_RBRACK,
    ACTIONS(227), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(229), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(263), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(265), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(239), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(241), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(255), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(257), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9873] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 1,
      anon_sym_LPAREN,
    ACTIONS(563), 1,
      anon_sym_RBRACK,
    ACTIONS(227), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(229), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_COLON,
    ACTIONS(227), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(229), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9944] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(567), 1,
      anon_sym_RPAREN,
    ACTIONS(569), 1,
      anon_sym_BANG,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(558), 1,
      sym_unary_expression,
    STATE(778), 1,
      sym_arguments,
    STATE(335), 2,
      sym_expression,
      sym_binary_expression,
    STATE(175), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(571), 1,
      anon_sym_COLON,
    ACTIONS(227), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(229), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10036] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_RBRACK,
    ACTIONS(227), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(229), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10070] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_RBRACK,
    ACTIONS(227), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(229), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_COLON,
    ACTIONS(227), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(229), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(575), 1,
      anon_sym_COLON,
    ACTIONS(227), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(229), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10172] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(569), 1,
      anon_sym_BANG,
    ACTIONS(577), 1,
      anon_sym_RPAREN,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(558), 1,
      sym_unary_expression,
    STATE(709), 1,
      sym_arguments,
    STATE(335), 2,
      sym_expression,
      sym_binary_expression,
    STATE(175), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10230] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(261), 1,
      anon_sym_QMARK,
    ACTIONS(259), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(227), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(229), 15,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10266] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(555), 1,
      anon_sym_RBRACK,
    ACTIONS(227), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(229), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      anon_sym_COLON,
    ACTIONS(227), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(229), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_COLON,
    ACTIONS(227), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(229), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10368] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_RBRACK,
    ACTIONS(227), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(229), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(583), 1,
      anon_sym_COLON,
    ACTIONS(227), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(229), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(585), 1,
      anon_sym_COLON,
    ACTIONS(227), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(229), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10470] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(569), 1,
      anon_sym_BANG,
    ACTIONS(587), 1,
      anon_sym_RPAREN,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(558), 1,
      sym_unary_expression,
    STATE(734), 1,
      sym_arguments,
    STATE(335), 2,
      sym_expression,
      sym_binary_expression,
    STATE(175), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10528] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(498), 1,
      anon_sym_BANG,
    STATE(141), 1,
      sym_conditional_expression,
    STATE(337), 1,
      sym_expression,
    STATE(346), 1,
      sym_binary_expression,
    STATE(487), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(113), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10585] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(70), 1,
      sym_expression,
    STATE(75), 1,
      sym_binary_expression,
    STATE(141), 1,
      sym_conditional_expression,
    STATE(151), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(19), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10642] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_SQUOTE,
    ACTIONS(504), 1,
      anon_sym_DQUOTE,
    ACTIONS(506), 1,
      anon_sym_LBRACE,
    ACTIONS(508), 1,
      anon_sym_LPAREN,
    ACTIONS(510), 1,
      anon_sym_LBRACK,
    ACTIONS(514), 1,
      sym_identifier,
    ACTIONS(516), 1,
      sym_number_fragment,
    ACTIONS(518), 1,
      anon_sym_BANG,
    STATE(309), 1,
      sym_conditional_expression,
    STATE(355), 1,
      sym_expression,
    STATE(361), 1,
      sym_binary_expression,
    STATE(481), 1,
      sym_unary_expression,
    STATE(490), 1,
      sym__single_quote,
    STATE(492), 1,
      sym__double_quote,
    STATE(134), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10699] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_SQUOTE,
    ACTIONS(504), 1,
      anon_sym_DQUOTE,
    ACTIONS(506), 1,
      anon_sym_LBRACE,
    ACTIONS(508), 1,
      anon_sym_LPAREN,
    ACTIONS(510), 1,
      anon_sym_LBRACK,
    ACTIONS(514), 1,
      sym_identifier,
    ACTIONS(516), 1,
      sym_number_fragment,
    ACTIONS(518), 1,
      anon_sym_BANG,
    STATE(309), 1,
      sym_conditional_expression,
    STATE(355), 1,
      sym_expression,
    STATE(361), 1,
      sym_binary_expression,
    STATE(481), 1,
      sym_unary_expression,
    STATE(490), 1,
      sym__single_quote,
    STATE(492), 1,
      sym__double_quote,
    STATE(134), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10756] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(141), 1,
      sym_conditional_expression,
    STATE(157), 1,
      sym_expression,
    STATE(168), 1,
      sym_binary_expression,
    STATE(392), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10813] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(141), 1,
      sym_conditional_expression,
    STATE(157), 1,
      sym_expression,
    STATE(168), 1,
      sym_binary_expression,
    STATE(392), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10870] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(70), 1,
      sym_expression,
    STATE(75), 1,
      sym_binary_expression,
    STATE(141), 1,
      sym_conditional_expression,
    STATE(151), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(19), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10927] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_SQUOTE,
    ACTIONS(504), 1,
      anon_sym_DQUOTE,
    ACTIONS(506), 1,
      anon_sym_LBRACE,
    ACTIONS(508), 1,
      anon_sym_LPAREN,
    ACTIONS(510), 1,
      anon_sym_LBRACK,
    ACTIONS(512), 1,
      anon_sym_BANG,
    ACTIONS(514), 1,
      sym_identifier,
    ACTIONS(516), 1,
      sym_number_fragment,
    STATE(256), 1,
      sym_expression,
    STATE(259), 1,
      sym_binary_expression,
    STATE(293), 1,
      sym_unary_expression,
    STATE(309), 1,
      sym_conditional_expression,
    STATE(490), 1,
      sym__single_quote,
    STATE(492), 1,
      sym__double_quote,
    STATE(64), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10984] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_SQUOTE,
    ACTIONS(504), 1,
      anon_sym_DQUOTE,
    ACTIONS(506), 1,
      anon_sym_LBRACE,
    ACTIONS(508), 1,
      anon_sym_LPAREN,
    ACTIONS(510), 1,
      anon_sym_LBRACK,
    ACTIONS(512), 1,
      anon_sym_BANG,
    ACTIONS(514), 1,
      sym_identifier,
    ACTIONS(516), 1,
      sym_number_fragment,
    STATE(256), 1,
      sym_expression,
    STATE(259), 1,
      sym_binary_expression,
    STATE(293), 1,
      sym_unary_expression,
    STATE(309), 1,
      sym_conditional_expression,
    STATE(490), 1,
      sym__single_quote,
    STATE(492), 1,
      sym__double_quote,
    STATE(64), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11041] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(498), 1,
      anon_sym_BANG,
    STATE(141), 1,
      sym_conditional_expression,
    STATE(337), 1,
      sym_expression,
    STATE(346), 1,
      sym_binary_expression,
    STATE(487), 1,
      sym_unary_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(113), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11098] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(440), 1,
      anon_sym_COLON,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(528), 1,
      anon_sym_QMARK,
    STATE(69), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(471), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(473), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11136] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(569), 1,
      anon_sym_BANG,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(620), 1,
      sym_unary_expression,
    STATE(366), 2,
      sym_expression,
      sym_binary_expression,
    STATE(175), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_LT,
    ACTIONS(589), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 1,
      anon_sym_LT,
    ACTIONS(593), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11246] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(93), 2,
      sym_expression,
      sym_unary_expression,
    STATE(336), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11295] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(597), 1,
      anon_sym_COLON,
    STATE(214), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(456), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(458), 13,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(602), 1,
      anon_sym_LT,
    ACTIONS(600), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(606), 1,
      anon_sym_LT,
    ACTIONS(604), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11386] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(608), 1,
      anon_sym_QMARK_QMARK,
    STATE(218), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(471), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(473), 13,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(214), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(436), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(438), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(310), 1,
      sym_pipe_arguments,
    ACTIONS(465), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(467), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(612), 1,
      anon_sym_LT,
    ACTIONS(610), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(616), 1,
      anon_sym_LT,
    ACTIONS(614), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(620), 1,
      anon_sym_LT,
    ACTIONS(618), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(624), 1,
      anon_sym_LT,
    ACTIONS(622), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(628), 1,
      anon_sym_LT,
    ACTIONS(626), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(632), 1,
      anon_sym_LT,
    ACTIONS(630), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11655] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(569), 1,
      anon_sym_BANG,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(93), 2,
      sym_expression,
      sym_unary_expression,
    STATE(386), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(263), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(432), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(434), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(636), 1,
      anon_sym_LT,
    ACTIONS(634), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(640), 1,
      anon_sym_LT,
    ACTIONS(638), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11793] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(350), 1,
      sym__binary_op,
    ACTIONS(418), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(646), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(414), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(642), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(644), 9,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(650), 1,
      anon_sym_LT,
    ACTIONS(648), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(654), 1,
      anon_sym_LT,
    ACTIONS(652), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(658), 1,
      anon_sym_LT,
    ACTIONS(656), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(662), 1,
      anon_sym_LT,
    ACTIONS(660), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11946] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(350), 1,
      sym__binary_op,
    ACTIONS(418), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(414), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(642), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(644), 11,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 1,
      anon_sym_LT,
    ACTIONS(664), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(670), 1,
      anon_sym_LT,
    ACTIONS(668), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12039] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(93), 2,
      sym_expression,
      sym_unary_expression,
    STATE(18), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(674), 1,
      anon_sym_LT,
    ACTIONS(672), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(678), 1,
      anon_sym_LT,
    ACTIONS(676), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(682), 1,
      anon_sym_LT,
    ACTIONS(680), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(686), 1,
      anon_sym_LT,
    ACTIONS(684), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(690), 1,
      anon_sym_LT,
    ACTIONS(688), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12233] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(692), 1,
      anon_sym_COLON,
    STATE(310), 1,
      sym_pipe_arguments,
    ACTIONS(465), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(467), 13,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12266] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(694), 1,
      anon_sym_COLON,
    STATE(214), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(436), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(438), 13,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(698), 1,
      anon_sym_LT,
    ACTIONS(696), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12328] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_SQUOTE,
    ACTIONS(504), 1,
      anon_sym_DQUOTE,
    ACTIONS(506), 1,
      anon_sym_LBRACE,
    ACTIONS(508), 1,
      anon_sym_LPAREN,
    ACTIONS(510), 1,
      anon_sym_LBRACK,
    ACTIONS(512), 1,
      anon_sym_BANG,
    ACTIONS(514), 1,
      sym_identifier,
    ACTIONS(516), 1,
      sym_number_fragment,
    STATE(490), 1,
      sym__single_quote,
    STATE(492), 1,
      sym__double_quote,
    STATE(320), 2,
      sym_expression,
      sym_unary_expression,
    STATE(81), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(702), 1,
      anon_sym_LT,
    ACTIONS(700), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12406] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_SQUOTE,
    ACTIONS(504), 1,
      anon_sym_DQUOTE,
    ACTIONS(506), 1,
      anon_sym_LBRACE,
    ACTIONS(508), 1,
      anon_sym_LPAREN,
    ACTIONS(510), 1,
      anon_sym_LBRACK,
    ACTIONS(514), 1,
      sym_identifier,
    ACTIONS(516), 1,
      sym_number_fragment,
    ACTIONS(518), 1,
      anon_sym_BANG,
    STATE(490), 1,
      sym__single_quote,
    STATE(492), 1,
      sym__double_quote,
    STATE(320), 2,
      sym_expression,
      sym_unary_expression,
    STATE(385), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(706), 1,
      anon_sym_LT,
    ACTIONS(704), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(710), 1,
      anon_sym_LT,
    ACTIONS(708), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(714), 1,
      anon_sym_LT,
    ACTIONS(712), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(718), 1,
      anon_sym_LT,
    ACTIONS(716), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12571] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(498), 1,
      anon_sym_BANG,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(93), 2,
      sym_expression,
      sym_unary_expression,
    STATE(115), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(722), 1,
      anon_sym_LT,
    ACTIONS(720), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12649] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(350), 1,
      sym__binary_op,
    ACTIONS(444), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(442), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(642), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(644), 11,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(726), 1,
      anon_sym_LT,
    ACTIONS(724), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(730), 1,
      anon_sym_LT,
    ACTIONS(728), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12742] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(350), 1,
      sym__binary_op,
    ACTIONS(444), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(646), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(442), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(642), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(644), 9,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(734), 1,
      anon_sym_LT,
    ACTIONS(732), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(738), 1,
      anon_sym_LT,
    ACTIONS(736), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(742), 1,
      anon_sym_LT,
    ACTIONS(740), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(744), 1,
      anon_sym_PIPE,
    STATE(263), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(485), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(487), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LT,
    ACTIONS(747), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_LT,
    ACTIONS(751), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12957] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(694), 1,
      anon_sym_COLON,
    STATE(245), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(471), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(473), 12,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(757), 1,
      anon_sym_LT,
    ACTIONS(755), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 1,
      anon_sym_LT,
    ACTIONS(759), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      anon_sym_LT,
    ACTIONS(763), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 1,
      anon_sym_LT,
    ACTIONS(767), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(773), 1,
      anon_sym_LT,
    ACTIONS(771), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 1,
      anon_sym_LT,
    ACTIONS(767), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(485), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(487), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [13194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(726), 1,
      anon_sym_LT,
    ACTIONS(724), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(612), 1,
      anon_sym_LT,
    ACTIONS(610), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 1,
      anon_sym_LT,
    ACTIONS(593), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(650), 1,
      anon_sym_LT,
    ACTIONS(648), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(682), 1,
      anon_sym_LT,
    ACTIONS(680), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(690), 1,
      anon_sym_LT,
    ACTIONS(688), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(640), 1,
      anon_sym_LT,
    ACTIONS(638), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(738), 1,
      anon_sym_LT,
    ACTIONS(736), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(654), 1,
      anon_sym_LT,
    ACTIONS(652), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(757), 1,
      anon_sym_LT,
    ACTIONS(755), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 1,
      anon_sym_LT,
    ACTIONS(759), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(773), 1,
      anon_sym_LT,
    ACTIONS(771), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      anon_sym_LT,
    ACTIONS(763), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_LT,
    ACTIONS(589), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(714), 1,
      anon_sym_LT,
    ACTIONS(712), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(710), 1,
      anon_sym_LT,
    ACTIONS(708), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(722), 1,
      anon_sym_LT,
    ACTIONS(720), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(686), 1,
      anon_sym_LT,
    ACTIONS(684), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(702), 1,
      anon_sym_LT,
    ACTIONS(700), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13726] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(424), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(444), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(442), 12,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [13756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 1,
      anon_sym_LT,
    ACTIONS(767), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(698), 1,
      anon_sym_LT,
    ACTIONS(696), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(678), 1,
      anon_sym_LT,
    ACTIONS(676), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(674), 1,
      anon_sym_LT,
    ACTIONS(672), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 1,
      anon_sym_LT,
    ACTIONS(767), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(670), 1,
      anon_sym_LT,
    ACTIONS(668), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LT,
    ACTIONS(747), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(662), 1,
      anon_sym_LT,
    ACTIONS(660), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(632), 1,
      anon_sym_LT,
    ACTIONS(630), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(624), 1,
      anon_sym_LT,
    ACTIONS(622), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 1,
      anon_sym_LT,
    ACTIONS(775), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(620), 1,
      anon_sym_LT,
    ACTIONS(618), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(730), 1,
      anon_sym_LT,
    ACTIONS(728), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(544), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(616), 1,
      anon_sym_LT,
    ACTIONS(614), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(442), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(520), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(522), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(636), 1,
      anon_sym_LT,
    ACTIONS(634), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(602), 1,
      anon_sym_LT,
    ACTIONS(600), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14288] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 1,
      anon_sym_PIPE,
    STATE(313), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(485), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(487), 13,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(784), 1,
      anon_sym_LT,
    ACTIONS(782), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(424), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(418), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(414), 12,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14378] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(786), 1,
      anon_sym_COLON,
    STATE(105), 1,
      sym_pipe_arguments,
    ACTIONS(465), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(467), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(606), 1,
      anon_sym_LT,
    ACTIONS(604), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(628), 1,
      anon_sym_LT,
    ACTIONS(626), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(658), 1,
      anon_sym_LT,
    ACTIONS(656), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(494), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(496), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 1,
      anon_sym_LT,
    ACTIONS(664), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(706), 1,
      anon_sym_LT,
    ACTIONS(704), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(718), 1,
      anon_sym_LT,
    ACTIONS(716), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(734), 1,
      anon_sym_LT,
    ACTIONS(732), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(788), 1,
      anon_sym_QMARK,
    ACTIONS(261), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(259), 13,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(536), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(538), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_LT,
    ACTIONS(751), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14722] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(500), 1,
      anon_sym_PIPE,
    STATE(313), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(432), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(434), 13,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14754] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(788), 1,
      anon_sym_QMARK,
    ACTIONS(524), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(526), 13,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(532), 1,
      anon_sym_PIPE,
    STATE(91), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(432), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(434), 13,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(742), 1,
      anon_sym_LT,
    ACTIONS(740), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14846] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(790), 1,
      sym_identifier,
    STATE(458), 1,
      sym_member_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(742), 1,
      sym_binding_name,
    STATE(478), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [14893] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 1,
      anon_sym_QMARK,
    STATE(342), 1,
      sym__binary_op,
    ACTIONS(414), 2,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(792), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(794), 11,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14926] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 1,
      anon_sym_QMARK,
    STATE(342), 1,
      sym__binary_op,
    ACTIONS(414), 2,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(796), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(792), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(794), 9,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14961] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(800), 1,
      anon_sym_RPAREN,
    ACTIONS(802), 1,
      anon_sym_COMMA,
    STATE(338), 1,
      sym__binary_op,
    STATE(600), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(798), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(804), 11,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14996] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_QMARK,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(217), 1,
      anon_sym_BANG,
    ACTIONS(221), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(806), 1,
      anon_sym_PIPE,
    STATE(132), 1,
      sym_pipe_sequence,
    STATE(384), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(219), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(213), 10,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [15037] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 1,
      anon_sym_QMARK,
    STATE(342), 1,
      sym__binary_op,
    ACTIONS(442), 2,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(792), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(794), 11,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15070] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(135), 1,
      sym_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(175), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [15115] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 1,
      anon_sym_QMARK,
    STATE(358), 1,
      sym__binary_op,
    ACTIONS(414), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(812), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(808), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(810), 9,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15150] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(781), 1,
      sym_expression,
    STATE(386), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [15195] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(790), 1,
      sym_identifier,
    STATE(458), 1,
      sym_member_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(735), 1,
      sym_binding_name,
    STATE(478), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [15242] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(135), 1,
      sym_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(115), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [15287] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(732), 1,
      sym_expression,
    STATE(386), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [15332] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(814), 1,
      sym_identifier,
    STATE(466), 1,
      sym_member_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(737), 1,
      sym_binding_name,
    STATE(482), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [15379] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(790), 1,
      sym_identifier,
    STATE(458), 1,
      sym_member_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(708), 1,
      sym_binding_name,
    STATE(478), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [15426] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 1,
      anon_sym_QMARK,
    STATE(342), 1,
      sym__binary_op,
    ACTIONS(442), 2,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(796), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(792), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(794), 9,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15461] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 1,
      anon_sym_QMARK,
    STATE(358), 1,
      sym__binary_op,
    ACTIONS(414), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(808), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(810), 11,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15494] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(731), 1,
      sym_expression,
    STATE(386), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [15539] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(790), 1,
      sym_identifier,
    STATE(458), 1,
      sym_member_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(706), 1,
      sym_binding_name,
    STATE(478), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [15586] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_SQUOTE,
    ACTIONS(504), 1,
      anon_sym_DQUOTE,
    ACTIONS(506), 1,
      anon_sym_LBRACE,
    ACTIONS(508), 1,
      anon_sym_LPAREN,
    ACTIONS(510), 1,
      anon_sym_LBRACK,
    ACTIONS(514), 1,
      sym_identifier,
    ACTIONS(516), 1,
      sym_number_fragment,
    STATE(307), 1,
      sym_expression,
    STATE(490), 1,
      sym__single_quote,
    STATE(492), 1,
      sym__double_quote,
    STATE(81), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [15631] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(790), 1,
      sym_identifier,
    STATE(458), 1,
      sym_member_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(780), 1,
      sym_binding_name,
    STATE(478), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [15678] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(816), 1,
      anon_sym_PIPE,
    STATE(352), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(485), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(487), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15709] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(135), 1,
      sym_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(18), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [15754] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(497), 1,
      sym_expression,
    STATE(386), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [15799] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 1,
      anon_sym_QMARK,
    STATE(358), 1,
      sym__binary_op,
    ACTIONS(442), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(808), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(810), 11,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15832] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(135), 1,
      sym_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(20), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [15877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    STATE(352), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(432), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(434), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15908] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_SQUOTE,
    ACTIONS(504), 1,
      anon_sym_DQUOTE,
    ACTIONS(506), 1,
      anon_sym_LBRACE,
    ACTIONS(508), 1,
      anon_sym_LPAREN,
    ACTIONS(510), 1,
      anon_sym_LBRACK,
    ACTIONS(514), 1,
      sym_identifier,
    ACTIONS(516), 1,
      sym_number_fragment,
    STATE(307), 1,
      sym_expression,
    STATE(490), 1,
      sym__single_quote,
    STATE(492), 1,
      sym__double_quote,
    STATE(96), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [15953] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(790), 1,
      sym_identifier,
    STATE(458), 1,
      sym_member_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(728), 1,
      sym_binding_name,
    STATE(478), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [16000] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(493), 1,
      sym_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(386), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16045] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 1,
      anon_sym_QMARK,
    STATE(358), 1,
      sym__binary_op,
    ACTIONS(442), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(812), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(808), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(810), 9,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [16080] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(814), 1,
      sym_identifier,
    STATE(466), 1,
      sym_member_expression,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(705), 1,
      sym_binding_name,
    STATE(482), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [16127] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_SQUOTE,
    ACTIONS(504), 1,
      anon_sym_DQUOTE,
    ACTIONS(506), 1,
      anon_sym_LBRACE,
    ACTIONS(508), 1,
      anon_sym_LPAREN,
    ACTIONS(510), 1,
      anon_sym_LBRACK,
    ACTIONS(514), 1,
      sym_identifier,
    ACTIONS(516), 1,
      sym_number_fragment,
    STATE(490), 1,
      sym__single_quote,
    STATE(492), 1,
      sym__double_quote,
    STATE(165), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16169] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(41), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16211] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(441), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16253] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(338), 1,
      sym__binary_op,
    ACTIONS(819), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(798), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(804), 11,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [16283] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(451), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16325] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      sym_attribute_name,
    ACTIONS(826), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      anon_sym_STAR,
    ACTIONS(832), 1,
      anon_sym_LBRACK,
    ACTIONS(835), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(838), 1,
      anon_sym_LBRACK_AT,
    STATE(420), 1,
      sym__normal_attribute,
    ACTIONS(821), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
    STATE(368), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(419), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [16365] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(841), 1,
      anon_sym_GT,
    ACTIONS(843), 1,
      anon_sym_SLASH_GT,
    ACTIONS(845), 1,
      sym_attribute_name,
    ACTIONS(847), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(851), 1,
      anon_sym_LBRACK,
    ACTIONS(853), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(855), 1,
      anon_sym_LBRACK_AT,
    STATE(420), 1,
      sym__normal_attribute,
    STATE(368), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(419), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [16407] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(841), 1,
      anon_sym_GT,
    ACTIONS(845), 1,
      sym_attribute_name,
    ACTIONS(847), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(851), 1,
      anon_sym_LBRACK,
    ACTIONS(853), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(855), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(857), 1,
      anon_sym_SLASH_GT,
    STATE(420), 1,
      sym__normal_attribute,
    STATE(368), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(419), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [16449] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_attribute_name,
    ACTIONS(847), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(851), 1,
      anon_sym_LBRACK,
    ACTIONS(853), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(855), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(859), 1,
      anon_sym_GT,
    ACTIONS(861), 1,
      anon_sym_SLASH_GT,
    STATE(420), 1,
      sym__normal_attribute,
    STATE(370), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(419), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [16491] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_attribute_name,
    ACTIONS(847), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(851), 1,
      anon_sym_LBRACK,
    ACTIONS(853), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(855), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(859), 1,
      anon_sym_GT,
    ACTIONS(863), 1,
      anon_sym_SLASH_GT,
    STATE(420), 1,
      sym__normal_attribute,
    STATE(369), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(419), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [16533] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(865), 1,
      anon_sym_GT,
    ACTIONS(867), 1,
      sym_attribute_name,
    ACTIONS(869), 1,
      anon_sym_LPAREN,
    ACTIONS(871), 1,
      anon_sym_STAR,
    ACTIONS(873), 1,
      anon_sym_LBRACK,
    ACTIONS(875), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(877), 1,
      anon_sym_LBRACK_AT,
    STATE(444), 1,
      sym__normal_attribute,
    STATE(376), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(443), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [16572] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      sym_attribute_name,
    ACTIONS(869), 1,
      anon_sym_LPAREN,
    ACTIONS(871), 1,
      anon_sym_STAR,
    ACTIONS(873), 1,
      anon_sym_LBRACK,
    ACTIONS(875), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(877), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(879), 1,
      anon_sym_GT,
    STATE(444), 1,
      sym__normal_attribute,
    STATE(377), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(443), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [16611] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      sym_attribute_name,
    ACTIONS(869), 1,
      anon_sym_LPAREN,
    ACTIONS(871), 1,
      anon_sym_STAR,
    ACTIONS(873), 1,
      anon_sym_LBRACK,
    ACTIONS(875), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(877), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(881), 1,
      anon_sym_GT,
    STATE(444), 1,
      sym__normal_attribute,
    STATE(373), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(443), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [16650] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(821), 1,
      anon_sym_GT,
    ACTIONS(883), 1,
      sym_attribute_name,
    ACTIONS(886), 1,
      anon_sym_LPAREN,
    ACTIONS(889), 1,
      anon_sym_STAR,
    ACTIONS(892), 1,
      anon_sym_LBRACK,
    ACTIONS(895), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(898), 1,
      anon_sym_LBRACK_AT,
    STATE(444), 1,
      sym__normal_attribute,
    STATE(376), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(443), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [16689] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      sym_attribute_name,
    ACTIONS(869), 1,
      anon_sym_LPAREN,
    ACTIONS(871), 1,
      anon_sym_STAR,
    ACTIONS(873), 1,
      anon_sym_LBRACK,
    ACTIONS(875), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(877), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(901), 1,
      anon_sym_GT,
    STATE(444), 1,
      sym__normal_attribute,
    STATE(376), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(443), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [16728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(379), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(436), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(438), 11,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [16752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(903), 1,
      anon_sym_COLON,
    STATE(379), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(456), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(458), 10,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [16778] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    STATE(378), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(471), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(473), 10,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [16804] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(906), 1,
      anon_sym_COLON,
    STATE(379), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(436), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(438), 10,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [16830] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(906), 1,
      anon_sym_COLON,
    STATE(381), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(471), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(473), 9,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [16858] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(908), 1,
      anon_sym_COLON,
    STATE(105), 1,
      sym_pipe_arguments,
    ACTIONS(465), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(467), 10,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [16884] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(432), 1,
      anon_sym_QMARK,
    ACTIONS(806), 1,
      anon_sym_PIPE,
    STATE(387), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(434), 10,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [16909] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_QMARK,
    ACTIONS(420), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      anon_sym_BANG,
    ACTIONS(428), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(910), 1,
      anon_sym_PIPE,
    STATE(326), 1,
      sym_pipe_sequence,
    STATE(456), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(426), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(213), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [16944] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(217), 1,
      anon_sym_BANG,
    ACTIONS(221), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(912), 1,
      anon_sym_PIPE,
    STATE(132), 1,
      sym_pipe_sequence,
    STATE(450), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(219), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(213), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [16977] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(485), 1,
      anon_sym_QMARK,
    ACTIONS(914), 1,
      anon_sym_PIPE,
    STATE(387), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(487), 10,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [17002] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(524), 1,
      anon_sym_PIPE,
    ACTIONS(917), 1,
      anon_sym_QMARK,
    ACTIONS(526), 10,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [17027] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 1,
      anon_sym_DQUOTE,
    STATE(40), 1,
      sym__double_quote,
    STATE(477), 1,
      aux_sym__attribute_node_repeat1,
    ACTIONS(923), 2,
      aux_sym__attribute_node_token1,
      sym__escape_sequence,
    ACTIONS(919), 8,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17054] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(261), 1,
      anon_sym_PIPE,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(917), 1,
      anon_sym_QMARK,
    ACTIONS(259), 10,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [17079] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 1,
      anon_sym_DQUOTE,
    STATE(40), 1,
      sym__double_quote,
    STATE(477), 1,
      aux_sym__attribute_node_repeat1,
    ACTIONS(923), 2,
      aux_sym__attribute_node_token1,
      sym__escape_sequence,
    ACTIONS(919), 7,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 1,
      anon_sym_QMARK,
    ACTIONS(233), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(442), 8,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [17126] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 1,
      anon_sym_QMARK,
    ACTIONS(233), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(414), 8,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [17147] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(925), 1,
      anon_sym_COLON,
    ACTIONS(927), 1,
      anon_sym_QMARK,
    STATE(423), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(473), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [17171] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(929), 1,
      anon_sym_DQUOTE,
    ACTIONS(931), 1,
      anon_sym_SEMI,
    ACTIONS(933), 1,
      anon_sym_as,
    ACTIONS(935), 1,
      anon_sym_QMARK,
    STATE(470), 1,
      sym__alias,
    STATE(553), 1,
      sym__then_template_expression,
    STATE(722), 1,
      sym__else_template_expression,
    STATE(729), 1,
      sym__context_expression,
    STATE(736), 1,
      sym__structural_let_expression,
  [17205] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(941), 1,
      anon_sym_EQ,
    STATE(429), 1,
      sym__binding_assignment,
    ACTIONS(939), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(937), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17227] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(943), 1,
      anon_sym_RBRACE,
    ACTIONS(945), 1,
      anon_sym_COMMA,
    ACTIONS(947), 1,
      sym_identifier,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(539), 1,
      sym_string,
    STATE(540), 1,
      sym_pair,
  [17258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(935), 1,
      anon_sym_QMARK,
    ACTIONS(259), 7,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [17277] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(947), 1,
      sym_identifier,
    ACTIONS(949), 1,
      anon_sym_RBRACE,
    ACTIONS(951), 1,
      anon_sym_COMMA,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(539), 1,
      sym_string,
    STATE(567), 1,
      sym_pair,
  [17308] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_EQ,
    STATE(461), 1,
      sym__binding_assignment,
    ACTIONS(937), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17329] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(927), 1,
      anon_sym_QMARK,
    ACTIONS(526), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE,
  [17348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(927), 1,
      anon_sym_QMARK,
    ACTIONS(259), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE,
  [17367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 1,
      anon_sym_EQ,
    ACTIONS(957), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(955), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 1,
      anon_sym_EQ,
    ACTIONS(963), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(961), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17405] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(947), 1,
      sym_identifier,
    ACTIONS(967), 1,
      anon_sym_RBRACE,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(539), 1,
      sym_string,
    STATE(654), 1,
      sym_pair,
  [17433] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_LBRACK,
    ACTIONS(969), 1,
      anon_sym_EQ,
    ACTIONS(961), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(973), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(971), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(975), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(981), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(979), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17499] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(413), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(436), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(438), 5,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [17517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(985), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(983), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(987), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17549] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 1,
      anon_sym_COLON,
    STATE(413), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(456), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(458), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [17569] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(994), 1,
      anon_sym_COLON,
    STATE(413), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(436), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(438), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [17589] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(227), 1,
      anon_sym_BANG,
    ACTIONS(231), 1,
      anon_sym_LPAREN,
    ACTIONS(996), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(229), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [17609] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(957), 1,
      anon_sym_LBRACK,
    ACTIONS(998), 1,
      anon_sym_EQ,
    ACTIONS(955), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1002), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1000), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17643] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(947), 1,
      sym_identifier,
    ACTIONS(1004), 1,
      anon_sym_RBRACE,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(539), 1,
      sym_string,
    STATE(654), 1,
      sym_pair,
  [17671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1008), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1006), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1008), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1006), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17703] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 1,
      anon_sym_COLON,
    STATE(105), 1,
      sym_pipe_arguments,
    ACTIONS(467), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [17721] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(608), 1,
      anon_sym_QMARK_QMARK,
    STATE(410), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(471), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(473), 4,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [17741] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(925), 1,
      anon_sym_COLON,
    STATE(425), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(438), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [17759] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(994), 1,
      anon_sym_COLON,
    STATE(414), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(471), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(473), 3,
      sym__interpolation_end,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [17781] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_COLON,
    STATE(425), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(458), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [17799] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(947), 1,
      sym_identifier,
    ACTIONS(1015), 1,
      anon_sym_RBRACE,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(539), 1,
      sym_string,
    STATE(654), 1,
      sym_pair,
  [17827] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 1,
      anon_sym_COLON,
    STATE(310), 1,
      sym_pipe_arguments,
    ACTIONS(465), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(467), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [17847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1019), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1023), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17879] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(933), 1,
      anon_sym_as,
    ACTIONS(1031), 1,
      anon_sym_COLON,
    STATE(541), 1,
      sym__alias,
    ACTIONS(1029), 2,
      anon_sym_of,
      anon_sym_EQ,
    ACTIONS(1027), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [17901] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(947), 1,
      sym_identifier,
    ACTIONS(1033), 1,
      anon_sym_RBRACE,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(539), 1,
      sym_string,
    STATE(654), 1,
      sym_pair,
  [17929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1035), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17945] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_DQUOTE,
    ACTIONS(1043), 1,
      sym__interpolation_start,
    STATE(452), 1,
      sym__double_quote,
    ACTIONS(1041), 2,
      aux_sym__normal_attribute_token1,
      sym__escape_sequence,
    STATE(464), 2,
      sym_interpolation,
      aux_sym__normal_attribute_repeat1,
  [17966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      anon_sym_LBRACK,
    ACTIONS(975), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(983), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1002), 1,
      anon_sym_LBRACK,
    ACTIONS(1000), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [18011] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      sym__interpolation_start,
    ACTIONS(1045), 1,
      anon_sym_DQUOTE,
    STATE(453), 1,
      sym__double_quote,
    ACTIONS(1047), 2,
      aux_sym__normal_attribute_token1,
      sym__escape_sequence,
    STATE(433), 2,
      sym_interpolation,
      aux_sym__normal_attribute_repeat1,
  [18032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1035), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [18047] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1049), 1,
      anon_sym_SQUOTE,
    ACTIONS(1053), 1,
      sym__interpolation_start,
    STATE(428), 1,
      sym__single_quote,
    ACTIONS(1051), 2,
      aux_sym__normal_attribute_token2,
      sym__escape_sequence,
    STATE(471), 2,
      sym_interpolation,
      aux_sym__normal_attribute_repeat2,
  [18068] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_SQUOTE,
    ACTIONS(1053), 1,
      sym__interpolation_start,
    STATE(452), 1,
      sym__single_quote,
    ACTIONS(1051), 2,
      aux_sym__normal_attribute_token2,
      sym__escape_sequence,
    STATE(471), 2,
      sym_interpolation,
      aux_sym__normal_attribute_repeat2,
  [18089] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(217), 1,
      anon_sym_BANG,
    ACTIONS(221), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(219), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(1055), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [18110] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      sym__interpolation_start,
    ACTIONS(1057), 1,
      anon_sym_DQUOTE,
    STATE(412), 1,
      sym__double_quote,
    ACTIONS(1059), 2,
      aux_sym__normal_attribute_token1,
      sym__escape_sequence,
    STATE(448), 2,
      sym_interpolation,
      aux_sym__normal_attribute_repeat1,
  [18131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_LBRACK,
    ACTIONS(1006), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [18146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_LBRACK,
    ACTIONS(1006), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [18161] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1053), 1,
      sym__interpolation_start,
    ACTIONS(1057), 1,
      anon_sym_SQUOTE,
    STATE(412), 1,
      sym__single_quote,
    ACTIONS(1061), 2,
      aux_sym__normal_attribute_token2,
      sym__escape_sequence,
    STATE(439), 2,
      sym_interpolation,
      aux_sym__normal_attribute_repeat2,
  [18182] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(524), 1,
      anon_sym_PIPE,
    ACTIONS(608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1063), 1,
      anon_sym_QMARK,
    ACTIONS(526), 4,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [18201] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(261), 1,
      anon_sym_PIPE,
    ACTIONS(608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1063), 1,
      anon_sym_QMARK,
    ACTIONS(259), 4,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [18220] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      sym__interpolation_start,
    ACTIONS(1049), 1,
      anon_sym_DQUOTE,
    STATE(428), 1,
      sym__double_quote,
    ACTIONS(1041), 2,
      aux_sym__normal_attribute_token1,
      sym__escape_sequence,
    STATE(464), 2,
      sym_interpolation,
      aux_sym__normal_attribute_repeat1,
  [18241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(979), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [18256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(912), 1,
      anon_sym_PIPE,
    STATE(454), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(434), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [18273] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(217), 1,
      anon_sym_BANG,
    ACTIONS(221), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(219), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(1065), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [18294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 1,
      anon_sym_LBRACK,
    ACTIONS(1019), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [18309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 1,
      anon_sym_LBRACK,
    ACTIONS(987), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [18324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      anon_sym_PIPE,
    STATE(454), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(487), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [18341] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1045), 1,
      anon_sym_SQUOTE,
    ACTIONS(1053), 1,
      sym__interpolation_start,
    STATE(453), 1,
      sym__single_quote,
    ACTIONS(1070), 2,
      aux_sym__normal_attribute_token2,
      sym__escape_sequence,
    STATE(440), 2,
      sym_interpolation,
      aux_sym__normal_attribute_repeat2,
  [18362] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(432), 1,
      anon_sym_QMARK,
    ACTIONS(910), 1,
      anon_sym_PIPE,
    STATE(460), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(434), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [18381] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(235), 1,
      anon_sym_BANG,
    ACTIONS(1072), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 5,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [18398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(227), 1,
      anon_sym_BANG,
    ACTIONS(996), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(229), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [18415] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(227), 1,
      anon_sym_BANG,
    ACTIONS(231), 1,
      anon_sym_LPAREN,
    ACTIONS(996), 1,
      anon_sym_RPAREN_RBRACK,
    ACTIONS(229), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [18434] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(485), 1,
      anon_sym_QMARK,
    ACTIONS(1074), 1,
      anon_sym_PIPE,
    STATE(460), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(487), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [18453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1023), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [18468] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(947), 1,
      sym_identifier,
    STATE(495), 1,
      sym__single_quote,
    STATE(496), 1,
      sym__double_quote,
    STATE(539), 1,
      sym_string,
    STATE(654), 1,
      sym_pair,
  [18493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(973), 1,
      anon_sym_LBRACK,
    ACTIONS(971), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [18508] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_DQUOTE,
    ACTIONS(1082), 1,
      sym__interpolation_start,
    ACTIONS(1079), 2,
      aux_sym__normal_attribute_token1,
      sym__escape_sequence,
    STATE(464), 2,
      sym_interpolation,
      aux_sym__normal_attribute_repeat1,
  [18526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_BANG,
    ACTIONS(285), 5,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [18540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(227), 1,
      anon_sym_BANG,
    ACTIONS(996), 1,
      anon_sym_RPAREN_RBRACK,
    ACTIONS(229), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [18556] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SEMI,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(935), 1,
      anon_sym_QMARK,
    ACTIONS(1085), 1,
      anon_sym_DQUOTE,
    STATE(417), 1,
      sym__double_quote,
    STATE(526), 1,
      aux_sym__binding_assignment_repeat1,
  [18578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(263), 1,
      anon_sym_BANG,
    ACTIONS(265), 5,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [18592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_BANG,
    ACTIONS(305), 5,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [18606] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(931), 1,
      anon_sym_SEMI,
    ACTIONS(1087), 1,
      anon_sym_DQUOTE,
    STATE(566), 1,
      sym__then_template_expression,
    STATE(767), 1,
      sym__else_template_expression,
    STATE(769), 1,
      sym__context_expression,
    STATE(770), 1,
      sym__structural_let_expression,
  [18628] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1089), 1,
      anon_sym_SQUOTE,
    ACTIONS(1094), 1,
      sym__interpolation_start,
    ACTIONS(1091), 2,
      aux_sym__normal_attribute_token2,
      sym__escape_sequence,
    STATE(471), 2,
      sym_interpolation,
      aux_sym__normal_attribute_repeat2,
  [18646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1097), 1,
      anon_sym_RBRACE,
    ACTIONS(1099), 1,
      sym_case_start,
    ACTIONS(1102), 1,
      sym_default_start,
    STATE(472), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [18664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_RBRACE,
    ACTIONS(1107), 1,
      sym_case_start,
    ACTIONS(1109), 1,
      sym_default_start,
    STATE(472), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [18682] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SEMI,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(935), 1,
      anon_sym_QMARK,
    ACTIONS(1111), 1,
      anon_sym_DQUOTE,
    STATE(436), 1,
      sym__double_quote,
    STATE(501), 1,
      aux_sym__binding_assignment_repeat1,
  [18704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1107), 1,
      sym_case_start,
    ACTIONS(1109), 1,
      sym_default_start,
    ACTIONS(1113), 1,
      anon_sym_RBRACE,
    STATE(472), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [18722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(935), 1,
      anon_sym_QMARK,
    ACTIONS(1115), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [18738] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1117), 1,
      anon_sym_DQUOTE,
    ACTIONS(1119), 1,
      aux_sym__attribute_node_token1,
    ACTIONS(1121), 1,
      sym__escape_sequence,
    STATE(28), 1,
      sym__double_quote,
    STATE(522), 1,
      aux_sym__attribute_node_repeat1,
  [18757] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(217), 1,
      anon_sym_BANG,
    ACTIONS(221), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(219), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
  [18774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1107), 1,
      sym_case_start,
    ACTIONS(1109), 1,
      sym_default_start,
    STATE(475), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [18789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1107), 1,
      sym_case_start,
    ACTIONS(1109), 1,
      sym_default_start,
    STATE(473), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [18804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 1,
      anon_sym_QMARK,
    ACTIONS(442), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(540), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [18819] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(217), 1,
      anon_sym_BANG,
    ACTIONS(1125), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1123), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
  [18836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 2,
      anon_sym_of,
      anon_sym_EQ,
    ACTIONS(1127), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [18849] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 1,
      anon_sym_QMARK,
    ACTIONS(414), 2,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(530), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [18864] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 1,
      anon_sym_SQUOTE,
    ACTIONS(1133), 1,
      sym__escape_sequence,
    ACTIONS(1135), 1,
      aux_sym_string_token1,
    STATE(181), 1,
      sym__single_quote,
    STATE(523), 1,
      aux_sym_string_repeat1,
  [18883] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(935), 1,
      anon_sym_QMARK,
    ACTIONS(1137), 1,
      anon_sym_COMMA,
    ACTIONS(1139), 1,
      anon_sym_RBRACK,
    STATE(535), 1,
      aux_sym_array_repeat1,
  [18902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 1,
      anon_sym_QMARK,
    ACTIONS(442), 2,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(530), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [18917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 1,
      anon_sym_QMARK,
    ACTIONS(414), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(540), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [18932] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1119), 1,
      aux_sym__attribute_node_token1,
    ACTIONS(1121), 1,
      sym__escape_sequence,
    ACTIONS(1131), 1,
      anon_sym_DQUOTE,
    STATE(181), 1,
      sym__double_quote,
    STATE(522), 1,
      aux_sym__attribute_node_repeat1,
  [18951] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 1,
      anon_sym_SQUOTE,
    ACTIONS(1143), 1,
      sym__escape_sequence,
    ACTIONS(1145), 1,
      aux_sym_string_token1,
    STATE(170), 1,
      sym__single_quote,
    STATE(485), 1,
      aux_sym_string_repeat1,
  [18970] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 1,
      anon_sym_let,
    ACTIONS(1149), 1,
      anon_sym_then,
    ACTIONS(1151), 1,
      anon_sym_else,
    ACTIONS(1153), 1,
      anon_sym_context,
    ACTIONS(1155), 1,
      sym_identifier,
  [18989] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 1,
      anon_sym_DQUOTE,
    ACTIONS(1157), 1,
      aux_sym__attribute_node_token1,
    ACTIONS(1159), 1,
      sym__escape_sequence,
    STATE(170), 1,
      sym__double_quote,
    STATE(489), 1,
      aux_sym__attribute_node_repeat1,
  [19008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(933), 1,
      anon_sym_as,
    STATE(607), 1,
      sym__alias,
    ACTIONS(1161), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [19023] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1117), 1,
      anon_sym_SQUOTE,
    ACTIONS(1133), 1,
      sym__escape_sequence,
    ACTIONS(1135), 1,
      aux_sym_string_token1,
    STATE(28), 1,
      sym__single_quote,
    STATE(523), 1,
      aux_sym_string_repeat1,
  [19042] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 1,
      anon_sym_SQUOTE,
    ACTIONS(1163), 1,
      sym__escape_sequence,
    ACTIONS(1165), 1,
      aux_sym_string_token1,
    STATE(40), 1,
      sym__single_quote,
    STATE(494), 1,
      aux_sym_string_repeat1,
  [19061] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 1,
      anon_sym_DQUOTE,
    ACTIONS(923), 1,
      aux_sym__attribute_node_token1,
    ACTIONS(1167), 1,
      sym__escape_sequence,
    STATE(40), 1,
      sym__double_quote,
    STATE(477), 1,
      aux_sym__attribute_node_repeat1,
  [19080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(933), 1,
      anon_sym_as,
    STATE(556), 1,
      sym__alias,
    ACTIONS(1169), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [19095] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(935), 1,
      anon_sym_QMARK,
    ACTIONS(1171), 1,
      anon_sym_COMMA,
    ACTIONS(1173), 1,
      anon_sym_RBRACK,
    STATE(588), 1,
      aux_sym_array_repeat1,
  [19114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      anon_sym_prefetch,
    ACTIONS(1177), 1,
      anon_sym_when,
    ACTIONS(1179), 1,
      anon_sym_on,
    STATE(632), 1,
      sym_defer_trigger_condition,
  [19130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SEMI,
    ACTIONS(1111), 1,
      anon_sym_DQUOTE,
    STATE(436), 1,
      sym__double_quote,
    STATE(501), 1,
      aux_sym__binding_assignment_repeat1,
  [19146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SEMI,
    ACTIONS(1181), 1,
      anon_sym_DQUOTE,
    STATE(438), 1,
      sym__double_quote,
    STATE(543), 1,
      aux_sym__binding_assignment_repeat1,
  [19162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SEMI,
    ACTIONS(1111), 1,
      anon_sym_DQUOTE,
    STATE(436), 1,
      sym__double_quote,
    STATE(543), 1,
      aux_sym__binding_assignment_repeat1,
  [19178] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      anon_sym_RBRACE,
    ACTIONS(1185), 1,
      sym_icu_category,
    STATE(516), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [19192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_LBRACE,
    ACTIONS(1189), 1,
      anon_sym_LPAREN,
    STATE(269), 1,
      sym_statement_block,
    STATE(650), 1,
      sym_defer_trigger,
  [19208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(935), 1,
      anon_sym_QMARK,
    ACTIONS(1065), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [19222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_LBRACE,
    ACTIONS(1191), 1,
      anon_sym_LPAREN,
    STATE(268), 1,
      sym_statement_block,
    STATE(652), 1,
      sym_placeholder_minimum,
  [19238] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 1,
      anon_sym_COMMA,
    STATE(513), 1,
      aux_sym_for_reference_repeat1,
    ACTIONS(1193), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [19252] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_LBRACE,
    ACTIONS(1197), 1,
      anon_sym_LPAREN,
    STATE(267), 1,
      sym_statement_block,
    STATE(655), 1,
      sym_loading_condition,
  [19268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(935), 1,
      anon_sym_QMARK,
    ACTIONS(1199), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [19282] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 1,
      anon_sym_DQUOTE,
    STATE(510), 1,
      aux_sym_structural_declaration_repeat1,
    ACTIONS(1203), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [19296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(935), 1,
      anon_sym_QMARK,
    ACTIONS(1206), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [19310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      sym_icu_category,
    ACTIONS(1208), 1,
      anon_sym_RBRACE,
    STATE(516), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [19324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 1,
      anon_sym_COMMA,
    STATE(519), 1,
      aux_sym_for_reference_repeat1,
    ACTIONS(1210), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [19338] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1212), 1,
      anon_sym_SQUOTE,
    ACTIONS(1214), 1,
      anon_sym_DQUOTE,
    STATE(442), 1,
      sym__double_quote,
    STATE(445), 1,
      sym__single_quote,
  [19354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1216), 1,
      anon_sym_SQUOTE,
    ACTIONS(1218), 1,
      anon_sym_DQUOTE,
    STATE(437), 1,
      sym__double_quote,
    STATE(455), 1,
      sym__single_quote,
  [19370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1220), 1,
      anon_sym_RBRACE,
    ACTIONS(1222), 1,
      sym_icu_category,
    STATE(516), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [19384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(610), 1,
      sym__interpolation_start,
    ACTIONS(612), 3,
      anon_sym_SQUOTE,
      aux_sym__normal_attribute_token2,
      sym__escape_sequence,
  [19396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(935), 1,
      anon_sym_QMARK,
    ACTIONS(1225), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [19410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_COMMA,
    STATE(519), 1,
      aux_sym_for_reference_repeat1,
    ACTIONS(1227), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [19424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(935), 1,
      anon_sym_QMARK,
    ACTIONS(1055), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [19438] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      anon_sym_prefetch,
    ACTIONS(1177), 1,
      anon_sym_when,
    ACTIONS(1179), 1,
      anon_sym_on,
    STATE(548), 1,
      sym_defer_trigger_condition,
  [19454] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_DQUOTE,
    ACTIONS(1234), 1,
      aux_sym__attribute_node_token1,
    ACTIONS(1237), 1,
      sym__escape_sequence,
    STATE(522), 1,
      aux_sym__attribute_node_repeat1,
  [19470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(1242), 1,
      sym__escape_sequence,
    ACTIONS(1245), 1,
      aux_sym_string_token1,
    STATE(523), 1,
      aux_sym_string_repeat1,
  [19486] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SEMI,
    ACTIONS(1085), 1,
      anon_sym_DQUOTE,
    STATE(417), 1,
      sym__double_quote,
    STATE(526), 1,
      aux_sym__binding_assignment_repeat1,
  [19502] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SEMI,
    ACTIONS(1085), 1,
      anon_sym_DQUOTE,
    STATE(417), 1,
      sym__double_quote,
    STATE(543), 1,
      aux_sym__binding_assignment_repeat1,
  [19518] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SEMI,
    ACTIONS(1248), 1,
      anon_sym_DQUOTE,
    STATE(432), 1,
      sym__double_quote,
    STATE(543), 1,
      aux_sym__binding_assignment_repeat1,
  [19534] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_LPAREN,
    ACTIONS(1250), 1,
      anon_sym_LBRACE,
    STATE(284), 1,
      sym_statement_block,
    STATE(680), 1,
      sym_placeholder_minimum,
  [19550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(935), 1,
      anon_sym_QMARK,
    ACTIONS(1252), 2,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
  [19564] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      anon_sym_LPAREN,
    ACTIONS(1250), 1,
      anon_sym_LBRACE,
    STATE(283), 1,
      sym_statement_block,
    STATE(681), 1,
      sym_loading_condition,
  [19580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 1,
      anon_sym_DQUOTE,
    STATE(510), 1,
      aux_sym_structural_declaration_repeat1,
    ACTIONS(1256), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [19594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(610), 1,
      sym__interpolation_start,
    ACTIONS(612), 3,
      anon_sym_DQUOTE,
      aux_sym__normal_attribute_token1,
      sym__escape_sequence,
  [19606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 1,
      anon_sym_DQUOTE,
    STATE(530), 1,
      aux_sym_structural_declaration_repeat1,
    ACTIONS(1256), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [19620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(935), 1,
      anon_sym_QMARK,
    ACTIONS(1260), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [19634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_LPAREN,
    ACTIONS(1250), 1,
      anon_sym_LBRACE,
    STATE(286), 1,
      sym_statement_block,
    STATE(679), 1,
      sym_defer_trigger,
  [19650] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(450), 1,
      anon_sym_RBRACK,
    ACTIONS(1262), 1,
      anon_sym_COMMA,
    STATE(599), 1,
      aux_sym_array_repeat1,
  [19663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(745), 1,
      sym_timed_expression,
    ACTIONS(1264), 2,
      anon_sym_after,
      anon_sym_minimum,
  [19674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(727), 1,
      sym_icu_clause,
    ACTIONS(1266), 2,
      anon_sym_plural,
      anon_sym_select,
  [19685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(935), 1,
      anon_sym_QMARK,
    ACTIONS(1268), 1,
      anon_sym_COMMA,
  [19698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 1,
      anon_sym_COLON,
    ACTIONS(1270), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [19709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 1,
      anon_sym_RBRACE,
    ACTIONS(1276), 1,
      anon_sym_COMMA,
    STATE(554), 1,
      aux_sym_object_repeat1,
  [19722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [19731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(935), 1,
      anon_sym_QMARK,
    ACTIONS(1280), 1,
      anon_sym_RPAREN,
  [19744] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1252), 1,
      anon_sym_DQUOTE,
    ACTIONS(1282), 1,
      anon_sym_SEMI,
    STATE(543), 1,
      aux_sym__binding_assignment_repeat1,
  [19757] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(259), 1,
      anon_sym_COLON,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1285), 1,
      anon_sym_QMARK,
  [19770] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 1,
      anon_sym_LBRACK,
    ACTIONS(1289), 1,
      sym_identifier,
    STATE(179), 1,
      sym_call_expression,
  [19783] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 1,
      anon_sym_SEMI,
    ACTIONS(1293), 1,
      anon_sym_RPAREN,
    STATE(700), 1,
      sym_if_reference,
  [19796] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_SEMI,
    ACTIONS(1297), 1,
      anon_sym_RPAREN,
    STATE(699), 1,
      sym_for_references,
  [19809] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 1,
      anon_sym_SEMI,
    ACTIONS(1301), 1,
      anon_sym_RPAREN,
    STATE(569), 1,
      aux_sym_defer_trigger_repeat1,
  [19822] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 1,
      anon_sym_SEMI,
    ACTIONS(1303), 1,
      anon_sym_RPAREN,
    STATE(724), 1,
      sym_if_reference,
  [19835] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1307), 1,
      sym_raw_text,
    STATE(278), 1,
      sym_end_tag,
  [19848] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1309), 1,
      sym_raw_text,
    STATE(277), 1,
      sym_end_tag,
  [19861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(750), 1,
      sym_icu_clause,
    ACTIONS(1266), 2,
      anon_sym_plural,
      anon_sym_select,
  [19872] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1311), 1,
      anon_sym_DQUOTE,
    ACTIONS(1313), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym__else_template_expression,
  [19885] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_RBRACE,
    ACTIONS(1315), 1,
      anon_sym_COMMA,
    STATE(594), 1,
      aux_sym_object_repeat1,
  [19898] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1317), 1,
      anon_sym_QMARK,
    ACTIONS(1319), 1,
      sym__interpolation_end,
  [19911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [19920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(573), 1,
      anon_sym_COLON,
    ACTIONS(1285), 1,
      anon_sym_QMARK,
  [19933] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(800), 1,
      anon_sym_RPAREN,
    ACTIONS(802), 1,
      anon_sym_COMMA,
    STATE(600), 1,
      aux_sym_arguments_repeat1,
  [19946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(581), 1,
      anon_sym_COLON,
    ACTIONS(1285), 1,
      anon_sym_QMARK,
  [19959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(575), 1,
      anon_sym_COLON,
    ACTIONS(1285), 1,
      anon_sym_QMARK,
  [19972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(725), 1,
      sym_timed_expression,
    ACTIONS(1264), 2,
      anon_sym_after,
      anon_sym_minimum,
  [19983] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(935), 1,
      anon_sym_QMARK,
    ACTIONS(1323), 1,
      anon_sym_RBRACK,
  [19996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(935), 1,
      anon_sym_QMARK,
    ACTIONS(1325), 1,
      anon_sym_RPAREN,
  [20009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(604), 3,
      sym_case_start,
      sym_default_start,
      anon_sym_RBRACE,
  [20018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [20027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 1,
      anon_sym_SEMI,
    ACTIONS(1329), 1,
      anon_sym_DQUOTE,
    STATE(783), 1,
      sym__else_template_expression,
  [20040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1331), 1,
      anon_sym_RBRACE,
    ACTIONS(1333), 1,
      anon_sym_COMMA,
    STATE(586), 1,
      aux_sym_object_repeat1,
  [20053] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(935), 1,
      anon_sym_QMARK,
    ACTIONS(1335), 1,
      anon_sym_RPAREN,
  [20066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 1,
      anon_sym_SEMI,
    ACTIONS(1337), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      aux_sym_defer_trigger_repeat1,
  [20079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(935), 1,
      anon_sym_QMARK,
    ACTIONS(1339), 1,
      anon_sym_COMMA,
  [20092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1341), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [20101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(593), 3,
      sym_case_start,
      sym_default_start,
      anon_sym_RBRACE,
  [20110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1317), 1,
      anon_sym_QMARK,
    ACTIONS(1343), 1,
      sym__interpolation_end,
  [20123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(676), 1,
      sym_timed_expression,
    ACTIONS(1264), 2,
      anon_sym_after,
      anon_sym_minimum,
  [20134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      sym_icu_category,
    STATE(503), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [20145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1345), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1347), 1,
      sym_raw_text,
    STATE(231), 1,
      sym_end_tag,
  [20158] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 1,
      anon_sym_LBRACK,
    ACTIONS(1351), 1,
      sym_identifier,
    STATE(30), 1,
      sym_call_expression,
  [20171] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 1,
      anon_sym_let,
    ACTIONS(1355), 1,
      sym_identifier,
    STATE(532), 1,
      sym_structural_assignment,
  [20184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_case_start,
      sym_default_start,
      anon_sym_RBRACE,
  [20193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 1,
      anon_sym_SEMI,
    ACTIONS(1362), 1,
      anon_sym_RPAREN,
    STATE(580), 1,
      aux_sym_for_references_repeat1,
  [20206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1345), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1364), 1,
      sym_raw_text,
    STATE(241), 1,
      sym_end_tag,
  [20219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(583), 1,
      anon_sym_COLON,
    ACTIONS(1285), 1,
      anon_sym_QMARK,
  [20232] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 1,
      anon_sym_SEMI,
    ACTIONS(1366), 1,
      anon_sym_RPAREN,
    STATE(712), 1,
      sym_if_reference,
  [20245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_SEMI,
    ACTIONS(1368), 1,
      anon_sym_RPAREN,
    STATE(718), 1,
      sym_for_references,
  [20258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 1,
      sym__start_tag_name,
    ACTIONS(1372), 1,
      sym__script_start_tag_name,
    ACTIONS(1374), 1,
      sym__style_start_tag_name,
  [20271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 1,
      anon_sym_RBRACE,
    ACTIONS(1376), 1,
      anon_sym_COMMA,
    STATE(594), 1,
      aux_sym_object_repeat1,
  [20284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 1,
      anon_sym_SEMI,
    ACTIONS(1378), 1,
      anon_sym_RPAREN,
    STATE(719), 1,
      sym_if_reference,
  [20297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(454), 1,
      anon_sym_RBRACK,
    ACTIONS(1380), 1,
      anon_sym_COMMA,
    STATE(599), 1,
      aux_sym_array_repeat1,
  [20310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 1,
      sym__script_start_tag_name,
    ACTIONS(1374), 1,
      sym__style_start_tag_name,
    ACTIONS(1382), 1,
      sym__start_tag_name,
  [20323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_COLON,
    ACTIONS(1285), 1,
      anon_sym_QMARK,
  [20336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1384), 3,
      sym_case_start,
      sym_default_start,
      anon_sym_RBRACE,
  [20345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1386), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [20354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(565), 1,
      anon_sym_COLON,
    ACTIONS(1285), 1,
      anon_sym_QMARK,
  [20367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 1,
      anon_sym_RBRACE,
    ACTIONS(1390), 1,
      anon_sym_COMMA,
    STATE(594), 1,
      aux_sym_object_repeat1,
  [20380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(585), 1,
      anon_sym_COLON,
    ACTIONS(1285), 1,
      anon_sym_QMARK,
  [20393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1317), 1,
      anon_sym_QMARK,
    ACTIONS(1393), 1,
      sym__interpolation_end,
  [20406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [20415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 1,
      anon_sym_SEMI,
    ACTIONS(1397), 1,
      anon_sym_RPAREN,
    STATE(580), 1,
      aux_sym_for_references_repeat1,
  [20428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_RBRACK,
    ACTIONS(1399), 1,
      anon_sym_COMMA,
    STATE(599), 1,
      aux_sym_array_repeat1,
  [20441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(802), 1,
      anon_sym_COMMA,
    ACTIONS(1402), 1,
      anon_sym_RPAREN,
    STATE(613), 1,
      aux_sym_arguments_repeat1,
  [20454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(579), 1,
      anon_sym_COLON,
    ACTIONS(1285), 1,
      anon_sym_QMARK,
  [20467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 1,
      anon_sym_LBRACK,
    ACTIONS(1404), 1,
      sym_identifier,
    STATE(468), 1,
      sym_call_expression,
  [20480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1317), 1,
      anon_sym_QMARK,
    ACTIONS(1406), 1,
      sym__interpolation_end,
  [20493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 1,
      anon_sym_SEMI,
    ACTIONS(1408), 1,
      anon_sym_RPAREN,
    STATE(598), 1,
      aux_sym_for_references_repeat1,
  [20506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(933), 1,
      anon_sym_as,
    ACTIONS(1410), 1,
      anon_sym_DQUOTE,
    STATE(759), 1,
      sym__alias,
  [20519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 1,
      anon_sym_let,
    ACTIONS(1355), 1,
      sym_identifier,
    STATE(597), 1,
      sym_structural_assignment,
  [20532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [20541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(259), 1,
      sym__interpolation_end,
    ACTIONS(608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1317), 1,
      anon_sym_QMARK,
  [20554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(935), 1,
      anon_sym_QMARK,
    ACTIONS(1414), 1,
      anon_sym_DQUOTE,
  [20567] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(935), 1,
      anon_sym_QMARK,
    ACTIONS(1416), 1,
      anon_sym_DQUOTE,
  [20580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      sym_icu_category,
    STATE(512), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [20591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 1,
      anon_sym_SEMI,
    ACTIONS(1421), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      aux_sym_defer_trigger_repeat1,
  [20604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(819), 1,
      anon_sym_RPAREN,
    ACTIONS(1423), 1,
      anon_sym_COMMA,
    STATE(613), 1,
      aux_sym_arguments_repeat1,
  [20617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1426), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [20625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_let,
    STATE(604), 1,
      sym_for_reference,
  [20635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_LBRACE,
    STATE(252), 1,
      sym_statement_block,
  [20645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 1,
      anon_sym_LBRACE,
    STATE(56), 1,
      sym_statement_block,
  [20655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 1,
      anon_sym_LBRACE,
    STATE(331), 1,
      sym_statement_block,
  [20665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 1,
      anon_sym_LBRACE,
    STATE(274), 1,
      sym_statement_block,
  [20675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(819), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [20683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(953), 1,
      anon_sym_EQ,
    STATE(449), 1,
      sym__binding_assignment,
  [20693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(953), 1,
      anon_sym_EQ,
    STATE(434), 1,
      sym__binding_assignment,
  [20703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(953), 1,
      anon_sym_EQ,
    STATE(463), 1,
      sym__binding_assignment,
  [20713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(941), 1,
      anon_sym_EQ,
    STATE(407), 1,
      sym__binding_assignment,
  [20723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(941), 1,
      anon_sym_EQ,
    STATE(408), 1,
      sym__binding_assignment,
  [20733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      anon_sym_DQUOTE,
    STATE(48), 1,
      sym__double_quote,
  [20743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 1,
      anon_sym_DQUOTE,
    STATE(435), 1,
      sym__double_quote,
  [20753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(941), 1,
      anon_sym_EQ,
    STATE(409), 1,
      sym__binding_assignment,
  [20763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_LBRACE,
    STATE(257), 1,
      sym_statement_block,
  [20773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1434), 1,
      sym_identifier,
    STATE(273), 1,
      sym_pipe_call,
  [20783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      sym_identifier,
    STATE(763), 1,
      sym_assignment_expression,
  [20793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1438), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [20801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 1,
      anon_sym_DQUOTE,
    STATE(54), 1,
      sym__double_quote,
  [20811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_LBRACE,
    STATE(262), 1,
      sym_statement_block,
  [20821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_LBRACE,
    STATE(271), 1,
      sym_statement_block,
  [20831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      sym_identifier,
    STATE(507), 1,
      sym_assignment_expression,
  [20841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_let,
    STATE(675), 1,
      sym_for_reference,
  [20851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 2,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
  [20859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_LBRACE,
    STATE(46), 1,
      sym_statement_block,
  [20869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 1,
      sym_identifier,
    STATE(138), 1,
      sym_pipe_call,
  [20879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 1,
      sym_identifier,
    STATE(468), 1,
      sym_call_expression,
  [20889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 1,
      sym_identifier,
    STATE(138), 1,
      sym_pipe_call,
  [20899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 1,
      anon_sym_RBRACE,
    ACTIONS(1450), 1,
      sym_icu_category,
  [20909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_LBRACE,
    STATE(261), 1,
      sym_statement_block,
  [20919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 1,
      anon_sym_LBRACE,
    STATE(324), 1,
      sym_statement_block,
  [20929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1452), 1,
      sym_identifier,
    STATE(547), 1,
      sym_for_declaration,
  [20939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_LBRACE,
    STATE(323), 1,
      sym_switch_body,
  [20949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 1,
      anon_sym_LBRACE,
    STATE(322), 1,
      sym_statement_block,
  [20959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 1,
      anon_sym_LBRACE,
    STATE(55), 1,
      sym_statement_block,
  [20969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_LBRACE,
    STATE(229), 1,
      sym_statement_block,
  [20979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1456), 1,
      sym_identifier,
    STATE(273), 1,
      sym_pipe_call,
  [20989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_LBRACE,
    STATE(211), 1,
      sym_statement_block,
  [20999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1458), 1,
      anon_sym_LBRACE,
    STATE(579), 1,
      sym_statement_block,
  [21009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [21017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_LBRACE,
    STATE(251), 1,
      sym_statement_block,
  [21027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1460), 1,
      sym__end_tag_name,
    ACTIONS(1462), 1,
      sym_erroneous_end_tag_name,
  [21037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1345), 1,
      anon_sym_LT_SLASH,
    STATE(264), 1,
      sym_end_tag,
  [21047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      sym_identifier,
    STATE(711), 1,
      sym_assignment_expression,
  [21057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1345), 1,
      anon_sym_LT_SLASH,
    STATE(258), 1,
      sym_end_tag,
  [21067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 1,
      sym_identifier,
    STATE(138), 1,
      sym_pipe_call,
  [21077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1252), 2,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
  [21085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1466), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [21093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [21101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 1,
      sym_identifier,
    STATE(273), 1,
      sym_pipe_call,
  [21111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 1,
      sym_identifier,
    STATE(179), 1,
      sym_call_expression,
  [21121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 1,
      sym_erroneous_end_tag_name,
    ACTIONS(1472), 1,
      sym__end_tag_name,
  [21131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1458), 1,
      anon_sym_LBRACE,
    STATE(591), 1,
      sym_statement_block,
  [21141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 1,
      anon_sym_LBRACE,
    STATE(288), 1,
      sym_statement_block,
  [21151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 1,
      anon_sym_LBRACE,
    STATE(285), 1,
      sym_statement_block,
  [21161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 1,
      anon_sym_LBRACE,
    STATE(281), 1,
      sym_statement_block,
  [21171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      sym_identifier,
    STATE(571), 1,
      sym_assignment_expression,
  [21181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_when,
    ACTIONS(1476), 1,
      anon_sym_on,
  [21191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1478), 1,
      anon_sym_DQUOTE,
    STATE(53), 1,
      sym__double_quote,
  [21201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      sym_number_fragment,
    STATE(691), 1,
      sym_number,
  [21211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1480), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [21219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1482), 1,
      anon_sym_SEMI,
    ACTIONS(1484), 1,
      anon_sym_RPAREN,
  [21229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1452), 1,
      sym_identifier,
    STATE(584), 1,
      sym_for_declaration,
  [21239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [21247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 1,
      anon_sym_LBRACE,
    STATE(280), 1,
      sym_statement_block,
  [21257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 1,
      anon_sym_LBRACE,
    STATE(287), 1,
      sym_statement_block,
  [21267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 1,
      anon_sym_LBRACE,
    STATE(289), 1,
      sym_statement_block,
  [21277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 1,
      sym_identifier,
    STATE(138), 1,
      sym_pipe_call,
  [21287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_LBRACE,
    STATE(260), 1,
      sym_statement_block,
  [21297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 1,
      anon_sym_LT_SLASH,
    STATE(300), 1,
      sym_end_tag,
  [21307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 1,
      anon_sym_LT_SLASH,
    STATE(306), 1,
      sym_end_tag,
  [21317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1490), 1,
      anon_sym_LBRACE,
    STATE(253), 1,
      sym_switch_body,
  [21327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1351), 1,
      sym_identifier,
    STATE(30), 1,
      sym_call_expression,
  [21337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 1,
      anon_sym_DQUOTE,
    STATE(52), 1,
      sym__double_quote,
  [21347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1494), 1,
      sym_identifier,
    STATE(138), 1,
      sym_pipe_call,
  [21357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_LBRACE,
    STATE(47), 1,
      sym_statement_block,
  [21367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [21375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1498), 1,
      anon_sym_DQUOTE,
    STATE(411), 1,
      sym__double_quote,
  [21385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_LBRACE,
    STATE(250), 1,
      sym_statement_block,
  [21395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 1,
      anon_sym_as,
  [21402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 1,
      anon_sym_RBRACK,
  [21409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1502), 1,
      anon_sym_LBRACE,
  [21416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 1,
      anon_sym_LBRACE,
  [21423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 1,
      anon_sym_RBRACK,
  [21430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1506), 1,
      anon_sym_RPAREN,
  [21437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 1,
      anon_sym_RPAREN,
  [21444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 1,
      anon_sym_RPAREN,
  [21451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1331), 1,
      anon_sym_RBRACE,
  [21458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_RBRACK,
  [21465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(555), 1,
      anon_sym_RBRACK,
  [21472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1512), 1,
      anon_sym_RPAREN_RBRACK,
  [21479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_RBRACK,
  [21486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 1,
      anon_sym_GT,
  [21493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 1,
      anon_sym_RPAREN,
  [21500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 1,
      anon_sym_RPAREN,
  [21507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1522), 1,
      anon_sym_GT,
  [21514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1524), 1,
      anon_sym_SEMI,
  [21521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1526), 1,
      anon_sym_RPAREN,
  [21528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 1,
      sym_identifier,
  [21535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1530), 1,
      anon_sym_GT,
  [21542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 1,
      sym_identifier,
  [21549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_DQUOTE,
  [21556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1536), 1,
      sym__doctype,
  [21563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_RPAREN,
  [21570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1540), 1,
      anon_sym_RPAREN,
  [21577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
  [21584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_GT,
  [21591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1311), 1,
      anon_sym_DQUOTE,
  [21598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 1,
      anon_sym_LBRACK,
  [21605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1546), 1,
      anon_sym_RPAREN,
  [21612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_RPAREN,
  [21619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 1,
      sym_identifier,
  [21626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1552), 1,
      anon_sym_COMMA,
  [21633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1554), 1,
      anon_sym_RPAREN,
  [21640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1556), 1,
      anon_sym_DQUOTE,
  [21647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_GT,
  [21654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1560), 1,
      anon_sym_RPAREN,
  [21661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 1,
      anon_sym_RPAREN,
  [21668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1564), 1,
      anon_sym_of,
  [21675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1566), 1,
      anon_sym_RPAREN,
  [21682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1568), 1,
      anon_sym_RBRACK,
  [21689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1570), 1,
      anon_sym_DQUOTE,
  [21696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1572), 1,
      anon_sym_RPAREN_RBRACK,
  [21703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 1,
      sym__end_tag_name,
  [21710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 1,
      aux_sym_doctype_token1,
  [21717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 1,
      anon_sym_LBRACK,
  [21724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1576), 1,
      anon_sym_LBRACE,
  [21731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1578), 1,
      anon_sym_RBRACK,
  [21738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 1,
      sym_identifier,
  [21745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1582), 1,
      sym_identifier,
  [21752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 1,
      anon_sym_RPAREN,
  [21759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 1,
      anon_sym_RBRACE,
  [21766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 1,
      sym_erroneous_end_tag_name,
  [21773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1460), 1,
      sym__end_tag_name,
  [21780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 1,
      anon_sym_LBRACE,
  [21787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1588), 1,
      anon_sym_COMMA,
  [21794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 1,
      sym_identifier,
  [21801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1592), 1,
      anon_sym_LPAREN,
  [21808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_LPAREN,
  [21815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 1,
      anon_sym_LPAREN,
  [21822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1598), 1,
      anon_sym_LPAREN,
  [21829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 1,
      sym_identifier,
  [21836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      anon_sym_GT,
  [21843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1604), 1,
      aux_sym_doctype_token1,
  [21850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1606), 1,
      anon_sym_DQUOTE,
  [21857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1608), 1,
      sym_identifier,
  [21864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1610), 1,
      anon_sym_LBRACE,
  [21871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1612), 1,
      anon_sym_COLON,
  [21878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1614), 1,
      anon_sym_SEMI,
  [21885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_EQ,
  [21892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LPAREN,
  [21899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_COLON,
  [21906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 1,
      anon_sym_DQUOTE,
  [21913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_RBRACK,
  [21920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1622), 1,
      anon_sym_DQUOTE,
  [21927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_DQUOTE,
  [21934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_else,
  [21941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1628), 1,
      ts_builtin_sym_end,
  [21948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1630), 1,
      sym_erroneous_end_tag_name,
  [21955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1632), 1,
      anon_sym_DQUOTE,
  [21962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1634), 1,
      sym__doctype,
  [21969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1636), 1,
      anon_sym_LPAREN,
  [21976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_RBRACK,
  [21983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_RPAREN,
  [21990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1640), 1,
      sym_identifier,
  [21997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1642), 1,
      anon_sym_RBRACK,
  [22004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_SEMI,
  [22011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 1,
      anon_sym_track,
  [22018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1648), 1,
      anon_sym_DQUOTE,
  [22025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_LBRACE,
  [22032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_LPAREN,
  [22039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
  [22046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_COMMA,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 117,
  [SMALL_STATE(4)] = 234,
  [SMALL_STATE(5)] = 351,
  [SMALL_STATE(6)] = 468,
  [SMALL_STATE(7)] = 583,
  [SMALL_STATE(8)] = 697,
  [SMALL_STATE(9)] = 811,
  [SMALL_STATE(10)] = 925,
  [SMALL_STATE(11)] = 1039,
  [SMALL_STATE(12)] = 1153,
  [SMALL_STATE(13)] = 1267,
  [SMALL_STATE(14)] = 1381,
  [SMALL_STATE(15)] = 1495,
  [SMALL_STATE(16)] = 1609,
  [SMALL_STATE(17)] = 1720,
  [SMALL_STATE(18)] = 1763,
  [SMALL_STATE(19)] = 1816,
  [SMALL_STATE(20)] = 1871,
  [SMALL_STATE(21)] = 1925,
  [SMALL_STATE(22)] = 1967,
  [SMALL_STATE(23)] = 2023,
  [SMALL_STATE(24)] = 2065,
  [SMALL_STATE(25)] = 2104,
  [SMALL_STATE(26)] = 2143,
  [SMALL_STATE(27)] = 2182,
  [SMALL_STATE(28)] = 2221,
  [SMALL_STATE(29)] = 2260,
  [SMALL_STATE(30)] = 2303,
  [SMALL_STATE(31)] = 2342,
  [SMALL_STATE(32)] = 2385,
  [SMALL_STATE(33)] = 2424,
  [SMALL_STATE(34)] = 2467,
  [SMALL_STATE(35)] = 2506,
  [SMALL_STATE(36)] = 2545,
  [SMALL_STATE(37)] = 2584,
  [SMALL_STATE(38)] = 2623,
  [SMALL_STATE(39)] = 2662,
  [SMALL_STATE(40)] = 2701,
  [SMALL_STATE(41)] = 2740,
  [SMALL_STATE(42)] = 2787,
  [SMALL_STATE(43)] = 2826,
  [SMALL_STATE(44)] = 2865,
  [SMALL_STATE(45)] = 2904,
  [SMALL_STATE(46)] = 2945,
  [SMALL_STATE(47)] = 3010,
  [SMALL_STATE(48)] = 3075,
  [SMALL_STATE(49)] = 3142,
  [SMALL_STATE(50)] = 3207,
  [SMALL_STATE(51)] = 3272,
  [SMALL_STATE(52)] = 3337,
  [SMALL_STATE(53)] = 3406,
  [SMALL_STATE(54)] = 3473,
  [SMALL_STATE(55)] = 3542,
  [SMALL_STATE(56)] = 3606,
  [SMALL_STATE(57)] = 3670,
  [SMALL_STATE(58)] = 3734,
  [SMALL_STATE(59)] = 3800,
  [SMALL_STATE(60)] = 3866,
  [SMALL_STATE(61)] = 3930,
  [SMALL_STATE(62)] = 3994,
  [SMALL_STATE(63)] = 4060,
  [SMALL_STATE(64)] = 4101,
  [SMALL_STATE(65)] = 4150,
  [SMALL_STATE(66)] = 4213,
  [SMALL_STATE(67)] = 4256,
  [SMALL_STATE(68)] = 4293,
  [SMALL_STATE(69)] = 4356,
  [SMALL_STATE(70)] = 4395,
  [SMALL_STATE(71)] = 4436,
  [SMALL_STATE(72)] = 4501,
  [SMALL_STATE(73)] = 4538,
  [SMALL_STATE(74)] = 4601,
  [SMALL_STATE(75)] = 4640,
  [SMALL_STATE(76)] = 4683,
  [SMALL_STATE(77)] = 4746,
  [SMALL_STATE(78)] = 4785,
  [SMALL_STATE(79)] = 4848,
  [SMALL_STATE(80)] = 4887,
  [SMALL_STATE(81)] = 4928,
  [SMALL_STATE(82)] = 4975,
  [SMALL_STATE(83)] = 5038,
  [SMALL_STATE(84)] = 5075,
  [SMALL_STATE(85)] = 5114,
  [SMALL_STATE(86)] = 5177,
  [SMALL_STATE(87)] = 5240,
  [SMALL_STATE(88)] = 5277,
  [SMALL_STATE(89)] = 5342,
  [SMALL_STATE(90)] = 5407,
  [SMALL_STATE(91)] = 5472,
  [SMALL_STATE(92)] = 5511,
  [SMALL_STATE(93)] = 5571,
  [SMALL_STATE(94)] = 5605,
  [SMALL_STATE(95)] = 5667,
  [SMALL_STATE(96)] = 5727,
  [SMALL_STATE(97)] = 5775,
  [SMALL_STATE(98)] = 5837,
  [SMALL_STATE(99)] = 5897,
  [SMALL_STATE(100)] = 5957,
  [SMALL_STATE(101)] = 6019,
  [SMALL_STATE(102)] = 6079,
  [SMALL_STATE(103)] = 6139,
  [SMALL_STATE(104)] = 6199,
  [SMALL_STATE(105)] = 6235,
  [SMALL_STATE(106)] = 6269,
  [SMALL_STATE(107)] = 6329,
  [SMALL_STATE(108)] = 6367,
  [SMALL_STATE(109)] = 6427,
  [SMALL_STATE(110)] = 6465,
  [SMALL_STATE(111)] = 6525,
  [SMALL_STATE(112)] = 6585,
  [SMALL_STATE(113)] = 6645,
  [SMALL_STATE(114)] = 6695,
  [SMALL_STATE(115)] = 6755,
  [SMALL_STATE(116)] = 6803,
  [SMALL_STATE(117)] = 6863,
  [SMALL_STATE(118)] = 6925,
  [SMALL_STATE(119)] = 6985,
  [SMALL_STATE(120)] = 7045,
  [SMALL_STATE(121)] = 7105,
  [SMALL_STATE(122)] = 7165,
  [SMALL_STATE(123)] = 7225,
  [SMALL_STATE(124)] = 7287,
  [SMALL_STATE(125)] = 7347,
  [SMALL_STATE(126)] = 7409,
  [SMALL_STATE(127)] = 7471,
  [SMALL_STATE(128)] = 7533,
  [SMALL_STATE(129)] = 7595,
  [SMALL_STATE(130)] = 7631,
  [SMALL_STATE(131)] = 7693,
  [SMALL_STATE(132)] = 7753,
  [SMALL_STATE(133)] = 7787,
  [SMALL_STATE(134)] = 7825,
  [SMALL_STATE(135)] = 7875,
  [SMALL_STATE(136)] = 7909,
  [SMALL_STATE(137)] = 7971,
  [SMALL_STATE(138)] = 8009,
  [SMALL_STATE(139)] = 8043,
  [SMALL_STATE(140)] = 8105,
  [SMALL_STATE(141)] = 8167,
  [SMALL_STATE(142)] = 8201,
  [SMALL_STATE(143)] = 8263,
  [SMALL_STATE(144)] = 8323,
  [SMALL_STATE(145)] = 8383,
  [SMALL_STATE(146)] = 8445,
  [SMALL_STATE(147)] = 8505,
  [SMALL_STATE(148)] = 8567,
  [SMALL_STATE(149)] = 8627,
  [SMALL_STATE(150)] = 8687,
  [SMALL_STATE(151)] = 8747,
  [SMALL_STATE(152)] = 8783,
  [SMALL_STATE(153)] = 8843,
  [SMALL_STATE(154)] = 8879,
  [SMALL_STATE(155)] = 8912,
  [SMALL_STATE(156)] = 8945,
  [SMALL_STATE(157)] = 8978,
  [SMALL_STATE(158)] = 9017,
  [SMALL_STATE(159)] = 9050,
  [SMALL_STATE(160)] = 9083,
  [SMALL_STATE(161)] = 9120,
  [SMALL_STATE(162)] = 9153,
  [SMALL_STATE(163)] = 9186,
  [SMALL_STATE(164)] = 9219,
  [SMALL_STATE(165)] = 9252,
  [SMALL_STATE(166)] = 9293,
  [SMALL_STATE(167)] = 9330,
  [SMALL_STATE(168)] = 9363,
  [SMALL_STATE(169)] = 9404,
  [SMALL_STATE(170)] = 9437,
  [SMALL_STATE(171)] = 9470,
  [SMALL_STATE(172)] = 9507,
  [SMALL_STATE(173)] = 9546,
  [SMALL_STATE(174)] = 9587,
  [SMALL_STATE(175)] = 9624,
  [SMALL_STATE(176)] = 9671,
  [SMALL_STATE(177)] = 9704,
  [SMALL_STATE(178)] = 9737,
  [SMALL_STATE(179)] = 9774,
  [SMALL_STATE(180)] = 9807,
  [SMALL_STATE(181)] = 9840,
  [SMALL_STATE(182)] = 9873,
  [SMALL_STATE(183)] = 9910,
  [SMALL_STATE(184)] = 9944,
  [SMALL_STATE(185)] = 10002,
  [SMALL_STATE(186)] = 10036,
  [SMALL_STATE(187)] = 10070,
  [SMALL_STATE(188)] = 10104,
  [SMALL_STATE(189)] = 10138,
  [SMALL_STATE(190)] = 10172,
  [SMALL_STATE(191)] = 10230,
  [SMALL_STATE(192)] = 10266,
  [SMALL_STATE(193)] = 10300,
  [SMALL_STATE(194)] = 10334,
  [SMALL_STATE(195)] = 10368,
  [SMALL_STATE(196)] = 10402,
  [SMALL_STATE(197)] = 10436,
  [SMALL_STATE(198)] = 10470,
  [SMALL_STATE(199)] = 10528,
  [SMALL_STATE(200)] = 10585,
  [SMALL_STATE(201)] = 10642,
  [SMALL_STATE(202)] = 10699,
  [SMALL_STATE(203)] = 10756,
  [SMALL_STATE(204)] = 10813,
  [SMALL_STATE(205)] = 10870,
  [SMALL_STATE(206)] = 10927,
  [SMALL_STATE(207)] = 10984,
  [SMALL_STATE(208)] = 11041,
  [SMALL_STATE(209)] = 11098,
  [SMALL_STATE(210)] = 11136,
  [SMALL_STATE(211)] = 11188,
  [SMALL_STATE(212)] = 11217,
  [SMALL_STATE(213)] = 11246,
  [SMALL_STATE(214)] = 11295,
  [SMALL_STATE(215)] = 11328,
  [SMALL_STATE(216)] = 11357,
  [SMALL_STATE(217)] = 11386,
  [SMALL_STATE(218)] = 11419,
  [SMALL_STATE(219)] = 11450,
  [SMALL_STATE(220)] = 11481,
  [SMALL_STATE(221)] = 11510,
  [SMALL_STATE(222)] = 11539,
  [SMALL_STATE(223)] = 11568,
  [SMALL_STATE(224)] = 11597,
  [SMALL_STATE(225)] = 11626,
  [SMALL_STATE(226)] = 11655,
  [SMALL_STATE(227)] = 11704,
  [SMALL_STATE(228)] = 11735,
  [SMALL_STATE(229)] = 11764,
  [SMALL_STATE(230)] = 11793,
  [SMALL_STATE(231)] = 11830,
  [SMALL_STATE(232)] = 11859,
  [SMALL_STATE(233)] = 11888,
  [SMALL_STATE(234)] = 11917,
  [SMALL_STATE(235)] = 11946,
  [SMALL_STATE(236)] = 11981,
  [SMALL_STATE(237)] = 12010,
  [SMALL_STATE(238)] = 12039,
  [SMALL_STATE(239)] = 12088,
  [SMALL_STATE(240)] = 12117,
  [SMALL_STATE(241)] = 12146,
  [SMALL_STATE(242)] = 12175,
  [SMALL_STATE(243)] = 12204,
  [SMALL_STATE(244)] = 12233,
  [SMALL_STATE(245)] = 12266,
  [SMALL_STATE(246)] = 12299,
  [SMALL_STATE(247)] = 12328,
  [SMALL_STATE(248)] = 12377,
  [SMALL_STATE(249)] = 12406,
  [SMALL_STATE(250)] = 12455,
  [SMALL_STATE(251)] = 12484,
  [SMALL_STATE(252)] = 12513,
  [SMALL_STATE(253)] = 12542,
  [SMALL_STATE(254)] = 12571,
  [SMALL_STATE(255)] = 12620,
  [SMALL_STATE(256)] = 12649,
  [SMALL_STATE(257)] = 12684,
  [SMALL_STATE(258)] = 12713,
  [SMALL_STATE(259)] = 12742,
  [SMALL_STATE(260)] = 12779,
  [SMALL_STATE(261)] = 12808,
  [SMALL_STATE(262)] = 12837,
  [SMALL_STATE(263)] = 12866,
  [SMALL_STATE(264)] = 12899,
  [SMALL_STATE(265)] = 12928,
  [SMALL_STATE(266)] = 12957,
  [SMALL_STATE(267)] = 12992,
  [SMALL_STATE(268)] = 13021,
  [SMALL_STATE(269)] = 13050,
  [SMALL_STATE(270)] = 13079,
  [SMALL_STATE(271)] = 13108,
  [SMALL_STATE(272)] = 13137,
  [SMALL_STATE(273)] = 13166,
  [SMALL_STATE(274)] = 13194,
  [SMALL_STATE(275)] = 13222,
  [SMALL_STATE(276)] = 13250,
  [SMALL_STATE(277)] = 13278,
  [SMALL_STATE(278)] = 13306,
  [SMALL_STATE(279)] = 13334,
  [SMALL_STATE(280)] = 13362,
  [SMALL_STATE(281)] = 13390,
  [SMALL_STATE(282)] = 13418,
  [SMALL_STATE(283)] = 13446,
  [SMALL_STATE(284)] = 13474,
  [SMALL_STATE(285)] = 13502,
  [SMALL_STATE(286)] = 13530,
  [SMALL_STATE(287)] = 13558,
  [SMALL_STATE(288)] = 13586,
  [SMALL_STATE(289)] = 13614,
  [SMALL_STATE(290)] = 13642,
  [SMALL_STATE(291)] = 13670,
  [SMALL_STATE(292)] = 13698,
  [SMALL_STATE(293)] = 13726,
  [SMALL_STATE(294)] = 13756,
  [SMALL_STATE(295)] = 13784,
  [SMALL_STATE(296)] = 13812,
  [SMALL_STATE(297)] = 13840,
  [SMALL_STATE(298)] = 13868,
  [SMALL_STATE(299)] = 13896,
  [SMALL_STATE(300)] = 13924,
  [SMALL_STATE(301)] = 13952,
  [SMALL_STATE(302)] = 13980,
  [SMALL_STATE(303)] = 14008,
  [SMALL_STATE(304)] = 14036,
  [SMALL_STATE(305)] = 14064,
  [SMALL_STATE(306)] = 14092,
  [SMALL_STATE(307)] = 14120,
  [SMALL_STATE(308)] = 14148,
  [SMALL_STATE(309)] = 14176,
  [SMALL_STATE(310)] = 14204,
  [SMALL_STATE(311)] = 14232,
  [SMALL_STATE(312)] = 14260,
  [SMALL_STATE(313)] = 14288,
  [SMALL_STATE(314)] = 14320,
  [SMALL_STATE(315)] = 14348,
  [SMALL_STATE(316)] = 14378,
  [SMALL_STATE(317)] = 14410,
  [SMALL_STATE(318)] = 14438,
  [SMALL_STATE(319)] = 14466,
  [SMALL_STATE(320)] = 14494,
  [SMALL_STATE(321)] = 14522,
  [SMALL_STATE(322)] = 14550,
  [SMALL_STATE(323)] = 14578,
  [SMALL_STATE(324)] = 14606,
  [SMALL_STATE(325)] = 14634,
  [SMALL_STATE(326)] = 14666,
  [SMALL_STATE(327)] = 14694,
  [SMALL_STATE(328)] = 14722,
  [SMALL_STATE(329)] = 14754,
  [SMALL_STATE(330)] = 14786,
  [SMALL_STATE(331)] = 14818,
  [SMALL_STATE(332)] = 14846,
  [SMALL_STATE(333)] = 14893,
  [SMALL_STATE(334)] = 14926,
  [SMALL_STATE(335)] = 14961,
  [SMALL_STATE(336)] = 14996,
  [SMALL_STATE(337)] = 15037,
  [SMALL_STATE(338)] = 15070,
  [SMALL_STATE(339)] = 15115,
  [SMALL_STATE(340)] = 15150,
  [SMALL_STATE(341)] = 15195,
  [SMALL_STATE(342)] = 15242,
  [SMALL_STATE(343)] = 15287,
  [SMALL_STATE(344)] = 15332,
  [SMALL_STATE(345)] = 15379,
  [SMALL_STATE(346)] = 15426,
  [SMALL_STATE(347)] = 15461,
  [SMALL_STATE(348)] = 15494,
  [SMALL_STATE(349)] = 15539,
  [SMALL_STATE(350)] = 15586,
  [SMALL_STATE(351)] = 15631,
  [SMALL_STATE(352)] = 15678,
  [SMALL_STATE(353)] = 15709,
  [SMALL_STATE(354)] = 15754,
  [SMALL_STATE(355)] = 15799,
  [SMALL_STATE(356)] = 15832,
  [SMALL_STATE(357)] = 15877,
  [SMALL_STATE(358)] = 15908,
  [SMALL_STATE(359)] = 15953,
  [SMALL_STATE(360)] = 16000,
  [SMALL_STATE(361)] = 16045,
  [SMALL_STATE(362)] = 16080,
  [SMALL_STATE(363)] = 16127,
  [SMALL_STATE(364)] = 16169,
  [SMALL_STATE(365)] = 16211,
  [SMALL_STATE(366)] = 16253,
  [SMALL_STATE(367)] = 16283,
  [SMALL_STATE(368)] = 16325,
  [SMALL_STATE(369)] = 16365,
  [SMALL_STATE(370)] = 16407,
  [SMALL_STATE(371)] = 16449,
  [SMALL_STATE(372)] = 16491,
  [SMALL_STATE(373)] = 16533,
  [SMALL_STATE(374)] = 16572,
  [SMALL_STATE(375)] = 16611,
  [SMALL_STATE(376)] = 16650,
  [SMALL_STATE(377)] = 16689,
  [SMALL_STATE(378)] = 16728,
  [SMALL_STATE(379)] = 16752,
  [SMALL_STATE(380)] = 16778,
  [SMALL_STATE(381)] = 16804,
  [SMALL_STATE(382)] = 16830,
  [SMALL_STATE(383)] = 16858,
  [SMALL_STATE(384)] = 16884,
  [SMALL_STATE(385)] = 16909,
  [SMALL_STATE(386)] = 16944,
  [SMALL_STATE(387)] = 16977,
  [SMALL_STATE(388)] = 17002,
  [SMALL_STATE(389)] = 17027,
  [SMALL_STATE(390)] = 17054,
  [SMALL_STATE(391)] = 17079,
  [SMALL_STATE(392)] = 17105,
  [SMALL_STATE(393)] = 17126,
  [SMALL_STATE(394)] = 17147,
  [SMALL_STATE(395)] = 17171,
  [SMALL_STATE(396)] = 17205,
  [SMALL_STATE(397)] = 17227,
  [SMALL_STATE(398)] = 17258,
  [SMALL_STATE(399)] = 17277,
  [SMALL_STATE(400)] = 17308,
  [SMALL_STATE(401)] = 17329,
  [SMALL_STATE(402)] = 17348,
  [SMALL_STATE(403)] = 17367,
  [SMALL_STATE(404)] = 17386,
  [SMALL_STATE(405)] = 17405,
  [SMALL_STATE(406)] = 17433,
  [SMALL_STATE(407)] = 17451,
  [SMALL_STATE(408)] = 17467,
  [SMALL_STATE(409)] = 17483,
  [SMALL_STATE(410)] = 17499,
  [SMALL_STATE(411)] = 17517,
  [SMALL_STATE(412)] = 17533,
  [SMALL_STATE(413)] = 17549,
  [SMALL_STATE(414)] = 17569,
  [SMALL_STATE(415)] = 17589,
  [SMALL_STATE(416)] = 17609,
  [SMALL_STATE(417)] = 17627,
  [SMALL_STATE(418)] = 17643,
  [SMALL_STATE(419)] = 17671,
  [SMALL_STATE(420)] = 17687,
  [SMALL_STATE(421)] = 17703,
  [SMALL_STATE(422)] = 17721,
  [SMALL_STATE(423)] = 17741,
  [SMALL_STATE(424)] = 17759,
  [SMALL_STATE(425)] = 17781,
  [SMALL_STATE(426)] = 17799,
  [SMALL_STATE(427)] = 17827,
  [SMALL_STATE(428)] = 17847,
  [SMALL_STATE(429)] = 17863,
  [SMALL_STATE(430)] = 17879,
  [SMALL_STATE(431)] = 17901,
  [SMALL_STATE(432)] = 17929,
  [SMALL_STATE(433)] = 17945,
  [SMALL_STATE(434)] = 17966,
  [SMALL_STATE(435)] = 17981,
  [SMALL_STATE(436)] = 17996,
  [SMALL_STATE(437)] = 18011,
  [SMALL_STATE(438)] = 18032,
  [SMALL_STATE(439)] = 18047,
  [SMALL_STATE(440)] = 18068,
  [SMALL_STATE(441)] = 18089,
  [SMALL_STATE(442)] = 18110,
  [SMALL_STATE(443)] = 18131,
  [SMALL_STATE(444)] = 18146,
  [SMALL_STATE(445)] = 18161,
  [SMALL_STATE(446)] = 18182,
  [SMALL_STATE(447)] = 18201,
  [SMALL_STATE(448)] = 18220,
  [SMALL_STATE(449)] = 18241,
  [SMALL_STATE(450)] = 18256,
  [SMALL_STATE(451)] = 18273,
  [SMALL_STATE(452)] = 18294,
  [SMALL_STATE(453)] = 18309,
  [SMALL_STATE(454)] = 18324,
  [SMALL_STATE(455)] = 18341,
  [SMALL_STATE(456)] = 18362,
  [SMALL_STATE(457)] = 18381,
  [SMALL_STATE(458)] = 18398,
  [SMALL_STATE(459)] = 18415,
  [SMALL_STATE(460)] = 18434,
  [SMALL_STATE(461)] = 18453,
  [SMALL_STATE(462)] = 18468,
  [SMALL_STATE(463)] = 18493,
  [SMALL_STATE(464)] = 18508,
  [SMALL_STATE(465)] = 18526,
  [SMALL_STATE(466)] = 18540,
  [SMALL_STATE(467)] = 18556,
  [SMALL_STATE(468)] = 18578,
  [SMALL_STATE(469)] = 18592,
  [SMALL_STATE(470)] = 18606,
  [SMALL_STATE(471)] = 18628,
  [SMALL_STATE(472)] = 18646,
  [SMALL_STATE(473)] = 18664,
  [SMALL_STATE(474)] = 18682,
  [SMALL_STATE(475)] = 18704,
  [SMALL_STATE(476)] = 18722,
  [SMALL_STATE(477)] = 18738,
  [SMALL_STATE(478)] = 18757,
  [SMALL_STATE(479)] = 18774,
  [SMALL_STATE(480)] = 18789,
  [SMALL_STATE(481)] = 18804,
  [SMALL_STATE(482)] = 18819,
  [SMALL_STATE(483)] = 18836,
  [SMALL_STATE(484)] = 18849,
  [SMALL_STATE(485)] = 18864,
  [SMALL_STATE(486)] = 18883,
  [SMALL_STATE(487)] = 18902,
  [SMALL_STATE(488)] = 18917,
  [SMALL_STATE(489)] = 18932,
  [SMALL_STATE(490)] = 18951,
  [SMALL_STATE(491)] = 18970,
  [SMALL_STATE(492)] = 18989,
  [SMALL_STATE(493)] = 19008,
  [SMALL_STATE(494)] = 19023,
  [SMALL_STATE(495)] = 19042,
  [SMALL_STATE(496)] = 19061,
  [SMALL_STATE(497)] = 19080,
  [SMALL_STATE(498)] = 19095,
  [SMALL_STATE(499)] = 19114,
  [SMALL_STATE(500)] = 19130,
  [SMALL_STATE(501)] = 19146,
  [SMALL_STATE(502)] = 19162,
  [SMALL_STATE(503)] = 19178,
  [SMALL_STATE(504)] = 19192,
  [SMALL_STATE(505)] = 19208,
  [SMALL_STATE(506)] = 19222,
  [SMALL_STATE(507)] = 19238,
  [SMALL_STATE(508)] = 19252,
  [SMALL_STATE(509)] = 19268,
  [SMALL_STATE(510)] = 19282,
  [SMALL_STATE(511)] = 19296,
  [SMALL_STATE(512)] = 19310,
  [SMALL_STATE(513)] = 19324,
  [SMALL_STATE(514)] = 19338,
  [SMALL_STATE(515)] = 19354,
  [SMALL_STATE(516)] = 19370,
  [SMALL_STATE(517)] = 19384,
  [SMALL_STATE(518)] = 19396,
  [SMALL_STATE(519)] = 19410,
  [SMALL_STATE(520)] = 19424,
  [SMALL_STATE(521)] = 19438,
  [SMALL_STATE(522)] = 19454,
  [SMALL_STATE(523)] = 19470,
  [SMALL_STATE(524)] = 19486,
  [SMALL_STATE(525)] = 19502,
  [SMALL_STATE(526)] = 19518,
  [SMALL_STATE(527)] = 19534,
  [SMALL_STATE(528)] = 19550,
  [SMALL_STATE(529)] = 19564,
  [SMALL_STATE(530)] = 19580,
  [SMALL_STATE(531)] = 19594,
  [SMALL_STATE(532)] = 19606,
  [SMALL_STATE(533)] = 19620,
  [SMALL_STATE(534)] = 19634,
  [SMALL_STATE(535)] = 19650,
  [SMALL_STATE(536)] = 19663,
  [SMALL_STATE(537)] = 19674,
  [SMALL_STATE(538)] = 19685,
  [SMALL_STATE(539)] = 19698,
  [SMALL_STATE(540)] = 19709,
  [SMALL_STATE(541)] = 19722,
  [SMALL_STATE(542)] = 19731,
  [SMALL_STATE(543)] = 19744,
  [SMALL_STATE(544)] = 19757,
  [SMALL_STATE(545)] = 19770,
  [SMALL_STATE(546)] = 19783,
  [SMALL_STATE(547)] = 19796,
  [SMALL_STATE(548)] = 19809,
  [SMALL_STATE(549)] = 19822,
  [SMALL_STATE(550)] = 19835,
  [SMALL_STATE(551)] = 19848,
  [SMALL_STATE(552)] = 19861,
  [SMALL_STATE(553)] = 19872,
  [SMALL_STATE(554)] = 19885,
  [SMALL_STATE(555)] = 19898,
  [SMALL_STATE(556)] = 19911,
  [SMALL_STATE(557)] = 19920,
  [SMALL_STATE(558)] = 19933,
  [SMALL_STATE(559)] = 19946,
  [SMALL_STATE(560)] = 19959,
  [SMALL_STATE(561)] = 19972,
  [SMALL_STATE(562)] = 19983,
  [SMALL_STATE(563)] = 19996,
  [SMALL_STATE(564)] = 20009,
  [SMALL_STATE(565)] = 20018,
  [SMALL_STATE(566)] = 20027,
  [SMALL_STATE(567)] = 20040,
  [SMALL_STATE(568)] = 20053,
  [SMALL_STATE(569)] = 20066,
  [SMALL_STATE(570)] = 20079,
  [SMALL_STATE(571)] = 20092,
  [SMALL_STATE(572)] = 20101,
  [SMALL_STATE(573)] = 20110,
  [SMALL_STATE(574)] = 20123,
  [SMALL_STATE(575)] = 20134,
  [SMALL_STATE(576)] = 20145,
  [SMALL_STATE(577)] = 20158,
  [SMALL_STATE(578)] = 20171,
  [SMALL_STATE(579)] = 20184,
  [SMALL_STATE(580)] = 20193,
  [SMALL_STATE(581)] = 20206,
  [SMALL_STATE(582)] = 20219,
  [SMALL_STATE(583)] = 20232,
  [SMALL_STATE(584)] = 20245,
  [SMALL_STATE(585)] = 20258,
  [SMALL_STATE(586)] = 20271,
  [SMALL_STATE(587)] = 20284,
  [SMALL_STATE(588)] = 20297,
  [SMALL_STATE(589)] = 20310,
  [SMALL_STATE(590)] = 20323,
  [SMALL_STATE(591)] = 20336,
  [SMALL_STATE(592)] = 20345,
  [SMALL_STATE(593)] = 20354,
  [SMALL_STATE(594)] = 20367,
  [SMALL_STATE(595)] = 20380,
  [SMALL_STATE(596)] = 20393,
  [SMALL_STATE(597)] = 20406,
  [SMALL_STATE(598)] = 20415,
  [SMALL_STATE(599)] = 20428,
  [SMALL_STATE(600)] = 20441,
  [SMALL_STATE(601)] = 20454,
  [SMALL_STATE(602)] = 20467,
  [SMALL_STATE(603)] = 20480,
  [SMALL_STATE(604)] = 20493,
  [SMALL_STATE(605)] = 20506,
  [SMALL_STATE(606)] = 20519,
  [SMALL_STATE(607)] = 20532,
  [SMALL_STATE(608)] = 20541,
  [SMALL_STATE(609)] = 20554,
  [SMALL_STATE(610)] = 20567,
  [SMALL_STATE(611)] = 20580,
  [SMALL_STATE(612)] = 20591,
  [SMALL_STATE(613)] = 20604,
  [SMALL_STATE(614)] = 20617,
  [SMALL_STATE(615)] = 20625,
  [SMALL_STATE(616)] = 20635,
  [SMALL_STATE(617)] = 20645,
  [SMALL_STATE(618)] = 20655,
  [SMALL_STATE(619)] = 20665,
  [SMALL_STATE(620)] = 20675,
  [SMALL_STATE(621)] = 20683,
  [SMALL_STATE(622)] = 20693,
  [SMALL_STATE(623)] = 20703,
  [SMALL_STATE(624)] = 20713,
  [SMALL_STATE(625)] = 20723,
  [SMALL_STATE(626)] = 20733,
  [SMALL_STATE(627)] = 20743,
  [SMALL_STATE(628)] = 20753,
  [SMALL_STATE(629)] = 20763,
  [SMALL_STATE(630)] = 20773,
  [SMALL_STATE(631)] = 20783,
  [SMALL_STATE(632)] = 20793,
  [SMALL_STATE(633)] = 20801,
  [SMALL_STATE(634)] = 20811,
  [SMALL_STATE(635)] = 20821,
  [SMALL_STATE(636)] = 20831,
  [SMALL_STATE(637)] = 20841,
  [SMALL_STATE(638)] = 20851,
  [SMALL_STATE(639)] = 20859,
  [SMALL_STATE(640)] = 20869,
  [SMALL_STATE(641)] = 20879,
  [SMALL_STATE(642)] = 20889,
  [SMALL_STATE(643)] = 20899,
  [SMALL_STATE(644)] = 20909,
  [SMALL_STATE(645)] = 20919,
  [SMALL_STATE(646)] = 20929,
  [SMALL_STATE(647)] = 20939,
  [SMALL_STATE(648)] = 20949,
  [SMALL_STATE(649)] = 20959,
  [SMALL_STATE(650)] = 20969,
  [SMALL_STATE(651)] = 20979,
  [SMALL_STATE(652)] = 20989,
  [SMALL_STATE(653)] = 20999,
  [SMALL_STATE(654)] = 21009,
  [SMALL_STATE(655)] = 21017,
  [SMALL_STATE(656)] = 21027,
  [SMALL_STATE(657)] = 21037,
  [SMALL_STATE(658)] = 21047,
  [SMALL_STATE(659)] = 21057,
  [SMALL_STATE(660)] = 21067,
  [SMALL_STATE(661)] = 21077,
  [SMALL_STATE(662)] = 21085,
  [SMALL_STATE(663)] = 21093,
  [SMALL_STATE(664)] = 21101,
  [SMALL_STATE(665)] = 21111,
  [SMALL_STATE(666)] = 21121,
  [SMALL_STATE(667)] = 21131,
  [SMALL_STATE(668)] = 21141,
  [SMALL_STATE(669)] = 21151,
  [SMALL_STATE(670)] = 21161,
  [SMALL_STATE(671)] = 21171,
  [SMALL_STATE(672)] = 21181,
  [SMALL_STATE(673)] = 21191,
  [SMALL_STATE(674)] = 21201,
  [SMALL_STATE(675)] = 21211,
  [SMALL_STATE(676)] = 21219,
  [SMALL_STATE(677)] = 21229,
  [SMALL_STATE(678)] = 21239,
  [SMALL_STATE(679)] = 21247,
  [SMALL_STATE(680)] = 21257,
  [SMALL_STATE(681)] = 21267,
  [SMALL_STATE(682)] = 21277,
  [SMALL_STATE(683)] = 21287,
  [SMALL_STATE(684)] = 21297,
  [SMALL_STATE(685)] = 21307,
  [SMALL_STATE(686)] = 21317,
  [SMALL_STATE(687)] = 21327,
  [SMALL_STATE(688)] = 21337,
  [SMALL_STATE(689)] = 21347,
  [SMALL_STATE(690)] = 21357,
  [SMALL_STATE(691)] = 21367,
  [SMALL_STATE(692)] = 21375,
  [SMALL_STATE(693)] = 21385,
  [SMALL_STATE(694)] = 21395,
  [SMALL_STATE(695)] = 21402,
  [SMALL_STATE(696)] = 21409,
  [SMALL_STATE(697)] = 21416,
  [SMALL_STATE(698)] = 21423,
  [SMALL_STATE(699)] = 21430,
  [SMALL_STATE(700)] = 21437,
  [SMALL_STATE(701)] = 21444,
  [SMALL_STATE(702)] = 21451,
  [SMALL_STATE(703)] = 21458,
  [SMALL_STATE(704)] = 21465,
  [SMALL_STATE(705)] = 21472,
  [SMALL_STATE(706)] = 21479,
  [SMALL_STATE(707)] = 21486,
  [SMALL_STATE(708)] = 21493,
  [SMALL_STATE(709)] = 21500,
  [SMALL_STATE(710)] = 21507,
  [SMALL_STATE(711)] = 21514,
  [SMALL_STATE(712)] = 21521,
  [SMALL_STATE(713)] = 21528,
  [SMALL_STATE(714)] = 21535,
  [SMALL_STATE(715)] = 21542,
  [SMALL_STATE(716)] = 21549,
  [SMALL_STATE(717)] = 21556,
  [SMALL_STATE(718)] = 21563,
  [SMALL_STATE(719)] = 21570,
  [SMALL_STATE(720)] = 21577,
  [SMALL_STATE(721)] = 21584,
  [SMALL_STATE(722)] = 21591,
  [SMALL_STATE(723)] = 21598,
  [SMALL_STATE(724)] = 21605,
  [SMALL_STATE(725)] = 21612,
  [SMALL_STATE(726)] = 21619,
  [SMALL_STATE(727)] = 21626,
  [SMALL_STATE(728)] = 21633,
  [SMALL_STATE(729)] = 21640,
  [SMALL_STATE(730)] = 21647,
  [SMALL_STATE(731)] = 21654,
  [SMALL_STATE(732)] = 21661,
  [SMALL_STATE(733)] = 21668,
  [SMALL_STATE(734)] = 21675,
  [SMALL_STATE(735)] = 21682,
  [SMALL_STATE(736)] = 21689,
  [SMALL_STATE(737)] = 21696,
  [SMALL_STATE(738)] = 21703,
  [SMALL_STATE(739)] = 21710,
  [SMALL_STATE(740)] = 21717,
  [SMALL_STATE(741)] = 21724,
  [SMALL_STATE(742)] = 21731,
  [SMALL_STATE(743)] = 21738,
  [SMALL_STATE(744)] = 21745,
  [SMALL_STATE(745)] = 21752,
  [SMALL_STATE(746)] = 21759,
  [SMALL_STATE(747)] = 21766,
  [SMALL_STATE(748)] = 21773,
  [SMALL_STATE(749)] = 21780,
  [SMALL_STATE(750)] = 21787,
  [SMALL_STATE(751)] = 21794,
  [SMALL_STATE(752)] = 21801,
  [SMALL_STATE(753)] = 21808,
  [SMALL_STATE(754)] = 21815,
  [SMALL_STATE(755)] = 21822,
  [SMALL_STATE(756)] = 21829,
  [SMALL_STATE(757)] = 21836,
  [SMALL_STATE(758)] = 21843,
  [SMALL_STATE(759)] = 21850,
  [SMALL_STATE(760)] = 21857,
  [SMALL_STATE(761)] = 21864,
  [SMALL_STATE(762)] = 21871,
  [SMALL_STATE(763)] = 21878,
  [SMALL_STATE(764)] = 21885,
  [SMALL_STATE(765)] = 21892,
  [SMALL_STATE(766)] = 21899,
  [SMALL_STATE(767)] = 21906,
  [SMALL_STATE(768)] = 21913,
  [SMALL_STATE(769)] = 21920,
  [SMALL_STATE(770)] = 21927,
  [SMALL_STATE(771)] = 21934,
  [SMALL_STATE(772)] = 21941,
  [SMALL_STATE(773)] = 21948,
  [SMALL_STATE(774)] = 21955,
  [SMALL_STATE(775)] = 21962,
  [SMALL_STATE(776)] = 21969,
  [SMALL_STATE(777)] = 21976,
  [SMALL_STATE(778)] = 21983,
  [SMALL_STATE(779)] = 21990,
  [SMALL_STATE(780)] = 21997,
  [SMALL_STATE(781)] = 22004,
  [SMALL_STATE(782)] = 22011,
  [SMALL_STATE(783)] = 22018,
  [SMALL_STATE(784)] = 22025,
  [SMALL_STATE(785)] = 22032,
  [SMALL_STATE(786)] = 22039,
  [SMALL_STATE(787)] = 22046,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [85] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9),
  [87] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(775),
  [90] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(585),
  [93] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(773),
  [96] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(221),
  [99] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(112),
  [102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(106),
  [105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(720),
  [108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(616),
  [111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(786),
  [114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(785),
  [117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(504),
  [120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(631),
  [123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(635),
  [126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(506),
  [129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(508),
  [132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(644),
  [135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(776),
  [138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 1, 0, 1),
  [150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(717),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(589),
  [156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(747),
  [159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(308),
  [162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(102),
  [165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(99),
  [168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(752),
  [171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(668),
  [174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(753),
  [177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(754),
  [180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(534),
  [183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(658),
  [186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(669),
  [189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(527),
  [192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(529),
  [195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(670),
  [198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(755),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 1, 0, 0),
  [207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 1, 0, 0),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primitive, 1, 0, 0),
  [229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primitive, 1, 0, 0),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 20),
  [237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 20),
  [239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_group, 3, 0, 0),
  [241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group, 3, 0, 0),
  [243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2, 0, 0),
  [245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2, 0, 0),
  [247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 0),
  [253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 0),
  [255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 37),
  [261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, 0, 37),
  [263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 21),
  [265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 21),
  [267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bracket_expression, 5, 0, 38),
  [269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bracket_expression, 5, 0, 38),
  [271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 5, 0, 0),
  [273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 5, 0, 0),
  [275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 5, 0, 0),
  [277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 5, 0, 0),
  [279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bracket_expression, 4, 0, 20),
  [281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bracket_expression, 4, 0, 20),
  [283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, 0, 28),
  [285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, 0, 28),
  [287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 2, 0, 0),
  [293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 2, 0, 0),
  [295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullish_coalescing_expression, 3, 0, 16),
  [301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullish_coalescing_expression, 3, 0, 16),
  [303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 15),
  [305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 15),
  [307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 0),
  [309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 0),
  [311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 41),
  [317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 41),
  [319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 30),
  [321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 30),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9),
  [343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9),
  [345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(616),
  [348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(635),
  [351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(506),
  [354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(508),
  [357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(644),
  [360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(776),
  [363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 40),
  [365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 40),
  [367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 48),
  [369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 48),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__binding_assignment_repeat1, 1, 0, 0), SHIFT_REPEAT(496),
  [388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__binding_assignment_repeat1, 1, 0, 0),
  [390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(668),
  [393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(669),
  [396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(527),
  [399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(529),
  [402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(670),
  [405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(755),
  [408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__any_expression, 1, 0, 0),
  [416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__any_expression, 1, 0, 0),
  [420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_sequence, 1, 0, 0),
  [434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_sequence, 1, 0, 0),
  [436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_arguments, 3, 0, 47),
  [438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_arguments, 3, 0, 47),
  [440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 3, 0, 18),
  [444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 3, 0, 18),
  [446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 51),
  [458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 51),
  [460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 51), SHIFT_REPEAT(111),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_call, 1, 0, 19),
  [467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_call, 1, 0, 19),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_arguments, 2, 0, 39),
  [473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_arguments, 2, 0, 39),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0),
  [487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0),
  [489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(640),
  [492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 11),
  [496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 11),
  [498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_call, 2, 0, 29),
  [522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_call, 2, 0, 29),
  [524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 39),
  [526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 39),
  [528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 2, 0, 12),
  [538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 2, 0, 12),
  [540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 17),
  [544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 17),
  [546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(689),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_statement, 3, 0, 13),
  [591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_statement, 3, 0, 13),
  [593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2, 0, 0),
  [595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2, 0, 0),
  [597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 51), SHIFT_REPEAT(124),
  [600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_icu_expression, 7, 0, 0),
  [602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_icu_expression, 7, 0, 0),
  [604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3, 0, 14),
  [606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3, 0, 14),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3, 0, 0),
  [612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3, 0, 0),
  [614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 1, 0, 1),
  [616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 1, 0, 1),
  [618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 1, 0, 0),
  [620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 1, 0, 0),
  [622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__node, 1, 0, 1),
  [624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__node, 1, 0, 1),
  [626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctype, 4, 0, 0),
  [628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctype, 4, 0, 0),
  [630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__any_statement, 1, 0, 1),
  [632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__any_statement, 1, 0, 1),
  [634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3, 0, 0),
  [636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3, 0, 0),
  [638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 3, 0, 13),
  [640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 3, 0, 13),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_element, 2, 0, 0),
  [650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_style_element, 2, 0, 0),
  [652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_statement, 3, 0, 0),
  [654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_statement, 3, 0, 0),
  [656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_closing_tag, 4, 0, 0),
  [658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_self_closing_tag, 4, 0, 0),
  [660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 2),
  [662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 2),
  [664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_tag, 3, 0, 0),
  [666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_tag, 3, 0, 0),
  [668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 3),
  [670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 3),
  [672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 4),
  [674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 4),
  [676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 5),
  [678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 5),
  [680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_element, 2, 0, 0),
  [682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_script_element, 2, 0, 0),
  [684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_erroneous_end_tag, 3, 0, 0),
  [686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_erroneous_end_tag, 3, 0, 0),
  [688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 2, 0, 0),
  [690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 2, 0, 0),
  [692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 6),
  [698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 6),
  [700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 7),
  [702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 7),
  [704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 32),
  [706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 32),
  [708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_statement, 3, 0, 13),
  [710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loading_statement, 3, 0, 13),
  [712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_statement, 2, 0, 8),
  [714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_statement, 2, 0, 8),
  [716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 5, 0, 33),
  [718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 5, 0, 33),
  [720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_closing_tag, 3, 0, 0),
  [722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_self_closing_tag, 3, 0, 0),
  [724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_statement, 6, 0, 41),
  [726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_statement, 6, 0, 41),
  [728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_element, 3, 0, 0),
  [730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_style_element, 3, 0, 0),
  [732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_statement, 5, 0, 30),
  [734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_statement, 5, 0, 30),
  [736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_statement, 2, 0, 8),
  [738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_statement, 2, 0, 8),
  [740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 44),
  [742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 44),
  [744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(651),
  [747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_element, 3, 0, 0),
  [749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_script_element, 3, 0, 0),
  [751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 1),
  [753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 1),
  [755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_statement, 2, 0, 8),
  [757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loading_statement, 2, 0, 8),
  [759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_statement, 2, 0, 8),
  [761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_statement, 2, 0, 8),
  [763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 2, 0, 8),
  [765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 2, 0, 8),
  [767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 3, 0, 14),
  [769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 3, 0, 14),
  [771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 2, 0, 8),
  [773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 2, 0, 8),
  [775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_start_tag, 3, 0, 0),
  [777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_start_tag, 3, 0, 0),
  [779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(664),
  [782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_start_tag, 4, 0, 0),
  [784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_start_tag, 4, 0, 0),
  [786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 1, 0, 0),
  [802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(660),
  [819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0),
  [823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(404),
  [826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(359),
  [829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(743),
  [832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(341),
  [835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(344),
  [838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(332),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(406),
  [886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(345),
  [889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(726),
  [892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(349),
  [895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(362),
  [898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(351),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 51), SHIFT_REPEAT(92),
  [906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(642),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_assignment, 3, 0, 0),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 1, 0, 0),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_animation_binding, 3, 0, 0),
  [939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_animation_binding, 3, 0, 0),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_directive, 2, 0, 0),
  [957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structural_directive, 2, 0, 0),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_attribute, 1, 0, 0),
  [963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__normal_attribute, 1, 0, 0),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_two_way_binding, 4, 0, 0),
  [973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_two_way_binding, 4, 0, 0),
  [975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_binding, 4, 0, 0),
  [977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_binding, 4, 0, 0),
  [979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_binding, 4, 0, 0),
  [981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event_binding, 4, 0, 0),
  [983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_directive, 6, 0, 0),
  [985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structural_directive, 6, 0, 0),
  [987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_attribute, 4, 0, 0),
  [989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__normal_attribute, 4, 0, 0),
  [991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 51), SHIFT_REPEAT(148),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding_name, 1, 0, 0),
  [998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [1000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_assignment, 4, 0, 0),
  [1002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_assignment, 4, 0, 0),
  [1004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [1008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 1, 0, 0),
  [1010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 51), SHIFT_REPEAT(122),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [1019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_attribute, 5, 0, 0),
  [1021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__normal_attribute, 5, 0, 0),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_animation_binding, 4, 0, 46),
  [1025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_animation_binding, 4, 0, 46),
  [1027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 1, 0, 19),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [1035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_assignment, 5, 0, 0),
  [1037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_assignment, 5, 0, 0),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [1055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger_condition, 2, 0, 22),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [1065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger_condition, 3, 0, 34),
  [1067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(682),
  [1070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(630),
  [1077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__normal_attribute_repeat1, 2, 0, 0),
  [1079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__normal_attribute_repeat1, 2, 0, 0), SHIFT_REPEAT(464),
  [1082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__normal_attribute_repeat1, 2, 0, 0), SHIFT_REPEAT(146),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [1087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 2, 0, 54),
  [1089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__normal_attribute_repeat2, 2, 0, 0),
  [1091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__normal_attribute_repeat2, 2, 0, 0), SHIFT_REPEAT(471),
  [1094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__normal_attribute_repeat2, 2, 0, 0), SHIFT_REPEAT(150),
  [1097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0),
  [1099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(765),
  [1102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(653),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [1115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 24),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 2, 0, 57),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 3, 0, 62),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [1169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 4, 0, 64),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [1193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_reference, 2, 0, 42),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [1201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_structural_declaration_repeat1, 2, 0, 0),
  [1203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_structural_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(606),
  [1206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 27),
  [1208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_reference, 3, 0, 49),
  [1212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [1216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [1218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [1220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_icu_expression_repeat1, 2, 0, 0),
  [1222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_icu_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(749),
  [1225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_declaration, 6, 0, 52),
  [1227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_reference_repeat1, 2, 0, 53),
  [1229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_reference_repeat1, 2, 0, 53), SHIFT_REPEAT(671),
  [1232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__attribute_node_repeat1, 2, 0, 0),
  [1234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__attribute_node_repeat1, 2, 0, 0), SHIFT_REPEAT(522),
  [1237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_node_repeat1, 2, 0, 0), SHIFT_REPEAT(522),
  [1240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [1242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(523),
  [1245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(523),
  [1248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [1250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__binding_assignment_repeat1, 2, 0, 0),
  [1254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_declaration, 3, 0, 0),
  [1256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_declaration, 2, 0, 0),
  [1260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_condition, 1, 0, 0),
  [1262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [1264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [1266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [1268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 1, 0, 10),
  [1272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [1276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 2, 0, 58),
  [1280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [1282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__binding_assignment_repeat1, 2, 0, 0), SHIFT_REPEAT(59),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [1311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 2, 0, 0),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [1321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 5, 0, 68),
  [1323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_member_expression, 1, 0, 0),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [1327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alias, 2, 0, 42),
  [1329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 3, 0, 54),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [1341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_reference_repeat1, 2, 0, 42),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [1357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2, 0, 8),
  [1359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_references_repeat1, 2, 0, 50), SHIFT_REPEAT(637),
  [1362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_references_repeat1, 2, 0, 50),
  [1364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [1366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [1368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [1370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [1374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [1380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [1382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, 0, 33),
  [1386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 3, 0, 24),
  [1388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0),
  [1390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(462),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [1397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_references, 3, 0, 43),
  [1399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(143),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [1406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [1408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_references, 2, 0, 31),
  [1410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structural_let_expression, 3, 0, 63),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 4, 0, 65),
  [1414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__context_expression, 4, 0, 0),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__context_expression, 4, 0, 67),
  [1418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_defer_trigger_repeat1, 2, 0, 36), SHIFT_REPEAT(499),
  [1421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_defer_trigger_repeat1, 2, 0, 36),
  [1423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(210),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_start_tag, 3, 0, 0),
  [1428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [1430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [1434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [1436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [1438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_defer_trigger_repeat1, 2, 0, 23),
  [1440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [1442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__then_template_expression, 3, 0, 0),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [1446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [1448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_icu_case, 4, 0, 61),
  [1450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_icu_case, 4, 0, 61),
  [1452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [1454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [1456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [1460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [1462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [1464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_start_tag, 4, 0, 0),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_start_tag, 4, 0, 0),
  [1470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [1472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [1474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [1478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [1480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_references_repeat1, 2, 0, 31),
  [1482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_start_tag, 3, 0, 0),
  [1488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [1492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [1494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [1496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_timed_expression, 2, 0, 25),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [1500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_minimum, 3, 0, 26),
  [1504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger, 3, 0, 23),
  [1506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [1508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [1510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_reference, 3, 0, 0),
  [1512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [1514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [1516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [1518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [1520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [1524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [1526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [1528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [1530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [1532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [1534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__else_template_expression, 3, 0, 0),
  [1536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [1538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [1540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [1542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [1544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [1548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [1550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [1554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [1556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 2, 0, 55),
  [1558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [1560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [1562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [1564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [1566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [1570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 2, 0, 56),
  [1572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [1574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [1576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_condition, 3, 0, 23),
  [1578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [1580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [1582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [1584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [1588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [1590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [1592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [1594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [1596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [1598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [1600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [1602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [1604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [1606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structural_let_expression, 4, 0, 66),
  [1608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [1610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_condition, 5, 0, 45),
  [1612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [1620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 3, 0, 59),
  [1624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 3, 0, 60),
  [1626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [1628] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [1632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 3, 0, 0),
  [1634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [1636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [1638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 4, 0, 54),
  [1650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger, 4, 0, 35),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [1654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [1656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_icu_clause, 1, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__start_tag_name = 0,
  ts_external_token__script_start_tag_name = 1,
  ts_external_token__style_start_tag_name = 2,
  ts_external_token__end_tag_name = 3,
  ts_external_token_erroneous_end_tag_name = 4,
  ts_external_token_SLASH_GT = 5,
  ts_external_token__implicit_end_tag = 6,
  ts_external_token_raw_text = 7,
  ts_external_token_comment = 8,
  ts_external_token__interpolation_start = 9,
  ts_external_token__interpolation_end = 10,
  ts_external_token_if_start = 11,
  ts_external_token_else_start = 12,
  ts_external_token_for_start = 13,
  ts_external_token_switch_start = 14,
  ts_external_token_case_start = 15,
  ts_external_token_default_start = 16,
  ts_external_token_defer_start = 17,
  ts_external_token_let_start = 18,
  ts_external_token_empty_start = 19,
  ts_external_token_placeholder_start = 20,
  ts_external_token_loading_start = 21,
  ts_external_token_error_start = 22,
  ts_external_token_else_if_start = 23,
  ts_external_token_at_sign = 24,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__start_tag_name] = sym__start_tag_name,
  [ts_external_token__script_start_tag_name] = sym__script_start_tag_name,
  [ts_external_token__style_start_tag_name] = sym__style_start_tag_name,
  [ts_external_token__end_tag_name] = sym__end_tag_name,
  [ts_external_token_erroneous_end_tag_name] = sym_erroneous_end_tag_name,
  [ts_external_token_SLASH_GT] = anon_sym_SLASH_GT,
  [ts_external_token__implicit_end_tag] = sym__implicit_end_tag,
  [ts_external_token_raw_text] = sym_raw_text,
  [ts_external_token_comment] = sym_comment,
  [ts_external_token__interpolation_start] = sym__interpolation_start,
  [ts_external_token__interpolation_end] = sym__interpolation_end,
  [ts_external_token_if_start] = sym_if_start,
  [ts_external_token_else_start] = sym_else_start,
  [ts_external_token_for_start] = sym_for_start,
  [ts_external_token_switch_start] = sym_switch_start,
  [ts_external_token_case_start] = sym_case_start,
  [ts_external_token_default_start] = sym_default_start,
  [ts_external_token_defer_start] = sym_defer_start,
  [ts_external_token_let_start] = sym_let_start,
  [ts_external_token_empty_start] = sym_empty_start,
  [ts_external_token_placeholder_start] = sym_placeholder_start,
  [ts_external_token_loading_start] = sym_loading_start,
  [ts_external_token_error_start] = sym_error_start,
  [ts_external_token_else_if_start] = sym_else_if_start,
  [ts_external_token_at_sign] = sym_at_sign,
};

static const bool ts_external_scanner_states[14][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__start_tag_name] = true,
    [ts_external_token__script_start_tag_name] = true,
    [ts_external_token__style_start_tag_name] = true,
    [ts_external_token__end_tag_name] = true,
    [ts_external_token_erroneous_end_tag_name] = true,
    [ts_external_token_SLASH_GT] = true,
    [ts_external_token__implicit_end_tag] = true,
    [ts_external_token_raw_text] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_start] = true,
    [ts_external_token__interpolation_end] = true,
    [ts_external_token_if_start] = true,
    [ts_external_token_else_start] = true,
    [ts_external_token_for_start] = true,
    [ts_external_token_switch_start] = true,
    [ts_external_token_case_start] = true,
    [ts_external_token_default_start] = true,
    [ts_external_token_defer_start] = true,
    [ts_external_token_let_start] = true,
    [ts_external_token_empty_start] = true,
    [ts_external_token_placeholder_start] = true,
    [ts_external_token_loading_start] = true,
    [ts_external_token_error_start] = true,
    [ts_external_token_else_if_start] = true,
    [ts_external_token_at_sign] = true,
  },
  [2] = {
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_start] = true,
    [ts_external_token_if_start] = true,
    [ts_external_token_else_start] = true,
    [ts_external_token_for_start] = true,
    [ts_external_token_switch_start] = true,
    [ts_external_token_defer_start] = true,
    [ts_external_token_let_start] = true,
    [ts_external_token_empty_start] = true,
    [ts_external_token_placeholder_start] = true,
    [ts_external_token_loading_start] = true,
    [ts_external_token_error_start] = true,
    [ts_external_token_else_if_start] = true,
    [ts_external_token_at_sign] = true,
  },
  [3] = {
    [ts_external_token__implicit_end_tag] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_start] = true,
    [ts_external_token_if_start] = true,
    [ts_external_token_else_start] = true,
    [ts_external_token_for_start] = true,
    [ts_external_token_switch_start] = true,
    [ts_external_token_defer_start] = true,
    [ts_external_token_let_start] = true,
    [ts_external_token_empty_start] = true,
    [ts_external_token_placeholder_start] = true,
    [ts_external_token_loading_start] = true,
    [ts_external_token_error_start] = true,
    [ts_external_token_else_if_start] = true,
    [ts_external_token_at_sign] = true,
  },
  [4] = {
    [ts_external_token_comment] = true,
  },
  [5] = {
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_end] = true,
  },
  [6] = {
    [ts_external_token_SLASH_GT] = true,
    [ts_external_token_comment] = true,
  },
  [7] = {
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_start] = true,
  },
  [8] = {
    [ts_external_token_comment] = true,
    [ts_external_token_case_start] = true,
    [ts_external_token_default_start] = true,
  },
  [9] = {
    [ts_external_token_raw_text] = true,
    [ts_external_token_comment] = true,
  },
  [10] = {
    [ts_external_token__start_tag_name] = true,
    [ts_external_token__script_start_tag_name] = true,
    [ts_external_token__style_start_tag_name] = true,
    [ts_external_token_comment] = true,
  },
  [11] = {
    [ts_external_token__end_tag_name] = true,
    [ts_external_token_erroneous_end_tag_name] = true,
    [ts_external_token_comment] = true,
  },
  [12] = {
    [ts_external_token__end_tag_name] = true,
    [ts_external_token_comment] = true,
  },
  [13] = {
    [ts_external_token_erroneous_end_tag_name] = true,
    [ts_external_token_comment] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_angular_external_scanner_create(void);
void tree_sitter_angular_external_scanner_destroy(void *);
bool tree_sitter_angular_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_angular_external_scanner_serialize(void *, char *);
void tree_sitter_angular_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_angular(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_angular_external_scanner_create,
      tree_sitter_angular_external_scanner_destroy,
      tree_sitter_angular_external_scanner_scan,
      tree_sitter_angular_external_scanner_serialize,
      tree_sitter_angular_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
